Misc

Miscenalleous: logs, version strings, config storage. More...

## Macros

#define | LINPHONE_CONFIG(obj)
| Safely downcast a belle_sip_object into LinphoneConfig.
#define | lp_config_section_to_dict linphone_config_section_to_dict
#define | lp_config_load_dict_to_section linphone_config_load_dict_to_section

## Typedefs

typedef void(* | LinphoneCoreCbsEcCalibrationResultCb) (LinphoneCore *core, LinphoneEcCalibratorStatus status, int delay_ms)
| Function prototype used by linphone_core_cbs_set_ec_calibration_result().
typedef void(* | LinphoneCoreCbsEcCalibrationAudioInitCb) (LinphoneCore *core)
| Function prototype used by linphone_core_cbs_set_ec_calibration_audio_init().
typedef void(* | LinphoneCoreCbsEcCalibrationAudioUninitCb) (LinphoneCore *core)
| Function prototype used by linphone_core_cbs_set_ec_calibration_audio_uninit().
typedef int(* | LinphoneImEncryptionEngineCbsIncomingMessageCb) (LinphoneImEncryptionEngine *engine, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)
| Callback to decrypt incoming LinphoneChatMessage.
typedef int(* | LinphoneImEncryptionEngineCbsOutgoingMessageCb) (LinphoneImEncryptionEngine *engine, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)
| Callback to encrypt outgoing LinphoneChatMessage.
typedef bool_t(* | LinphoneImEncryptionEngineCbsIsEncryptionEnabledForFileTransferCb) (LinphoneImEncryptionEngine *engine, LinphoneChatRoom *chat_room)
| Callback to know whether or not the engine will encrypt files before uploading them.
typedef void(* | LinphoneImEncryptionEngineCbsGenerateFileTransferKeyCb) (LinphoneImEncryptionEngine *engine, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)
| Callback to generate the key used to encrypt the files before uploading them Key can be stored in the LinphoneContent object inside the LinphoneChatMessage using linphone_content_set_key.
typedef int(* | LinphoneImEncryptionEngineCbsDownloadingFileCb) (LinphoneImEncryptionEngine *engine, LinphoneChatMessage *message, size_t offset, const uint8_t *buffer, size_t size, uint8_t *decrypted_buffer)
| Callback to decrypt downloading file.
typedef int(* | LinphoneImEncryptionEngineCbsUploadingFileCb) (LinphoneImEncryptionEngine *engine, LinphoneChatMessage *message, size_t offset, const uint8_t *buffer, size_t *size, uint8_t *encrypted_buffer)
| Callback to encrypt uploading file.
typedef void(* | LinphoneXmlRpcRequestCbsResponseCb) (LinphoneXmlRpcRequest *request)
| Callback used to notify the response to an XML-RPC request.
typedef void(* | LinphoneCoreCbsChatRoomExhumedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)
| Callback used to notify a chat room has been exhumed.
typedef struct _LinphoneBuffer | LinphoneBuffer
| The object representing a data buffer.
typedef struct _LinphoneErrorInfo | LinphoneErrorInfo
| Object representing full details about a signaling error or status.
typedef struct _LinphoneImEncryptionEngine | LinphoneImEncryptionEngine
| IM encryption engine.
typedef struct _LinphoneImEncryptionEngineCbs | LinphoneImEncryptionEngineCbs
| An object to handle the callbacks for the handling a LinphoneImEncryptionEngine object.
typedef struct _LinphoneInfoMessage | LinphoneInfoMessage
| Object representing an informational message sent or received by the core.
typedef enum _LinphoneReason | LinphoneReason
| Enum describing various failure reasons or contextual information for some events.
typedef enum _LinphoneToneID | LinphoneToneID
| Enum listing frequent telephony tones.
typedef enum _LinphoneVersionUpdateCheckResult | LinphoneVersionUpdateCheckResult
| Enum describing the result of a version update check.
typedef enum _LinphoneXmlRpcArgType | LinphoneXmlRpcArgType
| Enum describing the types of argument for LinphoneXmlRpcRequest.
typedef struct _LinphoneXmlRpcRequest | LinphoneXmlRpcRequest
| The LinphoneXmlRpcRequest object representing a XML-RPC request to be sent.
typedef struct _LinphoneXmlRpcRequestCbs | LinphoneXmlRpcRequestCbs
| An object to handle the callbacks for handling the LinphoneXmlRpcRequest operations.
typedef struct _LinphoneXmlRpcSession | LinphoneXmlRpcSession
| The LinphoneXmlRpcSession object used to send XML-RPC requests and handle their responses.
typedef enum _LinphoneXmlRpcStatus | LinphoneXmlRpcStatus
| Enum describing the status of a LinphoneXmlRpcRequest.
typedef struct _LinphoneRange | LinphoneRange
| Structure describing a range of integers.
typedef int | LinphoneStatus
| Status code returned by some functions to notify whether the execution has been succesfully done or not.
typedef struct _LinphoneHeaders | LinphoneHeaders
| Object representing a chain of protocol headers.
typedef void(* | LinphoneMagicSearchCbsSearchResultsReceivedCb) (LinphoneMagicSearch *magic_search)
| Callback used to notify when results are received.
typedef void(* | LinphoneMagicSearchCbsLdapHaveMoreResultsCb) (LinphoneMagicSearch *magic_search, LinphoneLdap *ldap)
| Callback used to notify when LDAP have more results available.
typedef struct _LinphoneContent | LinphoneContent
| This object holds data that can be embedded in a signaling message.
typedef struct _LinphoneDialPlan | LinphoneDialPlan
| Represents a dial plan.
typedef struct _LinphonePushNotificationMessage | LinphonePushNotificationMessage
| Object holding chat message data received by a push notification on iOS platform only.
typedef struct _LinphoneMagicSearch | LinphoneMagicSearch
| A LinphoneMagicSearch is used to do specifics searchs.
typedef struct _LinphoneMagicSearchCbs | LinphoneMagicSearchCbs
| A LinphoneMagicSearchCbs is used to do specifics searchs.
typedef struct _LinphoneSearchResult | LinphoneSearchResult
| The LinphoneSearchResult object represents a result of a search.
typedef struct _LinphoneDigestAuthenticationPolicy | LinphoneDigestAuthenticationPolicy
| The LinphoneDigestAuthenticationPolicy holds parameters relative to digest authentication procedures.

## Enumerations

enum

_LinphoneReason {
LinphoneReasonNone = 0 ,
LinphoneReasonNoResponse = 1 ,
LinphoneReasonForbidden = 2 ,
LinphoneReasonDeclined = 3 ,
LinphoneReasonNotFound = 4 ,
LinphoneReasonNotAnswered = 5 ,
LinphoneReasonBusy = 6 ,
LinphoneReasonUnsupportedContent = 7 ,
LinphoneReasonBadEvent = 8 ,
LinphoneReasonIOError = 9 ,
LinphoneReasonDoNotDisturb = 10 ,
LinphoneReasonUnauthorized = 11 ,
LinphoneReasonNotAcceptable = 12 ,
LinphoneReasonNoMatch = 13 ,
LinphoneReasonMovedPermanently = 14 ,
LinphoneReasonGone = 15 ,
LinphoneReasonTemporarilyUnavailable = 16 ,
LinphoneReasonAddressIncomplete = 17 ,
LinphoneReasonNotImplemented = 18 ,
LinphoneReasonBadGateway = 19 ,
LinphoneReasonSessionIntervalTooSmall = 20 ,
LinphoneReasonServerTimeout = 21 ,
LinphoneReasonUnknown = 22 ,
LinphoneReasonTransferred = 23 ,
LinphoneReasonConditionalRequestFailed = 24
}

| Enum describing various failure reasons or contextual information for some events. More...
enum | _LinphoneToneID { LinphoneToneUndefined = 0 , LinphoneToneBusy = 1 , LinphoneToneCallWaiting = 2 , LinphoneToneCallOnHold = 3 , LinphoneToneCallLost = 4 , LinphoneToneCallEnd = 5 , LinphoneToneCallNotAnswered = 6 }
| Enum listing frequent telephony tones. More...
enum | _LinphoneVersionUpdateCheckResult { LinphoneVersionUpdateCheckUpToDate = 0 , LinphoneVersionUpdateCheckNewVersionAvailable = 1 , LinphoneVersionUpdateCheckError = 2 }
| Enum describing the result of a version update check.
enum | _LinphoneXmlRpcArgType { LinphoneXmlRpcArgNone = 0 , LinphoneXmlRpcArgInt = 1 , LinphoneXmlRpcArgString = 2 , LinphoneXmlRpcArgStringStruct = 3 }
| Enum describing the types of argument for LinphoneXmlRpcRequest.
enum | _LinphoneXmlRpcStatus { LinphoneXmlRpcStatusPending = 0 , LinphoneXmlRpcStatusOk = 1 , LinphoneXmlRpcStatusFailed = 2 }
| Enum describing the status of a LinphoneXmlRpcRequest.

## Functions

LinphoneBuffer * | linphone_buffer_new (void)
| Create a new empty LinphoneBuffer object.
LinphoneBuffer * | linphone_buffer_new_from_data (const uint8_t *data, size_t size)
| Create a new LinphoneBuffer object from existing data.
LinphoneBuffer * | linphone_buffer_new_from_string (const char *data)
| Create a new LinphoneBuffer object from a string.
LinphoneBuffer * | linphone_buffer_ref (LinphoneBuffer *buffer)
| Acquire a reference to the buffer.
void | linphone_buffer_unref (LinphoneBuffer *buffer)
| Release reference to the buffer.
void * | linphone_buffer_get_user_data (const LinphoneBuffer *buffer)
| Retrieve the user pointer associated with the buffer.
void | linphone_buffer_set_user_data (LinphoneBuffer *buffer, void *user_data)
| Assign a user pointer to the buffer.
const uint8_t * | linphone_buffer_get_content (const LinphoneBuffer *buffer)
| Get the content of the data buffer.
void | linphone_buffer_set_content (LinphoneBuffer *buffer, const uint8_t *content, size_t size)
| Set the content of the data buffer.
const char * | linphone_buffer_get_string_content (const LinphoneBuffer *buffer)
| Get the string content of the data buffer.
void | linphone_buffer_set_string_content (LinphoneBuffer *buffer, const char *content)
| Set the string content of the data buffer.
size_t | linphone_buffer_get_size (const LinphoneBuffer *buffer)
| Get the size of the content of the data buffer.
void | linphone_buffer_set_size (LinphoneBuffer *buffer, size_t size)
| Set the size of the content of the data buffer.
bool_t | linphone_buffer_is_empty (const LinphoneBuffer *buffer)
| Tell whether the LinphoneBuffer is empty.
MS2_DEPRECATED int | linphone_core_start_echo_calibration (LinphoneCore *lc, LinphoneEcCalibrationCallback cb, LinphoneEcCalibrationAudioInit audio_init_cb, LinphoneEcCalibrationAudioUninit audio_uninit_cb, void *cb_data)
| Starts an echo calibration of the sound devices, in order to find adequate settings for the echo canceler automatically.
LinphoneStatus | linphone_core_start_echo_canceller_calibration (LinphoneCore *core)
| Starts an echo calibration of the sound devices, in order to find adequate settings for the echo canceler automatically.
LinphoneStatus | linphone_core_start_echo_tester (LinphoneCore *core, unsigned int rate)
| Start the simulation of call to test the latency with an external device.
LinphoneStatus | linphone_core_stop_echo_tester (LinphoneCore *core)
| Stop the simulation of call.
bool_t | linphone_core_has_crappy_opengl (LinphoneCore *core)
| Check whether the device is flagged has crappy opengl.
bool_t | linphone_core_has_builtin_echo_canceller (LinphoneCore *core)
| Check whether the device has a hardware echo canceller.
bool_t | linphone_core_is_echo_canceller_calibration_required (LinphoneCore *core)
| Check whether the device is echo canceller calibration is required.
LinphonePlayer * | linphone_core_create_local_player (LinphoneCore *core, const char *sound_card_name, const char *video_display_name, void *window_id)
| Create an independent media file player.
LinphoneRecorderParams * | linphone_core_create_recorder_params (const LinphoneCore *core)
| Create a recorder params that will hold parameters.
LinphoneRecorder * | linphone_core_create_recorder (LinphoneCore *core, LinphoneRecorderParams *params)
| Create a media file recorder.
LinphoneInfoMessage * | linphone_core_create_info_message (LinphoneCore *core)
| Creates an empty info message.
LinphoneMagicSearch * | linphone_core_create_magic_search (LinphoneCore *core)
| Create a LinphoneMagicSearch object.
void | linphone_core_check_for_update (LinphoneCore *core, const char *current_version)
| Checks if a new version of the application is available.
int | linphone_core_get_unread_chat_message_count (const LinphoneCore *core)
| Return the global unread chat message count.
int | linphone_core_get_unread_chat_message_count_from_local (const LinphoneCore *core, const LinphoneAddress *address)
| Return the unread chat message count for a given local address.
int | linphone_core_get_unread_chat_message_count_from_active_locals (const LinphoneCore *core)
| Return the unread chat message count for all active local address.
void | linphone_core_set_user_agent (LinphoneCore *core, const char *name, const char *version)
| Set the user agent string used in SIP messages.
LinphoneAddress * | linphone_core_interpret_url (LinphoneCore *core, const char *url)
| Constructs a LinphoneAddress from the given string if possible.
LinphoneAddress * | linphone_core_interpret_url_2 (LinphoneCore *core, const char *url, bool_t apply_international_prefix)
| Constructs a LinphoneAddress from the given string if possible.
void | linphone_core_enable_lime_x3dh (LinphoneCore *core, bool_t enable)
| Tells to LinphoneCore to use LIME X3DH.
bool_t | linphone_core_lime_x3dh_enabled (const LinphoneCore *core)
| Tells wether LIME X3DH is enabled or not.
MS2_DEPRECATED void | linphone_core_set_lime_x3dh_server_url (LinphoneCore *core, const char *url)
| Set the x3dh server url.
MS2_DEPRECATED const char * | linphone_core_get_lime_x3dh_server_url (LinphoneCore *core)
| Get the x3dh server url.
bool_t | linphone_core_lime_x3dh_available (const LinphoneCore *core)
| Tells if LIME X3DH is available.
LinphoneStatus | linphone_core_play_local (LinphoneCore *core, const char *audiofile)
| Plays an audio file to the local user.
bool_t | linphone_core_vcard_supported (void)
| Tells whether VCARD support is builtin.
bool_t | linphone_core_video_supported (LinphoneCore *core)
| Test if video is supported.
LinphoneStatus | linphone_core_take_preview_snapshot (LinphoneCore *core, const char *file)
| Take a photo of currently from capture device and write it into a jpeg file.
void | linphone_core_enter_background (LinphoneCore *core)
| This method is called by the application to notify the linphone core library when it enters background mode.
void | linphone_core_enter_foreground (LinphoneCore *core)
| This method is called by the application to notify the linphone core library when it enters foreground mode.
LinphoneConfig * | linphone_core_get_config (const LinphoneCore *core)
| Returns the config object used to manage the storage (config) file.
LinphoneConfig * | linphone_core_create_config (LinphoneCore *core, const char *filename)
| Create a LinphoneConfig object from a user config file.
LinphoneGlobalState | linphone_core_get_global_state (const LinphoneCore *core)
| Returns the global state of core.
void | linphone_core_set_file_transfer_server (LinphoneCore *core, const char *server_url)
| Globaly set an http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.
const char * | linphone_core_get_file_transfer_server (LinphoneCore *core)
| Get the globaly set http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.
LinphoneContent * | linphone_core_create_content (LinphoneCore *core)
| Create a content with default values from Linphone core.
LinphoneXmlRpcSession * | linphone_core_create_xml_rpc_session (LinphoneCore *core, const char *url)
| Create a LinphoneXmlRpcSession for a given url.
void | linphone_core_load_config_from_xml (LinphoneCore *core, const char *xml_uri)
| Update current config with the content of a xml config file.
void | linphone_core_ensure_registered (LinphoneCore *core)
| Call this method when you receive a push notification (if you handle push notifications manually).
void | linphone_core_process_push_notification (LinphoneCore *core, const char *call_id)
| Call this method when you receive a push notification (if you handle push notifications manually).
void | linphone_core_push_notification_received (LinphoneCore *core, const char *payload, const char *call_id)
| This method is called by Android & iOS platform helpers to notify the Core of a received push notification.
void | linphone_core_push_notification_received_2 (LinphoneCore *core, const char *payload, const char *call_id, bool_t is_core_starting)
| This method is called by Android & iOS platform helpers to notify the Core of a received push notification.
LinphonePushNotificationMessage * | linphone_core_get_new_message_from_callid (LinphoneCore *core, const char *call_id)
| Get the chat message with the call_id included in the push notification body This will start the core given in parameter, iterate until the message is received and return it.
LinphoneChatRoom * | linphone_core_get_new_chat_room_from_conf_addr (LinphoneCore *core, const char *chat_room_addr)
| Get the chat room we have been added into using the chat_room_addr included in the push notification body This will start the core given in parameter, iterate until the new chat room is received and return it.
void | linphone_core_set_push_notification_enabled (LinphoneCore *core, bool_t enable)
| Enable or disable push notifications on Android & iOS.
void | linphone_core_enable_push_notification (LinphoneCore *core, bool_t enable)
| Enable or disable push notifications on Android & iOS.
bool_t | linphone_core_is_push_notification_enabled (LinphoneCore *core)
| Gets whether push notifications are enabled or not (Android & iOS only).
bool_t | linphone_core_push_notification_enabled (LinphoneCore *core)
| Gets whether push notifications are enabled or not (Android & iOS only).
bool_t | linphone_core_is_push_notification_available (LinphoneCore *core)
| Gets whether push notifications are available or not (Android & iOS only).
void | linphone_core_did_register_for_remote_push (LinphoneCore *core, void *device_token)
| Sets device_token when application didRegisterForRemoteNotificationsWithDeviceToken (IOS only).
void | linphone_core_did_register_for_remote_push_with_stringified_token (LinphoneCore *core, const char *device_token_str)
| Sets device_token when application didRegisterForRemoteNotificationsWithDeviceToken (IOS only).
void | linphone_core_set_auto_iterate_enabled (LinphoneCore *core, bool_t enable)
| Enable or disable the automatic schedule of linphone_core_iterate() method on Android & iOS.
void | linphone_core_enable_auto_iterate (LinphoneCore *core, bool_t enable)
| Enable or disable the automatic schedule of linphone_core_iterate() method on Android & iOS.
bool_t | linphone_core_is_auto_iterate_enabled (const LinphoneCore *core)
| Gets whether auto iterate is enabled or not (Android & iOS only).
bool_t | linphone_core_auto_iterate_enabled (const LinphoneCore *core)
| Gets whether auto iterate is enabled or not (Android & iOS only).
int | linphone_core_get_auto_iterate_foreground_schedule (const LinphoneCore *core)
| Gets the timer used to schedule the call to core.iterate() method when in foreground (Android only).
void | linphone_core_set_auto_iterate_foreground_schedule (LinphoneCore *core, int schedule)
| Sets the timer used to schedule the call to core.iterate() method when in foreground (Android only).
int | linphone_core_get_auto_iterate_background_schedule (const LinphoneCore *core)
| Gets the timer used to schedule the call to core.iterate() method when in background (Android only).
void | linphone_core_set_auto_iterate_background_schedule (LinphoneCore *core, int schedule)
| Sets the timer used to schedule the call to core.iterate() method when in background (Android only).
void | linphone_core_set_vibration_on_incoming_call_enabled (LinphoneCore *core, bool_t enable)
| Enable vibration will incoming call is ringing (Android only).
void | linphone_core_enable_vibration_on_incoming_call (LinphoneCore *core, bool_t enable)
| Enable vibration will incoming call is ringing (Android only).
bool_t | linphone_core_is_vibration_on_incoming_call_enabled (LinphoneCore *core)
| Gets whether the device will vibrate while an incoming call is ringing (Android only).
bool_t | linphone_core_vibration_on_incoming_call_enabled (LinphoneCore *core)
| Gets whether the device will vibrate while an incoming call is ringing (Android only).
bool_t | linphone_core_ldap_available (LinphoneCore *core)
| Tells if LDAP is available.
MS2_DEPRECATED LinphoneConfig * | linphone_core_create_lp_config (LinphoneCore *core, const char *filename)
| Create a LpConfig object from a user config file.
LinphoneErrorInfo * | linphone_error_info_new (void)
| Create an empty LinphoneErrorInfo object.
LinphoneErrorInfo * | linphone_error_info_ref (LinphoneErrorInfo *error_info)
| Increment refcount.
void | linphone_error_info_unref (LinphoneErrorInfo *error_info)
| Decrement refcount and possibly free the object.
int | linphone_error_info_get_retry_after (const LinphoneErrorInfo *error_info)
| Get Retry-After delay second from the error info.
LinphoneReason | linphone_error_info_get_reason (const LinphoneErrorInfo *error_info)
| Get reason code from the error info.
LinphoneErrorInfo * | linphone_error_info_get_sub_error_info (const LinphoneErrorInfo *error_info)
| Get pointer to chained LinphoneErrorInfo set in sub_ei.
const char * | linphone_error_info_get_phrase (const LinphoneErrorInfo *error_info)
| Get textual phrase from the error info.
const char * | linphone_error_info_get_protocol (const LinphoneErrorInfo *error_info)
| Get protocol from the error info.
const char * | linphone_error_info_get_warnings (const LinphoneErrorInfo *error_info)
| Provides additional information regarding the failure.
int | linphone_error_info_get_protocol_code (const LinphoneErrorInfo *error_info)
| Get the status code from the low level protocol (ex a SIP status code).
void | linphone_error_info_set (LinphoneErrorInfo *error_info, const char *protocol, LinphoneReason reason, int code, const char *status, const char *warning)
| Assign information to a LinphoneErrorInfo object.
void | linphone_error_info_set_sub_error_info (LinphoneErrorInfo *error_info, LinphoneErrorInfo *appended_error_info)
| Set the sub_ei in LinphoneErrorInfo to another LinphoneErrorInfo.
void | linphone_error_info_set_retry_after (LinphoneErrorInfo *error_info, int retry_after)
| Assign retry-after value to a LinphoneErrorInfo object.
void | linphone_error_info_set_reason (LinphoneErrorInfo *error_info, LinphoneReason reason)
| Assign reason LinphoneReason to a LinphoneErrorInfo object.
void | linphone_error_info_set_protocol (LinphoneErrorInfo *error_info, const char *protocol)
| Assign protocol name to a LinphoneErrorInfo object.
void | linphone_error_info_set_protocol_code (LinphoneErrorInfo *error_info, int code)
| Assign protocol code to a LinphoneErrorInfo object.
void | linphone_error_info_set_phrase (LinphoneErrorInfo *error_info, const char *phrase)
| Assign phrase to a LinphoneErrorInfo object.
void | linphone_error_info_set_warnings (LinphoneErrorInfo *error_info, const char *warnings)
| Assign warnings to a LinphoneErrorInfo object.
LinphoneHeaders * | linphone_headers_ref (LinphoneHeaders *obj)
| Increments ref count.
void | linphone_headers_unref (LinphoneHeaders *obj)
| Decrements ref count.
const char * | linphone_headers_get_value (LinphoneHeaders *headers, const char *header_name)
| Search for a given header name and return its value.
void | linphone_headers_add (LinphoneHeaders *headers, const char *name, const char *value)
| Add given header name and corresponding value.
void | linphone_headers_remove (LinphoneHeaders *headers, const char *name)
| Add given header name and corresponding value.
LinphoneImEncryptionEngineCbs * | linphone_im_encryption_engine_cbs_ref (LinphoneImEncryptionEngineCbs *cbs)
| Acquire a reference to the LinphoneImEncryptionEngineCbs.
void | linphone_im_encryption_engine_cbs_unref (LinphoneImEncryptionEngineCbs *cbs)
| Release reference to the LinphoneImEncryptionEngineCbs.
void * | linphone_im_encryption_engine_cbs_get_user_data (const LinphoneImEncryptionEngineCbs *cbs)
| Gets the user data in the LinphoneImEncryptionEngineCbs object.
void | linphone_im_encryption_engine_cbs_set_user_data (LinphoneImEncryptionEngineCbs *cbs, void *data)
| Sets the user data in the LinphoneImEncryptionEngineCbs object.
LinphoneImEncryptionEngine * | linphone_im_encryption_engine_ref (LinphoneImEncryptionEngine *imee)
| Acquire a reference to the LinphoneImEncryptionEngine.
void | linphone_im_encryption_engine_unref (LinphoneImEncryptionEngine *imee)
| Release reference to the LinphoneImEncryptionEngine.
void * | linphone_im_encryption_engine_get_user_data (const LinphoneImEncryptionEngine *imee)
| Gets the user data in the LinphoneImEncryptionEngine object.
void | linphone_im_encryption_engine_set_user_data (LinphoneImEncryptionEngine *imee, void *data)
| Sets the user data in the LinphoneImEncryptionEngine object.
LinphoneCore * | linphone_im_encryption_engine_get_core (LinphoneImEncryptionEngine *imee)
| Gets the LinphoneCore object that created the IM encryption engine.
LinphoneImEncryptionEngineCbs * | linphone_im_encryption_engine_get_callbacks (const LinphoneImEncryptionEngine *imee)
| Gets the LinphoneImEncryptionEngineCbs object that holds the callbacks.
LinphoneImEncryptionEngineCbsIncomingMessageCb | linphone_im_encryption_engine_cbs_get_process_incoming_message (LinphoneImEncryptionEngineCbs *cbs)
| Gets the callback that will decrypt the chat messages upon reception.
void | linphone_im_encryption_engine_cbs_set_process_incoming_message (LinphoneImEncryptionEngineCbs *cbs, LinphoneImEncryptionEngineCbsIncomingMessageCb cb)
| Sets the callback that will decrypt the chat messages upon reception.
LinphoneImEncryptionEngineCbsOutgoingMessageCb | linphone_im_encryption_engine_cbs_get_process_outgoing_message (LinphoneImEncryptionEngineCbs *cbs)
| Gets the callback that will encrypt the chat messages before sending them.
void | linphone_im_encryption_engine_cbs_set_process_outgoing_message (LinphoneImEncryptionEngineCbs *cbs, LinphoneImEncryptionEngineCbsOutgoingMessageCb cb)
| Sets the callback that will encrypt the chat messages before sending them.
LinphoneImEncryptionEngineCbsDownloadingFileCb | linphone_im_encryption_engine_cbs_get_process_downloading_file (LinphoneImEncryptionEngineCbs *cbs)
| Gets the callback that will decrypt the files while downloading them.
void | linphone_im_encryption_engine_cbs_set_process_downloading_file (LinphoneImEncryptionEngineCbs *cbs, LinphoneImEncryptionEngineCbsDownloadingFileCb cb)
| Sets the callback that will decrypt the files while downloading them.
LinphoneImEncryptionEngineCbsUploadingFileCb | linphone_im_encryption_engine_cbs_get_process_uploading_file (LinphoneImEncryptionEngineCbs *cbs)
| Gets the callback that will will encrypt the files while uploading them.
void | linphone_im_encryption_engine_cbs_set_process_uploading_file (LinphoneImEncryptionEngineCbs *cbs, LinphoneImEncryptionEngineCbsUploadingFileCb cb)
| Sets the callback that will encrypt the files while uploading them.
LinphoneImEncryptionEngineCbsIsEncryptionEnabledForFileTransferCb | linphone_im_encryption_engine_cbs_get_is_encryption_enabled_for_file_transfer (LinphoneImEncryptionEngineCbs *cbs)
| Gets the callback telling whether or not to encrypt the files.
void | linphone_im_encryption_engine_cbs_set_is_encryption_enabled_for_file_transfer (LinphoneImEncryptionEngineCbs *cbs, LinphoneImEncryptionEngineCbsIsEncryptionEnabledForFileTransferCb cb)
| Sets the callback telling whether or not to encrypt the files.
LinphoneImEncryptionEngineCbsGenerateFileTransferKeyCb | linphone_im_encryption_engine_cbs_get_generate_file_transfer_key (LinphoneImEncryptionEngineCbs *cbs)
| Gets the callback that will generate the key to encrypt the file before uploading it.
void | linphone_im_encryption_engine_cbs_set_generate_file_transfer_key (LinphoneImEncryptionEngineCbs *cbs, LinphoneImEncryptionEngineCbsGenerateFileTransferKeyCb cb)
| Sets the callback that will generate the key to encrypt the file before uploading it.
LinphoneImEncryptionEngine * | linphone_im_encryption_engine_new (void)
| Create the IM encryption engine.
void | linphone_info_message_add_header (LinphoneInfoMessage *info_message, const char *name, const char *value)
| Add a header to an info message to be sent.
const char * | linphone_info_message_get_header (const LinphoneInfoMessage *info_message, const char *name)
| Obtain a header value from a received info message.
void | linphone_info_message_set_content (LinphoneInfoMessage *info_message, const LinphoneContent *content)
| Assign a content to the info message.
const LinphoneContent * | linphone_info_message_get_content (const LinphoneInfoMessage *info_message)
| Returns the info message's content as a LinphoneContent structure.
LinphoneInfoMessage * | linphone_info_message_ref (LinphoneInfoMessage *info_message)
| Take a reference on a LinphoneInfoMessage.
void | linphone_info_message_unref (LinphoneInfoMessage *info_message)
| Release a reference on a LinphoneInfoMessage.
LinphoneInfoMessage * | linphone_info_message_copy (const LinphoneInfoMessage *info_message)
LinphoneConfig * | linphone_config_new (const char *filename)
| Instantiates a LinphoneConfig object from a user config file.
LinphoneConfig * | linphone_config_new_from_buffer (const char *buffer)
| Instantiates a LinphoneConfig object from a user provided buffer.
LinphoneConfig * | linphone_config_new_with_factory (const char *config_filename, const char *factory_config_filename)
| Instantiates a LinphoneConfig object from a user config file and a factory config file.
LinphoneConfig * | linphone_config_new_for_shared_core (const char *app_group_id, const char *config_filename, const char *factory_config_filename)
| Instantiates a LinphoneConfig object from a user config file name, group id and a factory config file.
LinphoneStatus | linphone_config_read_file (LinphoneConfig *config, const char *filename)
| Reads a user config file and fill the LinphoneConfig with the read config values.
const char * | linphone_config_load_from_xml_file (LinphoneConfig *config, const char *filename)
| Reads a xml config file and fill the LinphoneConfig with the read config dynamic values.
LinphoneStatus | linphone_config_load_from_xml_string (LinphoneConfig *config, const char *buffer)
| Reads a xml config string and fill the LinphoneConfig with the read config dynamic values.
const char * | linphone_config_get_filename (const LinphoneConfig *config)
| Returns the filename used to store the user config.
const char * | linphone_config_get_factory_filename (const LinphoneConfig *config)
| Returns the filename that was used as the factory config.
const char * | linphone_config_get_temporary_filename (const LinphoneConfig *config)
| Returns the temporary filename used to store the user config.
const char * | linphone_config_get_string (const LinphoneConfig *config, const char *section, const char *key, const char *default_string)
| Retrieves a configuration item as a string, given its section, key, and default value.
bctbx_list_t * | linphone_config_get_string_list (const LinphoneConfig *config, const char *section, const char *key, bctbx_list_t *default_list)
| Retrieves a configuration item as a list of strings, given its section, key, and default value.
bool_t | linphone_config_get_range (const LinphoneConfig *config, const char *section, const char *key, int *min, int *max, int default_min, int default_max)
| Retrieves a configuration item as a range, given its section, key, and default min and max values.
int | linphone_config_get_int (const LinphoneConfig *config, const char *section, const char *key, int default_value)
| Retrieves a configuration item as an integer, given its section, key, and default value.
bool_t | linphone_config_get_bool (const LinphoneConfig *config, const char *section, const char *key, bool_t default_value)
| Retrieves a configuration item as a boolean, given its section, key, and default value.
int64_t | linphone_config_get_int64 (const LinphoneConfig *config, const char *section, const char *key, int64_t default_value)
| Retrieves a configuration item as a 64 bit integer, given its section, key, and default value.
float | linphone_config_get_float (const LinphoneConfig *config, const char *section, const char *key, float default_value)
| Retrieves a configuration item as a float, given its section, key, and default value.
void | linphone_config_set_string (LinphoneConfig *config, const char *section, const char *key, const char *value)
| Sets a string config item.
void | linphone_config_set_string_list (LinphoneConfig *config, const char *section, const char *key, const bctbx_list_t *value)
| Sets a string list config item.
void | linphone_config_set_range (LinphoneConfig *config, const char *section, const char *key, int min_value, int max_value)
| Sets a range config item.
void | linphone_config_set_int (LinphoneConfig *config, const char *section, const char *key, int value)
| Sets an integer config item.
void | linphone_config_set_bool (LinphoneConfig *config, const char *section, const char *key, bool_t value)
| Sets a boolean config item.
void | linphone_config_set_int_hex (LinphoneConfig *config, const char *section, const char *key, int value)
| Sets an integer config item, but store it as hexadecimal.
void | linphone_config_set_int64 (LinphoneConfig *config, const char *section, const char *key, int64_t value)
| Sets a 64 bits integer config item.
void | linphone_config_set_float (LinphoneConfig *config, const char *section, const char *key, float value)
| Sets a float config item.
LinphoneStatus | linphone_config_sync (LinphoneConfig *config)
| Writes the config file to disk.
void | linphone_config_reload (LinphoneConfig *config)
| Reload the config from the file.
int | linphone_config_has_section (const LinphoneConfig *config, const char *section)
| Returns if a given section is present in the configuration.
void | linphone_config_clean_section (LinphoneConfig *config, const char *section)
| Removes every pair of key,value in a section and remove the section.
int | linphone_config_has_entry (const LinphoneConfig *config, const char *section, const char *key)
| Returns if a given section with a given key is present in the configuration.
void | linphone_config_clean_entry (LinphoneConfig *config, const char *section, const char *key)
| Removes entries for key,value in a section.
bctbx_list_t * | linphone_config_get_sections_names_list (LinphoneConfig *config)
| Returns the list of sections' names in the LinphoneConfig.
bctbx_list_t * | linphone_config_get_keys_names_list (LinphoneConfig *config, const char *section)
| Returns the list of keys' names for a section in the LinphoneConfig.
void | linphone_config_for_each_section (const LinphoneConfig *config, void(*callback)(const char *section, void *ctx), void *ctx)
| Call a function for each section present in the configuration.
void | linphone_config_for_each_entry (const LinphoneConfig *config, const char *section, void(*callback)(const char *entry, void *ctx), void *ctx)
| Call a function for each entry present in a section configuration.
bool_t | linphone_config_needs_commit (const LinphoneConfig *config)
void | linphone_config_destroy (LinphoneConfig *cfg)
int | linphone_config_get_default_int (const LinphoneConfig *config, const char *section, const char *key, int default_value)
| Retrieves a default configuration item as an integer, given its section, key, and default value.
int64_t | linphone_config_get_default_int64 (const LinphoneConfig *config, const char *section, const char *key, int64_t default_value)
| Retrieves a default configuration item as a 64 bit integer, given its section, key, and default value.
float | linphone_config_get_default_float (const LinphoneConfig *config, const char *section, const char *key, float default_value)
| Retrieves a default configuration item as a float, given its section, key, and default value.
const char * | linphone_config_get_default_string (const LinphoneConfig *config, const char *section, const char *key, const char *default_value)
| Retrieves a default configuration item as a string, given its section, key, and default value.
const char * | linphone_config_get_section_param_string (const LinphoneConfig *config, const char *section, const char *key, const char *default_value)
| Retrieves a section parameter item as a string, given its section and key.
LinphoneConfig * | linphone_config_ref (LinphoneConfig *config)
| increment reference count
void | linphone_config_unref (LinphoneConfig *config)
| Decrement reference count, which will eventually free the object.
void | linphone_config_write_relative_file (const LinphoneConfig *config, const char *filename, const char *data)
| Write a string in a file placed relatively with the Linphone configuration file.
LinphoneStatus | linphone_config_read_relative_file (const LinphoneConfig *config, const char *filename, char *data, size_t max_length)
| Read a string from a file placed beside the Linphone configuration file.
bool_t | linphone_config_relative_file_exists (const LinphoneConfig *config, const char *filename)
| Check if given file name exists relatively to the current location.
char * | linphone_config_dump_as_xml (const LinphoneConfig *config)
| Dumps the LinphoneConfig as XML into a buffer.
char * | linphone_config_dump (const LinphoneConfig *config)
| Dumps the LinphoneConfig as INI into a buffer.
bool_t | linphone_config_get_overwrite_flag_for_entry (const LinphoneConfig *config, const char *section, const char *key)
| Retrieves the overwrite flag for a config item.
void | linphone_config_set_overwrite_flag_for_entry (LinphoneConfig *config, const char *section, const char *key, bool_t value)
| Sets the overwrite flag for a config item (used when dumping config as xml)
bool_t | linphone_config_get_overwrite_flag_for_section (const LinphoneConfig *config, const char *section)
| Retrieves the overwrite flag for a config section.
void | linphone_config_set_overwrite_flag_for_section (LinphoneConfig *config, const char *section, bool_t value)
| Sets the overwrite flag for a config section (used when dumping config as xml)
bool_t | linphone_config_get_skip_flag_for_entry (const LinphoneConfig *config, const char *section, const char *key)
| Retrieves the skip flag for a config item.
void | linphone_config_set_skip_flag_for_entry (LinphoneConfig *config, const char *section, const char *key, bool_t value)
| Sets the skip flag for a config item (used when dumping config as xml)
bool_t | linphone_config_get_skip_flag_for_section (const LinphoneConfig *config, const char *section)
| Retrieves the skip flag for a config section.
void | linphone_config_set_skip_flag_for_section (LinphoneConfig *config, const char *section, bool_t value)
| Sets the skip flag for a config section (used when dumping config as xml)
LinphoneDictionary * | linphone_config_section_to_dict (const LinphoneConfig *config, const char *section)
| Converts a config section into a dictionary.
void | linphone_config_load_dict_to_section (LinphoneConfig *config, const char *section, const LinphoneDictionary *dict)
| Loads a dictionary into a section of the LinphoneConfig.
bool_t | linphone_config_is_readonly (const LinphoneConfig *config)
| Indicates whether the LinphoneConfig object is readonly, in other words it has no file backend or file is opened without write permission.
const char ** | linphone_config_get_sections_names (LinphoneConfig *config)
| Returns the list of sections' names in the LinphoneConfig.
const char * | linphone_configuring_state_to_string (LinphoneConfiguringState state)
| Converts a LinphoneConfiguringState enum to a string.
const char * | linphone_reason_to_string (LinphoneReason error)
| Converts a LinphoneReason enum to a string.
const char * | linphone_transport_to_string (LinphoneTransportType transport)
| Converts a LinphoneTransportType enum to a lowercase string.
LinphoneTransportType | linphone_transport_parse (const char *transport)
| Converts a lowercase string to a LinphoneTransportType enum.
bool_t | linphone_error_code_is_retry_after (int error)
| Check whether an error code is in Retry-After field.
LinphoneReason | linphone_error_code_to_reason (int error)
| Converts an error code to a LinphoneReason.
int | linphone_reason_to_error_code (LinphoneReason reason)
| Converts a LinphoneReason to an error code.
LinphoneRange * | linphone_range_ref (LinphoneRange *range)
| Increment refcount.
void | linphone_range_unref (LinphoneRange *range)
| Decrement refcount and possibly free the object.
void * | linphone_range_get_user_data (const LinphoneRange *range)
| Gets the user data in the LinphoneRange object.
void | linphone_range_set_user_data (LinphoneRange *range, void *user_data)
| Sets the user data in the LinphoneRange object.
int | linphone_range_get_min (const LinphoneRange *range)
| Gets the lower value of the range.
int | linphone_range_get_max (const LinphoneRange *range)
| Gets the higher value of the range.
void | linphone_range_set_min (LinphoneRange *range, int min)
| Sets the lower value of the range.
void | linphone_range_set_max (LinphoneRange *range, int max)
| Sets the higher value of the range.
LinphoneXmlRpcRequest * | linphone_xml_rpc_request_new (LinphoneXmlRpcArgType return_type, const char *method)
| Create a new LinphoneXmlRpcRequest object.
LinphoneXmlRpcRequest * | linphone_xml_rpc_request_ref (LinphoneXmlRpcRequest *request)
| Acquire a reference to the XML-RPC request.
void | linphone_xml_rpc_request_unref (LinphoneXmlRpcRequest *request)
| Release reference to the XML-RPC request.
void * | linphone_xml_rpc_request_get_user_data (const LinphoneXmlRpcRequest *request)
| Retrieve the user pointer associated with the XML-RPC request.
void | linphone_xml_rpc_request_set_user_data (LinphoneXmlRpcRequest *request, void *user_data)
| Assign a user pointer to the XML-RPC request.
void | linphone_xml_rpc_request_add_int_arg (LinphoneXmlRpcRequest *request, int value)
| Add an integer argument to an XML-RPC request.
void | linphone_xml_rpc_request_add_string_arg (LinphoneXmlRpcRequest *request, const char *value)
| Add a string argument to an XML-RPC request.
void | linphone_xml_rpc_request_add_callbacks (LinphoneXmlRpcRequest *request, LinphoneXmlRpcRequestCbs *cbs)
| Add the current LinphoneXmlRpcRequestCbs object to a LinphoneXmlRpcRequest.
void | linphone_xml_rpc_request_remove_callbacks (LinphoneXmlRpcRequest *request, LinphoneXmlRpcRequestCbs *cbs)
| Remove the current LinphoneXmlRpcRequestCbs object from a LinphoneXmlRpcRequest.
LinphoneXmlRpcRequestCbs * | linphone_xml_rpc_request_get_current_callbacks (const LinphoneXmlRpcRequest *request)
| Get the current LinphoneXmlRpcRequestCbs object associated with a LinphoneXmlRpcRequest.
const char * | linphone_xml_rpc_request_get_content (const LinphoneXmlRpcRequest *request)
| Get the content of the XML-RPC request.
LinphoneXmlRpcStatus | linphone_xml_rpc_request_get_status (const LinphoneXmlRpcRequest *request)
| Get the status of the XML-RPC request.
int | linphone_xml_rpc_request_get_int_response (const LinphoneXmlRpcRequest *request)
| Get the response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning an integer response.
const char * | linphone_xml_rpc_request_get_string_response (const LinphoneXmlRpcRequest *request)
| Get the response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning a string response.
const char * | linphone_xml_rpc_request_get_raw_response (const LinphoneXmlRpcRequest *request)
| Get the raw response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning http body as string.
const bctbx_map_t * | linphone_xml_rpc_request_get_string_struct_response (const LinphoneXmlRpcRequest *request)
| Get the response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning a struct response.
const bctbx_list_t * | linphone_xml_rpc_request_get_list_response (const LinphoneXmlRpcRequest *request)
| Get the response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning a string response.
LinphoneXmlRpcSession * | linphone_xml_rpc_session_new (LinphoneCore *core, const char *url)
| Create a new LinphoneXmlRpcSession object.
LinphoneXmlRpcSession * | linphone_xml_rpc_session_ref (LinphoneXmlRpcSession *session)
| Acquire a reference to the XML-RPC session.
void | linphone_xml_rpc_session_unref (LinphoneXmlRpcSession *session)
| Release reference to the XML-RPC session.
void * | linphone_xml_rpc_session_get_user_data (const LinphoneXmlRpcSession *session)
| Retrieve the user pointer associated with the XML-RPC session.
void | linphone_xml_rpc_session_set_user_data (LinphoneXmlRpcSession *session, void *user_data)
| Assign a user pointer to the XML-RPC session.
void | linphone_xml_rpc_session_send_request (LinphoneXmlRpcSession *session, LinphoneXmlRpcRequest *request)
| Send an XML-RPC request.
void | linphone_xml_rpc_session_release (LinphoneXmlRpcSession *session)
| Stop and unref an XML rpc session.
LinphoneXmlRpcRequestCbs * | linphone_xml_rpc_request_cbs_ref (LinphoneXmlRpcRequestCbs *cbs)
| Acquire a reference to a LinphoneXmlRpcRequestCbs object.
void | linphone_xml_rpc_request_cbs_unref (LinphoneXmlRpcRequestCbs *cbs)
| Release a reference to a LinphoneXmlRpcRequestCbs object.
void * | linphone_xml_rpc_request_cbs_get_user_data (const LinphoneXmlRpcRequestCbs *cbs)
| Retrieve the user pointer associated with a LinphoneXmlRpcRequestCbs object.
void | linphone_xml_rpc_request_cbs_set_user_data (LinphoneXmlRpcRequestCbs *cbs, void *user_data)
| Assign a user pointer to a LinphoneXmlRpcRequestCbs object.
LinphoneXmlRpcRequestCbsResponseCb | linphone_xml_rpc_request_cbs_get_response (const LinphoneXmlRpcRequestCbs *cbs)
| Get the response callback.
void | linphone_xml_rpc_request_cbs_set_response (LinphoneXmlRpcRequestCbs *cbs, LinphoneXmlRpcRequestCbsResponseCb cb)
| Set the response callback.
LinphoneXmlRpcRequest * | linphone_xml_rpc_session_create_request (LinphoneXmlRpcSession *session, LinphoneXmlRpcArgType return_type, const char *method)
| Creates a LinphoneXmlRpcRequest from a LinphoneXmlRpcSession.
MS2_DEPRECATED LinphoneXmlRpcRequestCbs * | linphone_xml_rpc_request_get_callbacks (const LinphoneXmlRpcRequest *request)
| Get the LinphoneXmlRpcRequestCbs object associated with a LinphoneXmlRpcRequest.
LinphoneCallStats * | linphone_call_stats_ref (LinphoneCallStats *stats)
| Increment refcount.
void | linphone_call_stats_unref (LinphoneCallStats *stats)
| Decrement refcount and possibly free the object.
void * | linphone_call_stats_get_user_data (const LinphoneCallStats *stats)
| Gets the user data in the LinphoneCallStats object.
void | linphone_call_stats_set_user_data (LinphoneCallStats *stats, void *data)
| Sets the user data in the LinphoneCallStats object.
LinphoneContent * | linphone_content_ref (LinphoneContent *content)
| Acquire a reference to the content.
void | linphone_content_unref (LinphoneContent *content)
| Release reference to the content.
void * | linphone_content_get_user_data (const LinphoneContent *content)
| Retrieve the user pointer associated with the content.
void | linphone_content_set_user_data (LinphoneContent *content, void *user_data)
| Assign a user pointer to the content.
const char * | linphone_content_get_type (const LinphoneContent *content)
| Get the mime type of the content data.
void | linphone_content_set_type (LinphoneContent *content, const char *type)
| Set the mime type of the content data.
const char * | linphone_content_get_subtype (const LinphoneContent *content)
| Get the mime subtype of the content data.
void | linphone_content_set_subtype (LinphoneContent *content, const char *subtype)
| Set the mime subtype of the content data.
void | linphone_content_add_content_type_parameter (LinphoneContent *content, const char *name, const char *value)
| Adds a parameter to the ContentType header.
const uint8_t * | linphone_content_get_buffer (const LinphoneContent *content)
| Get the content data buffer, usually a string.
void | linphone_content_set_buffer (LinphoneContent *content, const uint8_t *buffer, size_t size)
| Set the content data buffer, usually a string.
const char * | linphone_content_get_utf8_text (const LinphoneContent *content)
| Get the string content data buffer.
void | linphone_content_set_utf8_text (LinphoneContent *content, const char *buffer)
| Get the string content data buffer.
size_t | linphone_content_get_size (const LinphoneContent *content)
| Get the content data buffer size, excluding null character despite null character is always set for convenience.
size_t | linphone_content_get_file_size (const LinphoneContent *content)
| Get the file size if content is either a FileContent or a FileTransferContent.
void | linphone_content_set_size (LinphoneContent *content, size_t size)
| Set the content data size, excluding null character despite null character is always set for convenience.
const char * | linphone_content_get_encoding (const LinphoneContent *content)
| Get the encoding of the data buffer, for example "gzip".
void | linphone_content_set_encoding (LinphoneContent *content, const char *encoding)
| Set the encoding of the data buffer, for example "gzip".
const char * | linphone_content_get_disposition (const LinphoneContent *content)
| Get the disposition of the Content, for example "recipient-list".
void | linphone_content_set_disposition (LinphoneContent *content, const char *disposition)
| Set the disposition of the Content, for example "recipient-list".
const char * | linphone_content_get_name (const LinphoneContent *content)
| Get the name associated with a RCS file transfer message.
void | linphone_content_set_name (LinphoneContent *content, const char *name)
| Set the name associated with a RCS file transfer message.
bool_t | linphone_content_is_multipart (const LinphoneContent *content)
| Tell whether a content is a multipart content.
bctbx_list_t * | linphone_content_get_parts (const LinphoneContent *content)
| Get all the parts from a multipart content.
LinphoneContent * | linphone_content_get_part (const LinphoneContent *content, int index)
| Get a part from a multipart content according to its index.
LinphoneContent * | linphone_content_find_part_by_header (const LinphoneContent *content, const char *header_name, const char *header_value)
| Find a part from a multipart content looking for a part header with a specified value.
const char * | linphone_content_get_custom_header (const LinphoneContent *content, const char *header_name)
| Get a custom header value of a content.
void | linphone_content_add_custom_header (LinphoneContent *content, const char *header_name, const char *header_value)
| Adds a custom header in a content.
const char * | linphone_content_get_key (const LinphoneContent *content)
| Get the key associated with a RCS file transfer message if encrypted.
size_t | linphone_content_get_key_size (const LinphoneContent *content)
| Get the size of key associated with a RCS file transfer message if encrypted.
void | linphone_content_set_key (LinphoneContent *content, const char *key, const size_t key_length)
| Set the key associated with a RCS file transfer message if encrypted.
const char * | linphone_content_get_file_path (const LinphoneContent *content)
| Get the file transfer filepath set for this content (replace linphone_chat_message_get_file_transfer_filepath).
char * | linphone_content_export_plain_file (const LinphoneContent *content)
| Generates a temporary plain copy of the file and returns its paths The caller is responsible to then delete this temporary copy and the returned string.
void | linphone_content_set_file_path (LinphoneContent *content, const char *file_path)
| Set the file transfer filepath for this content (replace linphone_chat_message_set_file_transfer_filepath).
int | linphone_content_get_file_duration (LinphoneContent *content)
| Gets the file duration in seconds, if information is available.
bool_t | linphone_content_is_text (const LinphoneContent *content)
| Tells whether or not this content contains text.
bool_t | linphone_content_is_voice_recording (const LinphoneContent *content)
| Tells whether or not this content contains a voice recording by checking it's content type.
bool_t | linphone_content_is_icalendar (const LinphoneContent *content)
| Tells whether or not this content contains an icalendar by checking it's content type.
bool_t | linphone_content_is_file (const LinphoneContent *content)
| Tells whether or not this content contains a file.
bool_t | linphone_content_is_file_transfer (const LinphoneContent *content)
| Tells whether or not this content is a file transfer.
bool_t | linphone_content_is_file_encrypted (const LinphoneContent *content)
| Tells whether or not this content contains an encrypted file.
MS2_DEPRECATED const char * | linphone_content_get_string_buffer (const LinphoneContent *content)
| Get the string content data buffer.
MS2_DEPRECATED void | linphone_content_set_string_buffer (LinphoneContent *content, const char *buffer)
| Set the string content data buffer.
MS2_DEPRECATED char * | linphone_content_get_plain_file_path (const LinphoneContent *content)
| Generates a temporary plain copy of the file and returns its paths The caller is responsible to then delete this temporary copy and the returned string.
LinphoneDialPlan * | linphone_dial_plan_ref (LinphoneDialPlan *dial_plan)
| Increases the reference counter of LinphoneDialPlan objects.
void | linphone_dial_plan_unref (LinphoneDialPlan *dial_plan)
| Decreases the reference counter of LinphoneDialPlan objects.
const char * | linphone_dial_plan_get_country (const LinphoneDialPlan *dial_plan)
| Returns the country name of the dialplan.
const char * | linphone_dial_plan_get_iso_country_code (const LinphoneDialPlan *dial_plan)
| Returns the iso country code of the dialplan.
const char * | linphone_dial_plan_get_country_calling_code (const LinphoneDialPlan *dial_plan)
| Returns the country calling code of the dialplan.
int | linphone_dial_plan_get_national_number_length (const LinphoneDialPlan *dial_plan)
| Returns the national number length of the dialplan.
const char * | linphone_dial_plan_get_international_call_prefix (const LinphoneDialPlan *dial_plan)
| Returns the international call prefix of the dialplan.
const char * | linphone_dial_plan_get_flag (const LinphoneDialPlan *dial_plan)
| Returns the flag of the teritory as unicode characters.
int | linphone_dial_plan_lookup_ccc_from_iso (const char *iso)
| Function to get call country code from ISO 3166-1 alpha-2 code, ex: FR returns 33.
int | linphone_dial_plan_lookup_ccc_from_e164 (const char *e164)
| Function to get call country code from an e164 number, ex: +33952650121 will return 33.
bctbx_list_t * | linphone_dial_plan_get_all_list (void)
| Returns a list of all known dial plans.
const LinphoneDialPlan * | linphone_dial_plan_by_ccc (const char *ccc)
| Find best match for given CCC.
const LinphoneDialPlan * | linphone_dial_plan_by_ccc_as_int (int ccc)
| Find best match for given CCC.
bool_t | linphone_dial_plan_is_generic (const LinphoneDialPlan *ccc)
| Return if given plan is generic.
MS2_DEPRECATED const LinphoneDialPlan * | linphone_dial_plan_get_all (void)
| Return NULL-terminated array of all known dial plans.
const char * | linphone_factory_get_config_dir (LinphoneFactory *factory, void *context)
| Get the config path.
bool_t | linphone_factory_is_config_dir_set (const LinphoneFactory *factory)
| Test if config dir has been set.
const char * | linphone_factory_get_data_dir (LinphoneFactory *factory, void *context)
| Get the data path.
bool_t | linphone_factory_is_data_dir_set (const LinphoneFactory *factory)
| Test if data dir has been set.
const char * | linphone_factory_get_download_dir (LinphoneFactory *factory, void *context)
| Get the download path.
bool_t | linphone_factory_is_download_dir_set (const LinphoneFactory *factory)
| Test if download dir has been set.
const char * | linphone_factory_get_cache_dir (LinphoneFactory *factory, void *context)
| Get the cache path.
bool_t | linphone_factory_is_cache_dir_set (const LinphoneFactory *factory)
| Test if cache dir has been set.
LinphoneMagicSearch * | linphone_magic_search_new (LinphoneCore *core)
| Constructs a LinphoneMagicSearch object.
LinphoneMagicSearch * | linphone_magic_search_ref (LinphoneMagicSearch *magic_search)
| Increment reference count of LinphoneMagicSearch object.
void | linphone_magic_search_unref (LinphoneMagicSearch *magic_search)
| Decrement reference count of LinphoneMagicSearch object.
void | linphone_magic_search_add_callbacks (LinphoneMagicSearch *magic_search, LinphoneMagicSearchCbs *cbs)
| Add a listener in order to be notified of LinphoneMagicSearch events.
void | linphone_magic_search_remove_callbacks (LinphoneMagicSearch *magic_search, LinphoneMagicSearchCbs *cbs)
| Remove a listener from a LinphoneMagicSearch.
LinphoneMagicSearchCbs * | linphone_magic_search_get_current_callbacks (const LinphoneMagicSearch *magic_search)
| Gets the current LinphoneMagicSearchCbs.
void | linphone_magic_search_set_min_weight (LinphoneMagicSearch *magic_search, unsigned int weight)
| Set the minimum value used to calculate the weight in search.
unsigned int | linphone_magic_search_get_min_weight (const LinphoneMagicSearch *magic_search)
| Get the minimum value used to calculate the weight in search.
void | linphone_magic_search_set_max_weight (LinphoneMagicSearch *magic_search, unsigned int weight)
| Set the maximum value used to calculate the weight in search.
unsigned int | linphone_magic_search_get_max_weight (const LinphoneMagicSearch *magic_search)
| Get the maximum value used to calculate the weight in search.
const char * | linphone_magic_search_get_delimiter (const LinphoneMagicSearch *magic_search)
| Get the delimiter used for the search.
void | linphone_magic_search_set_delimiter (LinphoneMagicSearch *magic_search, const char *delimiter)
| Set the delimiter used to find matched filter word.
bool_t | linphone_magic_search_get_use_delimiter (LinphoneMagicSearch *magic_search)
| Returns whether the delimiter is being used for the search.
void | linphone_magic_search_set_use_delimiter (LinphoneMagicSearch *magic_search, bool_t enable)
| Enable or disable the delimiter in search.
unsigned int | linphone_magic_search_get_search_limit (const LinphoneMagicSearch *magic_search)
| Get the number of maximum search result the search will return.
void | linphone_magic_search_set_search_limit (LinphoneMagicSearch *magic_search, unsigned int limit)
| Set the number of the maximum SearchResult which will be returned.
bool_t | linphone_magic_search_get_limited_search (const LinphoneMagicSearch *magic_search)
| Return whether or not the search is limited.
void | linphone_magic_search_set_limited_search (LinphoneMagicSearch *magic_search, bool_t limited)
| Enable or disable the limited search.
void | linphone_magic_search_reset_search_cache (LinphoneMagicSearch *magic_search)
| Reset the cache to begin a new search.
bctbx_list_t * | linphone_magic_search_get_contacts_list (LinphoneMagicSearch *magic_search, const char *filter, const char *domain, int sourceFlags, LinphoneMagicSearchAggregation aggregation)
| Create a sorted list of SearchResult which match with a filter word, from SipUri in this order : Contact's display name, address username, address domain and phone number.
void | linphone_magic_search_get_contacts_list_async (LinphoneMagicSearch *magic_search, const char *filter, const char *domain, int sourceFlags, LinphoneMagicSearchAggregation aggregation)
| This is the asynchronous version of linphone_magic_search_get_contacts().
bctbx_list_t * | linphone_magic_search_get_last_search (const LinphoneMagicSearch *magic_search)
MS2_DEPRECATED bctbx_list_t * | linphone_magic_search_get_contacts (LinphoneMagicSearch *magic_search, const char *filter, const char *domain, int sourceFlags)
| Create a sorted list of SearchResult which match with a filter word, from SipUri in this order : Contact's display name, address username, address domain and phone number.
MS2_DEPRECATED void | linphone_magic_search_get_contacts_async (LinphoneMagicSearch *magic_search, const char *filter, const char *domain, int sourceFlags)
| This is the asynchronous version of linphone_magic_search_get_contacts().
MS2_DEPRECATED bctbx_list_t * | linphone_magic_search_get_contact_list_from_filter (LinphoneMagicSearch *magic_search, const char *filter, const char *domain)
| Create a sorted list of SearchResult from SipUri, Contact name, Contact displayname, Contact phone number, which match with a filter word The last item list will be an address formed with "filter" if a proxy config exist During the first search, a cache is created and used for the next search Use linphone_magic_search_reset_search_cache() to begin a new search.
MS2_DEPRECATED void | linphone_magic_search_get_contact_list_from_filter_async (LinphoneMagicSearch *magic_search, const char *filter, const char *domain)
| Create a sorted list of SearchResult asynchronous from SipUri, Contact name, Contact displayname, Contact phone number, which match with a filter word The last item list will be an address formed with "filter" if a proxy config exist During the first search, a cache is created and used for the next search Use linphone_magic_search_reset_search_cache() to begin a new search.
LinphoneMagicSearchCbs * | linphone_magic_search_cbs_new (void)
LinphoneMagicSearchCbs * | linphone_magic_search_cbs_ref (LinphoneMagicSearchCbs *cbs)
| Acquire a reference to the chat message callbacks object.
void | linphone_magic_search_cbs_unref (LinphoneMagicSearchCbs *cbs)
| Release reference to the chat message callbacks object.
void * | linphone_magic_search_cbs_get_user_data (const LinphoneMagicSearchCbs *cbs)
| Retrieve the user pointer associated with the chat message callbacks object.
void | linphone_magic_search_cbs_set_user_data (LinphoneMagicSearchCbs *cbs, void *user_data)
| Assign a user pointer to the chat message callbacks object.
LinphoneMagicSearchCbsSearchResultsReceivedCb | linphone_magic_search_cbs_get_search_results_received (const LinphoneMagicSearchCbs *cbs)
| Get the received results callback.
void | linphone_magic_search_cbs_set_search_results_received (LinphoneMagicSearchCbs *cbs, LinphoneMagicSearchCbsSearchResultsReceivedCb cb)
| Set the received results callback.
LinphoneMagicSearchCbsLdapHaveMoreResultsCb | linphone_magic_search_cbs_get_ldap_have_more_results (const LinphoneMagicSearchCbs *cbs)
| Get the ldap callback on having more results.
void | linphone_magic_search_cbs_set_ldap_have_more_results (LinphoneMagicSearchCbs *cbs, LinphoneMagicSearchCbsLdapHaveMoreResultsCb cb)
| Set the ldap callback on having more results.
LinphoneParticipant * | linphone_participant_ref (LinphoneParticipant *participant)
| Increment reference count of LinphoneParticipant object.
void | linphone_participant_unref (LinphoneParticipant *participant)
| Decrement reference count of LinphoneParticipant object.
void * | linphone_participant_get_user_data (const LinphoneParticipant *participant)
| Retrieve the user pointer associated with the conference participant.
void | linphone_participant_set_user_data (LinphoneParticipant *participant, void *user_data)
| Assign a user pointer to the conference participant.
const LinphoneAddress * | linphone_participant_get_address (const LinphoneParticipant *participant)
| Get the address of a conference participant.
bool_t | linphone_participant_is_admin (const LinphoneParticipant *participant)
| Tells whether a conference participant is an administrator of the conference.
bool_t | linphone_participant_is_focus (const LinphoneParticipant *participant)
| Tells whether a conference participant is the focus of the conference.
LinphoneChatRoomSecurityLevel | linphone_participant_get_security_level (const LinphoneParticipant *participant)
| Get the security level of a participant.
bctbx_list_t * | linphone_participant_get_devices (const LinphoneParticipant *participant)
| Gets the list of devices from a chat room's participant.
LinphoneParticipantDevice * | linphone_participant_find_device_2 (const LinphoneParticipant *participant, const LinphoneCall *call)
| Find a device in the list of devices from a chat room's participant.
LinphoneParticipantDevice * | linphone_participant_find_device (const LinphoneParticipant *participant, const LinphoneAddress *address)
| Find a device in the list of devices from a chat room's participant.
time_t | linphone_participant_get_creation_time (const LinphoneParticipant *participant)
| Get the timestamp of the creation of the participant.
LinphoneParticipantRole | linphone_participant_get_role (const LinphoneParticipant *participant)
| Get the role of the participant within the conference.
LinphoneParticipantDevice * | linphone_participant_device_ref (LinphoneParticipantDevice *participant_device)
| Increment reference count of LinphoneParticipantDevice object.
void | linphone_participant_device_unref (LinphoneParticipantDevice *participant_device)
| Decrement reference count of LinphoneParticipantDevice object.
void * | linphone_participant_device_get_user_data (const LinphoneParticipantDevice *participant_device)
| Retrieve the user pointer associated with the participant's device.
void | linphone_participant_device_set_user_data (LinphoneParticipantDevice *participant_device, void *user_data)
| Assign a user pointer to the participant's device.
const LinphoneAddress * | linphone_participant_device_get_address (const LinphoneParticipantDevice *participant_device)
| Get the address of a participant's device.
LinphoneParticipantDeviceState | linphone_participant_device_get_state (const LinphoneParticipantDevice *participant_device)
| Get the state of a participant device.
LinphoneChatRoomSecurityLevel | linphone_participant_device_get_security_level (const LinphoneParticipantDevice *participant_device)
| Get the security level of a participant's device.
const char * | linphone_participant_device_get_name (const LinphoneParticipantDevice *participant_device)
| Return the name of the device or NULL.
bool_t | linphone_participant_device_is_in_conference (const LinphoneParticipantDevice *participant_device)
| Return whether the participant device is in a conference or not.
time_t | linphone_participant_device_get_time_of_joining (const LinphoneParticipantDevice *participant_device)
| Get the timestamp the device joined a conference.
time_t | linphone_participant_device_get_time_of_disconnection (const LinphoneParticipantDevice *participant_device)
| Get the timestamp the device left a conference.
LinphoneParticipantDeviceJoiningMethod | linphone_participant_device_get_joining_method (const LinphoneParticipantDevice *participant_device)
| Get the joining method or it the device is the focus owner.
LinphoneParticipantDeviceDisconnectionMethod | linphone_participant_device_get_disconnection_method (const LinphoneParticipantDevice *participant_device)
| Get the disconnection method.
const char * | linphone_participant_device_get_disconnection_reason (const LinphoneParticipantDevice *participant_device)
| Get the disconnection reason.
LinphoneMediaDirection | linphone_participant_device_get_stream_capability (const LinphoneParticipantDevice *participant_device, const LinphoneStreamType stream_type)
| Get the stream capability of the device.
bool_t | linphone_participant_device_get_stream_availability (const LinphoneParticipantDevice *participant_device, const LinphoneStreamType stream_type)
| Get the stream availability of the device.
uint32_t | linphone_participant_device_get_ssrc (const LinphoneParticipantDevice *participant_device, const LinphoneStreamType stream_type)
| Get the audio stream SSRC of the device.
void | linphone_participant_device_add_callbacks (LinphoneParticipantDevice *participant_device, LinphoneParticipantDeviceCbs *cbs)
| Add a listener in order to be notified of LinphoneParticipantDevice events.
void | linphone_participant_device_remove_callbacks (LinphoneParticipantDevice *participant_device, LinphoneParticipantDeviceCbs *cbs)
| Remove a listener from a LinphoneParticipantDevice.
LinphoneParticipantDeviceCbs * | linphone_participant_device_get_current_callbacks (const LinphoneParticipantDevice *participant_device)
| Gets the current LinphoneParticipantDeviceCbs.
void | linphone_participant_device_set_native_video_window_id (LinphoneParticipantDevice *participant_device, void *window_id)
| Set window ID for a device.
void * | linphone_participant_device_get_native_video_window_id (const LinphoneParticipantDevice *participant_device)
| Get window ID.
void * | linphone_participant_device_create_native_video_window_id (const LinphoneParticipantDevice *participant_device)
| Create a window ID and return it.
bool_t | linphone_participant_device_get_is_speaking (const LinphoneParticipantDevice *participant_device)
| Return whether the participant device is speaking or not.
bool_t | linphone_participant_device_get_is_muted (const LinphoneParticipantDevice *participant_device)
| Return whether the participant device is muted or not.
LinphoneParticipantDeviceIdentity * | linphone_participant_device_identity_new (const LinphoneAddress *address, const char *name)
| Constructs a LinphoneParticipantDeviceIdentity object.
LinphoneParticipantDeviceIdentity * | linphone_participant_device_identity_ref (LinphoneParticipantDeviceIdentity *device_identity)
| Increment reference count of LinphoneParticipantDeviceIdentity object.
void | linphone_participant_device_identity_unref (LinphoneParticipantDeviceIdentity *device_identity)
| Decrement reference count of LinphoneParticipantDeviceIdentity object.
MS2_DEPRECATED void | linphone_participant_device_identity_set_capability_descriptor (LinphoneParticipantDeviceIdentity *device_identity, const char *capability_descriptor)
| Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.
void | linphone_participant_device_identity_set_capability_descriptor_2 (LinphoneParticipantDeviceIdentity *device_identity, const bctbx_list_t *capability_descriptor_list)
| Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.
MS2_DEPRECATED const char * | linphone_participant_device_identity_get_capability_descriptor (const LinphoneParticipantDeviceIdentity *device_identity)
| Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.
const bctbx_list_t * | linphone_participant_device_identity_get_capability_descriptor_list (const LinphoneParticipantDeviceIdentity *device_identity)
| Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.
const LinphoneAddress * | linphone_participant_device_identity_get_address (const LinphoneParticipantDeviceIdentity *device_identity)
| Get the address of the participant device.
LinphoneParticipantImdnState * | linphone_participant_imdn_state_ref (LinphoneParticipantImdnState *state)
| Increment reference count of LinphoneParticipantImdnState object.
void | linphone_participant_imdn_state_unref (LinphoneParticipantImdnState *state)
| Decrement reference count of LinphoneParticipantImdnState object.
void * | linphone_participant_imdn_state_get_user_data (const LinphoneParticipantImdnState *state)
| Retrieve the user pointer associated with a LinphoneParticipantImdnState.
void | linphone_participant_imdn_state_set_user_data (LinphoneParticipantImdnState *state, void *user_data)
| Assign a user pointer to a LinphoneParticipantImdnState.
const LinphoneParticipant * | linphone_participant_imdn_state_get_participant (const LinphoneParticipantImdnState *state)
| Get the participant concerned by a LinphoneParticipantImdnState.
LinphoneChatMessageState | linphone_participant_imdn_state_get_state (const LinphoneParticipantImdnState *state)
| Get the chat message state the participant is in.
time_t | linphone_participant_imdn_state_get_state_change_time (const LinphoneParticipantImdnState *state)
| Get the timestamp at which a participant has reached the state described by a LinphoneParticipantImdnState.
LinphonePushNotificationMessage * | linphone_push_notification_message_new (const char *call_id, bool_t is_text, const char *text_content, const char *subject, const char *from_addr, const char *local_addr, const char *peer_addr, bool_t is_icalendar)
| Safely cast a belle_sip_object_t into LinphonePushNotificationMessage.
LinphonePushNotificationMessage * | linphone_push_notification_message_ref (LinphonePushNotificationMessage *message)
| Take a reference on a LinphonePushNotificationMessage.
void | linphone_push_notification_message_unref (LinphonePushNotificationMessage *message)
| Release a LinphonePushNotificationMessage.
const char * | linphone_push_notification_message_get_call_id (const LinphonePushNotificationMessage *message)
| Gets the call id.
bool_t | linphone_push_notification_message_is_text (const LinphonePushNotificationMessage *message)
| Returns wether it is a text message or not.
const char * | linphone_push_notification_message_get_text_content (const LinphonePushNotificationMessage *message)
| Gets the text content.
const char * | linphone_push_notification_message_get_subject (const LinphonePushNotificationMessage *message)
| Gets the subject.
const LinphoneAddress * | linphone_push_notification_message_get_from_addr (const LinphonePushNotificationMessage *message)
| Gets the from address.
const LinphoneAddress * | linphone_push_notification_message_get_local_addr (const LinphonePushNotificationMessage *message)
| Gets the local address.
const LinphoneAddress * | linphone_push_notification_message_get_peer_addr (const LinphonePushNotificationMessage *message)
| Gets the peer address.
const char * | linphone_push_notification_message_get_reaction_content (const LinphonePushNotificationMessage *message)
| Gets the reaction content.
bool_t | linphone_push_notification_message_is_icalendar (const LinphonePushNotificationMessage *message)
| Tells whether or not this message contains an icalendar by checking it's content type.
bool_t | linphone_push_notification_message_is_conference_invitation_new (const LinphonePushNotificationMessage *message)
| Tells whether or not this message contains a new conference invitation.
bool_t | linphone_push_notification_message_is_conference_invitation_update (const LinphonePushNotificationMessage *message)
| Tells whether or not this message contains a conference invitation update.
bool_t | linphone_push_notification_message_is_conference_invitation_cancellation (const LinphonePushNotificationMessage *message)
| Tells whether or not this message contains a conference invitation cancellation.
LinphonePushNotificationConfig * | linphone_push_notification_config_new (void)
| Safely cast a belle_sip_object_t into LinphonePushNotificationMessage.
LinphonePushNotificationConfig * | linphone_push_notification_config_clone (const LinphonePushNotificationConfig *push_cfg)
| Instantiate a new push notification parameters with values from source.
bool_t | linphone_push_notification_config_is_equal (const LinphonePushNotificationConfig *push_cfg, const LinphonePushNotificationConfig *other_config)
| Checks if two Push Notification Configurations are identical.
LinphonePushNotificationConfig * | linphone_push_notification_config_ref (LinphonePushNotificationConfig *push_cfg)
| Take a reference on a LinphonePushNotificationConfig.
void | linphone_push_notification_config_unref (LinphonePushNotificationConfig *push_cfg)
| Release a LinphonePushNotificationConfig.
const char * | linphone_push_notification_config_get_provider (const LinphonePushNotificationConfig *push_cfg)
| Gets the provider for "contact uri parameter".
void | linphone_push_notification_config_set_provider (LinphonePushNotificationConfig *push_cfg, const char *provider)
| Sets the provider for "contact uri parameter".
void | linphone_push_notification_config_set_remote_push_interval (LinphonePushNotificationConfig *push_cfg, const char *remote_push_interval)
| Specifies the interval in seconds between to subsequent remote push notifications when remote push notifications are used to notify a call invite to clients that haven't published any token for VoIP and background push notifications.
const char * | linphone_push_notification_config_get_team_id (const LinphonePushNotificationConfig *push_cfg)
| Gets the team id for "contact uri parameter".
void | linphone_push_notification_config_set_team_id (LinphonePushNotificationConfig *push_cfg, const char *team_id)
| Sets the team id for "contact uri parameter".
const char * | linphone_push_notification_config_get_msg_str (const LinphonePushNotificationConfig *push_cfg)
| Gets the msg_str for "contact uri parameter".
void | linphone_push_notification_config_set_msg_str (LinphonePushNotificationConfig *push_cfg, const char *msg_str)
| Sets the msg_str for "contact uri parameter", specific for remote push notification.
const char * | linphone_push_notification_config_get_call_str (const LinphonePushNotificationConfig *push_cfg)
| Gets the call_str for "contact uri parameter".
void | linphone_push_notification_config_set_call_str (LinphonePushNotificationConfig *push_cfg, const char *call_str)
| Sets the call_str for "contact uri parameter", specific for remote push notification.
const char * | linphone_push_notification_config_get_group_chat_str (const LinphonePushNotificationConfig *push_cfg)
| Gets the groupchat_str for "contact uri parameter".
void | linphone_push_notification_config_set_group_chat_str (LinphonePushNotificationConfig *push_cfg, const char *group_chat_str)
| Sets the group_chat_str for "contact uri parameter", specific for remote push notification.
const char * | linphone_push_notification_config_get_call_snd (const LinphonePushNotificationConfig *push_cfg)
| Gets the call_snd for "contact uri parameter".
void | linphone_push_notification_config_set_call_snd (LinphonePushNotificationConfig *push_cfg, const char *call_snd)
| Sets the call_snd for "contact uri parameter", specific for remote push notification.
const char * | linphone_push_notification_config_get_msg_snd (const LinphonePushNotificationConfig *push_cfg)
| Gets the msg_snd for "contact uri parameter".
void | linphone_push_notification_config_set_msg_snd (LinphonePushNotificationConfig *push_cfg, const char *msg_snd)
| Sets the msg_snd for "contact uri parameter", specific for remote push notification.
const char * | linphone_push_notification_config_get_bundle_identifier (const LinphonePushNotificationConfig *push_cfg)
| Gets the app's bundle identifier for "contact uri parameter".
void | linphone_push_notification_config_set_bundle_identifier (LinphonePushNotificationConfig *push_cfg, const char *bundle_identifier)
| Sets the bundle_identifier for "contact uri parameter".
const char * | linphone_push_notification_config_get_voip_token (const LinphonePushNotificationConfig *push_cfg)
| Gets the voip token for "contact uri parameter".
void | linphone_push_notification_config_set_voip_token (LinphonePushNotificationConfig *push_cfg, const char *voip_token)
| Sets the voip_token for "contact uri parameter", specific for voip push notification.
const char * | linphone_push_notification_config_get_remote_token (const LinphonePushNotificationConfig *push_cfg)
| Gets the remote token for "contact uri parameter".
void | linphone_push_notification_config_set_remote_token (LinphonePushNotificationConfig *push_cfg, const char *remote_token)
| Sets the remote_token for "contact uri parameter", specific for remote push notification.
const char * | linphone_push_notification_config_get_param (const LinphonePushNotificationConfig *push_cfg)
| Gets the param for "contact uri parameter".
void | linphone_push_notification_config_set_param (LinphonePushNotificationConfig *push_cfg, const char *param)
| Sets the param for "contact uri parameter".
const char * | linphone_push_notification_config_get_prid (const LinphonePushNotificationConfig *push_cfg)
| Gets the prid for "contact uri parameter".
void | linphone_push_notification_config_set_prid (LinphonePushNotificationConfig *push_cfg, const char *prid)
| Sets the prid for "contact uri parameter".
LinphoneSearchResult * | linphone_search_result_ref (LinphoneSearchResult *search_result)
| Increment reference count of LinphoneSearchResult object.
void | linphone_search_result_unref (LinphoneSearchResult *search_result)
| Decrement reference count of LinphoneSearchResult object.
LinphoneFriend * | linphone_search_result_get_friend (const LinphoneSearchResult *search_result)
| Gets the friend of the search result if any.
const LinphoneAddress * | linphone_search_result_get_address (const LinphoneSearchResult *search_result)
| Gets the address of the search result if any.
const char * | linphone_search_result_get_phone_number (const LinphoneSearchResult *search_result)
| Gets the phone number of the search result if any.
int | linphone_search_result_get_capabilities (const LinphoneSearchResult *search_result)
| Returns the capabilities mask of the search result.
bool_t | linphone_search_result_has_capability (const LinphoneSearchResult *search_result, const LinphoneFriendCapability capability)
| Returns whether or not the search result has the given capability.
unsigned int | linphone_search_result_get_weight (const LinphoneSearchResult *search_result)
| Gets the weight of the search result.
int | linphone_search_result_get_source_flags (const LinphoneSearchResult *search_result)
| Gets source flags of the search result.

## Detailed Description

Miscenalleous: logs, version strings, config storage.

## Macro Definition Documentation

## LINPHONE_CONFIG

#define LINPHONE_CONFIG | ( |  | obj | ) |

Value:
BELLE_SIP_CAST(obj, LinphoneConfig);
LinphoneConfig
struct _LpConfig LinphoneConfig
This object is used to manipulate a configuration file.
Definition types.h:414

Safely downcast a belle_sip_object into LinphoneConfig.

## Typedef Documentation

## LinphoneContent

typedef struct _LinphoneContent LinphoneContent

This object holds data that can be embedded in a signaling message.

Use linphone_core_create_content() to create it, and then you should set at least it's type and subtype and fill the buffer with your data.

A LinphoneContent can be multipart (contain other contents), have file information (name, path, size), be encrypted, have custom headers, etc...

It is mainly used to send information through a LinphoneChatMessage.

## LinphoneCoreCbsChatRoomExhumedCb

typedef void(* LinphoneCoreCbsChatRoomExhumedCb) (LinphoneCore *core, LinphoneChatRoom *chat_room)

Callback used to notify a chat room has been exhumed.

Internal use only!

Parameters

  core | LinphoneCore object
  chat_room | LinphoneChatRoom object

## LinphoneCoreCbsEcCalibrationAudioInitCb

typedef void(* LinphoneCoreCbsEcCalibrationAudioInitCb) (LinphoneCore *core)

Function prototype used by linphone_core_cbs_set_ec_calibration_audio_init().

Parameters

  core | The LinphoneCore.

## LinphoneCoreCbsEcCalibrationAudioUninitCb

typedef void(* LinphoneCoreCbsEcCalibrationAudioUninitCb) (LinphoneCore *core)

Function prototype used by linphone_core_cbs_set_ec_calibration_audio_uninit().

Parameters

  core | The LinphoneCore.

## LinphoneCoreCbsEcCalibrationResultCb

typedef void(* LinphoneCoreCbsEcCalibrationResultCb) (LinphoneCore *core, LinphoneEcCalibratorStatus status, int delay_ms)

Function prototype used by linphone_core_cbs_set_ec_calibration_result().

Parameters

  core | The LinphoneCore.
  status | The LinphoneEcCalibratorStatus of the calibrator.
  delay_ms | The measured delay if available.

## LinphoneErrorInfo

typedef struct _LinphoneErrorInfo LinphoneErrorInfo

Object representing full details about a signaling error or status.

All LinphoneErrorInfo object returned by the liblinphone API are readonly and transcients. For safety they must be used immediately after obtaining them. Any other function call to the liblinphone may change their content or invalidate the pointer.

## LinphoneHeaders

typedef struct _LinphoneHeaders LinphoneHeaders

Object representing a chain of protocol headers.

It provides read/write access to the headers of the underlying protocol.

## LinphoneImEncryptionEngine

typedef struct _LinphoneImEncryptionEngine LinphoneImEncryptionEngine

IM encryption engine.

See also
  https://wiki.linphone.org/xwiki/wiki/public/view/Lib/Features/Instant%20Messaging%20Encryption%20Engine/

## LinphoneImEncryptionEngineCbs

typedef struct _LinphoneImEncryptionEngineCbs LinphoneImEncryptionEngineCbs

An object to handle the callbacks for the handling a LinphoneImEncryptionEngine object.

## LinphoneImEncryptionEngineCbsDownloadingFileCb

typedef int(* LinphoneImEncryptionEngineCbsDownloadingFileCb) (LinphoneImEncryptionEngine *engine, LinphoneChatMessage *message, size_t offset, const uint8_t *buffer, size_t size, uint8_t *decrypted_buffer)

Callback to decrypt downloading file.

Parameters

  | engine | LinphoneImEncryptionEngine object
  | message | LinphoneChatMessage object
  | offset | The current offset of the upload
  | buffer | Encrypted data buffer
  | size | Size of the encrypted data buffer and maximum size of the decrypted data buffer
  [out] | decrypted_buffer | Buffer in which to write the decrypted data which maximum size is size

Returns
  -1 if nothing to be done, 0 on success or an integer > 0 for error

## LinphoneImEncryptionEngineCbsGenerateFileTransferKeyCb

typedef void(* LinphoneImEncryptionEngineCbsGenerateFileTransferKeyCb) (LinphoneImEncryptionEngine *engine, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)

Callback to generate the key used to encrypt the files before uploading them Key can be stored in the LinphoneContent object inside the LinphoneChatMessage using linphone_content_set_key.

Parameters

  engine | LinphoneImEncryptionEngine object
  chat_room | LinphoneChatRoom object
  message | LinphoneChatMessage object

## LinphoneImEncryptionEngineCbsIncomingMessageCb

typedef int(* LinphoneImEncryptionEngineCbsIncomingMessageCb) (LinphoneImEncryptionEngine *engine, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)

Callback to decrypt incoming LinphoneChatMessage.

Parameters

  engine | The LinphoneImEncryptionEngine object
  chat_room | LinphoneChatRoom object
  message | LinphoneChatMessage object

Returns
  -1 if nothing to be done, 0 on success or an integer > 0 for error

## LinphoneImEncryptionEngineCbsIsEncryptionEnabledForFileTransferCb

typedef bool_t(* LinphoneImEncryptionEngineCbsIsEncryptionEnabledForFileTransferCb) (LinphoneImEncryptionEngine *engine, LinphoneChatRoom *chat_room)

Callback to know whether or not the engine will encrypt files before uploading them.

Parameters

  engine | LinphoneImEncryptionEngine object
  chat_room | LinphoneChatRoom object

Returns
  TRUE if files will be encrypted, FALSE otherwise

## LinphoneImEncryptionEngineCbsOutgoingMessageCb

typedef int(* LinphoneImEncryptionEngineCbsOutgoingMessageCb) (LinphoneImEncryptionEngine *engine, LinphoneChatRoom *chat_room, LinphoneChatMessage *message)

Callback to encrypt outgoing LinphoneChatMessage.

Parameters

  engine | LinphoneImEncryptionEngine object
  chat_room | LinphoneChatRoom object
  message | LinphoneChatMessage object

Returns
  -1 if nothing to be done, 0 on success or an integer > 0 for error

## LinphoneImEncryptionEngineCbsUploadingFileCb

typedef int(* LinphoneImEncryptionEngineCbsUploadingFileCb) (LinphoneImEncryptionEngine *engine, LinphoneChatMessage *message, size_t offset, const uint8_t *buffer, size_t *size, uint8_t *encrypted_buffer)

Callback to encrypt uploading file.

Parameters

  | engine | LinphoneImEncryptionEngine object
  | message | LinphoneChatMessage object
  | offset | The current offset of the upload
  | buffer | Encrypted data buffer
  [in,out] | size | Size of the plain data buffer and the size of the encrypted data buffer once encryption is done
  [out] | encrypted_buffer | Buffer in which to write the encrypted data which maxmimum size is size

Returns
  -1 if nothing to be done, 0 on success or an integer > 0 for error

## LinphoneMagicSearchCbsLdapHaveMoreResultsCb

typedef void(* LinphoneMagicSearchCbsLdapHaveMoreResultsCb) (LinphoneMagicSearch *magic_search, LinphoneLdap *ldap)

Callback used to notify when LDAP have more results available.

Parameters

  magic_search | LinphoneMagicSearch object
  ldap | LinphoneLdap object

## LinphoneMagicSearchCbsSearchResultsReceivedCb

typedef void(* LinphoneMagicSearchCbsSearchResultsReceivedCb) (LinphoneMagicSearch *magic_search)

Callback used to notify when results are received.

Parameters

  magic_search | LinphoneMagicSearch object

## LinphonePushNotificationMessage

typedef struct _LinphonePushNotificationMessage LinphonePushNotificationMessage

Object holding chat message data received by a push notification on iOS platform only.

This object is a subset of LinphoneChatMessage, so only a few methods of it's parent are available, like linphone_push_notification_message_get_text_content() and linphone_push_notification_message_get_subject(), just enough to be able to build a notification to show the user.

## LinphoneReason

typedef enum _LinphoneReason LinphoneReason

Enum describing various failure reasons or contextual information for some events.

See also
  linphone_call_get_reason()
  linphone_proxy_config_get_error()
  linphone_error_info_get_reason()

## LinphoneXmlRpcRequestCbsResponseCb

typedef void(* LinphoneXmlRpcRequestCbsResponseCb) (LinphoneXmlRpcRequest *request)

Callback used to notify the response to an XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object

## Enumeration Type Documentation

## _LinphoneReason

enum _LinphoneReason

Enum describing various failure reasons or contextual information for some events.

See also
  linphone_call_get_reason()
  linphone_proxy_config_get_error()
  linphone_error_info_get_reason()

Enumerator
LinphoneReasonNone | No reason has been set by the core.
LinphoneReasonNoResponse | No response received from remote.
LinphoneReasonForbidden | Authentication failed due to bad credentials or resource forbidden.
LinphoneReasonDeclined | The call has been declined.
LinphoneReasonNotFound | Destination of the call was not found.
LinphoneReasonNotAnswered | The call was not answered in time (request timeout)
LinphoneReasonBusy | Phone line was busy.
LinphoneReasonUnsupportedContent | Unsupported content.
LinphoneReasonBadEvent | Bad event.
LinphoneReasonIOError | Transport error: connection failures, disconnections etc...
LinphoneReasonDoNotDisturb | Do not disturb reason.
LinphoneReasonUnauthorized | Operation is unauthorized because missing credential.
LinphoneReasonNotAcceptable | Operation is rejected due to incompatible or unsupported media parameters.
LinphoneReasonNoMatch | Operation could not be executed by server or remote client because it didn't have any context for it.
LinphoneReasonMovedPermanently | Resource moved permanently.
LinphoneReasonGone | Resource no longer exists.
LinphoneReasonTemporarilyUnavailable | Temporarily unavailable.
LinphoneReasonAddressIncomplete | Address incomplete.
LinphoneReasonNotImplemented | Not implemented.
LinphoneReasonBadGateway | Bad gateway.
LinphoneReasonSessionIntervalTooSmall | The received request contains a Session-Expires header field with a duration below the minimum timer.
LinphoneReasonServerTimeout | Server timeout.
LinphoneReasonUnknown | Unknown reason.
LinphoneReasonTransferred | The call has been transferred.
LinphoneReasonConditionalRequestFailed | Conditional Request Failed.

## _LinphoneToneID

enum _LinphoneToneID

Enum listing frequent telephony tones.

Enumerator
LinphoneToneUndefined | Not a tone.
LinphoneToneBusy | Busy tone.
LinphoneToneCallWaiting | Call waiting tone.
LinphoneToneCallOnHold | Call on hold tone.
LinphoneToneCallLost | Tone played when call is abruptly disconnected (media lost)
LinphoneToneCallEnd | When the call end for any reason but lost.
LinphoneToneCallNotAnswered | When the call is not answered.

## Function Documentation

## linphone_buffer_get_content()

const uint8_t * linphone_buffer_get_content | ( | const LinphoneBuffer * | buffer | ) |

Get the content of the data buffer.

Parameters

  buffer | LinphoneBuffer object.

Returns
  The content of the data buffer.

## linphone_buffer_get_size()

size_t linphone_buffer_get_size | ( | const LinphoneBuffer * | buffer | ) |

Get the size of the content of the data buffer.

Parameters

  buffer | LinphoneBuffer object.

Returns
  The size of the content of the data buffer.

## linphone_buffer_get_string_content()

const char * linphone_buffer_get_string_content | ( | const LinphoneBuffer * | buffer | ) |

Get the string content of the data buffer.

Parameters

  buffer | LinphoneBuffer object

Returns
  The string content of the data buffer.

## linphone_buffer_get_user_data()

void * linphone_buffer_get_user_data | ( | const LinphoneBuffer * | buffer | ) |

Retrieve the user pointer associated with the buffer.

Parameters

  buffer | LinphoneBuffer object.

Returns
  The user pointer associated with the buffer.

## linphone_buffer_is_empty()

bool_t linphone_buffer_is_empty | ( | const LinphoneBuffer * | buffer | ) |

Tell whether the LinphoneBuffer is empty.

Parameters

  buffer | LinphoneBuffer object

Returns
  A boolean value telling whether the LinphoneBuffer is empty or not.

## linphone_buffer_new()

LinphoneBuffer * linphone_buffer_new | ( | void |  | ) |

Create a new empty LinphoneBuffer object.

Returns
  A new LinphoneBuffer object.

## linphone_buffer_new_from_data()

LinphoneBuffer * linphone_buffer_new_from_data | ( | const uint8_t * | data,
|  | size_t | size )

Create a new LinphoneBuffer object from existing data.

Parameters

  data | The initial data to store in the LinphoneBuffer.
  size | The size of the initial data to stroe in the LinphoneBuffer.

Returns
  A new LinphoneBuffer object.

## linphone_buffer_new_from_string()

LinphoneBuffer * linphone_buffer_new_from_string | ( | const char * | data | ) |

Create a new LinphoneBuffer object from a string.

Parameters

  data | The initial string content of the LinphoneBuffer.

Returns
  A new LinphoneBuffer object.

## linphone_buffer_ref()

LinphoneBuffer * linphone_buffer_ref | ( | LinphoneBuffer * | buffer | ) |

Acquire a reference to the buffer.

Parameters

  buffer | LinphoneBuffer object.

Returns
  The same LinphoneBuffer object.

## linphone_buffer_set_content()

void linphone_buffer_set_content | ( | LinphoneBuffer * | buffer,
|  | const uint8_t * | content,
|  | size_t | size )

Set the content of the data buffer.

Parameters

  buffer | LinphoneBuffer object.
  content | The content of the data buffer.
  size | The size of the content of the data buffer.

## linphone_buffer_set_size()

void linphone_buffer_set_size | ( | LinphoneBuffer * | buffer,
|  | size_t | size )

Set the size of the content of the data buffer.

Parameters

  buffer | LinphoneBuffer object
  size | The size of the content of the data buffer.

## linphone_buffer_set_string_content()

void linphone_buffer_set_string_content | ( | LinphoneBuffer * | buffer,
|  | const char * | content )

Set the string content of the data buffer.

Parameters

  buffer | LinphoneBuffer object.
  content | The string content of the data buffer.

## linphone_buffer_set_user_data()

void linphone_buffer_set_user_data | ( | LinphoneBuffer * | buffer,
|  | void * | user_data )

Assign a user pointer to the buffer.

Parameters

  buffer | LinphoneBuffer object.
  user_data | The user pointer to associate with the buffer.

## linphone_buffer_unref()

void linphone_buffer_unref | ( | LinphoneBuffer * | buffer | ) |

Release reference to the buffer.

Parameters

  buffer | LinphoneBuffer object.

## linphone_call_stats_get_user_data()

void * linphone_call_stats_get_user_data | ( | const LinphoneCallStats * | stats | ) |

Gets the user data in the LinphoneCallStats object.

Parameters

  [in] | stats | the LinphoneCallStats

Returns
  the user data.

## linphone_call_stats_ref()

LinphoneCallStats * linphone_call_stats_ref | ( | LinphoneCallStats * | stats | ) |

Increment refcount.

Parameters

  stats | LinphoneCallStats object

Returns
  the same LinphoneCallStats object

## linphone_call_stats_set_user_data()

void linphone_call_stats_set_user_data | ( | LinphoneCallStats * | stats,
|  | void * | data )

Sets the user data in the LinphoneCallStats object.

Parameters

  [in] | stats | the LinphoneCallStats object
  [in] | data | the user data.

## linphone_call_stats_unref()

void linphone_call_stats_unref | ( | LinphoneCallStats * | stats | ) |

Decrement refcount and possibly free the object.

Parameters

  stats | LinphoneCallStats object

## linphone_config_clean_entry()

void linphone_config_clean_entry | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key )

Removes entries for key,value in a section.

Parameters

  config | The LinphoneConfig object
  section | the section for which to clean the key entry
  key | the key to clean

## linphone_config_clean_section()

void linphone_config_clean_section | ( | LinphoneConfig * | config,
|  | const char * | section )

Removes every pair of key,value in a section and remove the section.

Parameters

  config | The LinphoneConfig object
  section | the section to clean

## linphone_config_dump()

char * linphone_config_dump | ( | const LinphoneConfig * | config | ) |

Dumps the LinphoneConfig as INI into a buffer.

Parameters

  config | The LinphoneConfig object

Returns
  The buffer that contains the config dump

## linphone_config_dump_as_xml()

char * linphone_config_dump_as_xml | ( | const LinphoneConfig * | config | ) |

Dumps the LinphoneConfig as XML into a buffer.

Parameters

  config | The LinphoneConfig object

Returns
  The buffer that contains the XML dump

## linphone_config_for_each_entry()

void linphone_config_for_each_entry | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | void(* | callback )(const char *entry, void *ctx),
|  | void * | ctx )

Call a function for each entry present in a section configuration.

## linphone_config_for_each_section()

void linphone_config_for_each_section | ( | const LinphoneConfig * | config,
|  | void(* | callback )(const char *section, void *ctx),
|  | void * | ctx )

Call a function for each section present in the configuration.

## linphone_config_get_bool()

bool_t linphone_config_get_bool | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | bool_t | default_value )

Retrieves a configuration item as a boolean, given its section, key, and default value.

The default boolean value is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found

Returns
  the found value or default_value if not found.

## linphone_config_get_default_float()

float linphone_config_get_default_float | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | float | default_value )

Retrieves a default configuration item as a float, given its section, key, and default value.

The default float value is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the default value
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found

Returns
  the found default value or default_value if not found.

## linphone_config_get_default_int()

int linphone_config_get_default_int | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int | default_value )

Retrieves a default configuration item as an integer, given its section, key, and default value.

The default integer value is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the default value
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found

Returns
  the found default value or default_value if not found.

## linphone_config_get_default_int64()

int64_t linphone_config_get_default_int64 | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int64_t | default_value )

Retrieves a default configuration item as a 64 bit integer, given its section, key, and default value.

The default integer value is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the default value
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found

Returns
  the found default value or default_value if not found.

## linphone_config_get_default_string()

const char * linphone_config_get_default_string | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | const char * | default_value )

Retrieves a default configuration item as a string, given its section, key, and default value.

The default value string is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the default value
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found

Returns
  the found default value or default_value if not found.

## linphone_config_get_factory_filename()

const char * linphone_config_get_factory_filename | ( | const LinphoneConfig * | config | ) |

Returns the filename that was used as the factory config.

Parameters

  config | the LinphoneConfig object.

Returns
  the filename used to as the factory config if any.

## linphone_config_get_filename()

const char * linphone_config_get_filename | ( | const LinphoneConfig * | config | ) |

Returns the filename used to store the user config.

Parameters

  config | the LinphoneConfig object.

Returns
  the filename used to store the user config if any.

## linphone_config_get_float()

float linphone_config_get_float | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | float | default_value )

Retrieves a configuration item as a float, given its section, key, and default value.

The default float value is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found

Returns
  the found value or default_value if not found.

## linphone_config_get_int()

int linphone_config_get_int | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int | default_value )

Retrieves a configuration item as an integer, given its section, key, and default value.

The default integer value is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found

Returns
  the found value or default_value if not found.

## linphone_config_get_int64()

int64_t linphone_config_get_int64 | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int64_t | default_value )

Retrieves a configuration item as a 64 bit integer, given its section, key, and default value.

The default integer value is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found

Returns
  the found value or default_value if not found.

## linphone_config_get_keys_names_list()

bctbx_list_t * linphone_config_get_keys_names_list | ( | LinphoneConfig * | config,
|  | const char * | section )

Returns the list of keys' names for a section in the LinphoneConfig.

Parameters

  config | The LinphoneConfig object
  section | The section name

Returns
  A list of strings.

## linphone_config_get_overwrite_flag_for_entry()

bool_t linphone_config_get_overwrite_flag_for_entry | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key )

Retrieves the overwrite flag for a config item.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the overwrite flag
  key | The name of the configuration item to retrieve the overwrite flag from.

Returns
  TRUE if overwrite flag is set, FALSE otherwise.

## linphone_config_get_overwrite_flag_for_section()

bool_t linphone_config_get_overwrite_flag_for_section | ( | const LinphoneConfig * | config,
|  | const char * | section )

Retrieves the overwrite flag for a config section.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the overwrite flag

Returns
  TRUE if overwrite flag is set, FALSE otherwise.

## linphone_config_get_range()

bool_t linphone_config_get_range | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int * | min,
|  | int * | max,
|  | int | default_min,
|  | int | default_max )

Retrieves a configuration item as a range, given its section, key, and default min and max values.

Parameters

  | config | The LinphoneConfig object
  | section | The section from which to retrieve a configuration item
  | key | The name of the configuration item to retrieve
  [out] | min | The min value found or default_min
  [out] | max | The max value found or default_max
  | default_min | the default min value to return if not found
  | default_max | the default max value to return if not found.

Returns
  TRUE if the value is successfully parsed as a range, FALSE otherwise. If FALSE is returned, min and max are filled respectively with default_min and default_max values.

## linphone_config_get_section_param_string()

const char * linphone_config_get_section_param_string | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | const char * | default_value )

Retrieves a section parameter item as a string, given its section and key.

The default value string is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the default value
  key | The name of the configuration item to retrieve
  default_value | The default value to return if not found.

Returns
  the found default value or default_value if not found.

## linphone_config_get_sections_names()

const char ** linphone_config_get_sections_names | ( | LinphoneConfig * | config | ) |

Returns the list of sections' names in the LinphoneConfig.

Parameters

  config | The LinphoneConfig object

Returns
  a null terminated static array of strings

Deprecated
  12/10/2017 use linphone_config_get_sections_names_list instead

## linphone_config_get_sections_names_list()

bctbx_list_t * linphone_config_get_sections_names_list | ( | LinphoneConfig * | config | ) |

Returns the list of sections' names in the LinphoneConfig.

Parameters

  config | The LinphoneConfig object

Returns
  A list of strings.

## linphone_config_get_skip_flag_for_entry()

bool_t linphone_config_get_skip_flag_for_entry | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key )

Retrieves the skip flag for a config item.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the skip flag
  key | The name of the configuration item to retrieve the skip flag from

Returns
  TRUE if skip flag is set, FALSE otherwise.

## linphone_config_get_skip_flag_for_section()

bool_t linphone_config_get_skip_flag_for_section | ( | const LinphoneConfig * | config,
|  | const char * | section )

Retrieves the skip flag for a config section.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve the skip flag

Returns
  TRUE if skip flag is set, FALSE otherwise.

## linphone_config_get_string()

const char * linphone_config_get_string | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | const char * | default_string )

Retrieves a configuration item as a string, given its section, key, and default value.

The default value string is returned if the config item isn't found.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  default_string | The default value to return if not found.

Returns
  the found value or the default one if not found.

## linphone_config_get_string_list()

bctbx_list_t * linphone_config_get_string_list | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | bctbx_list_t * | default_list )

Retrieves a configuration item as a list of strings, given its section, key, and default value.

The default value is returned if the config item is not found.

Parameters

  config | A LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  default_list | The list to return when the key doesn't exist.

Returns
  A list of strings.

## linphone_config_get_temporary_filename()

const char * linphone_config_get_temporary_filename | ( | const LinphoneConfig * | config | ) |

Returns the temporary filename used to store the user config.

Parameters

  config | the LinphoneConfig object.

Returns
  the temporary filename used to store the user config if any.

## linphone_config_has_entry()

int linphone_config_has_entry | ( | const LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key )

Returns if a given section with a given key is present in the configuration.

Parameters

  config | The LinphoneConfig object
  section | to check if the given entry exists
  key | to check if it exists

Returns
  1 if it exists, 0 otherwise

## linphone_config_has_section()

int linphone_config_has_section | ( | const LinphoneConfig * | config,
|  | const char * | section )

Returns if a given section is present in the configuration.

Parameters

  config | The LinphoneConfig object
  section | the section to check if exists

Returns
  1 if it exists, 0 otherwise

## linphone_config_is_readonly()

bool_t linphone_config_is_readonly | ( | const LinphoneConfig * | config | ) |

Indicates whether the LinphoneConfig object is readonly, in other words it has no file backend or file is opened without write permission.

Parameters

  config | the LinphoneConfig object

Returns
  a boolean.

## linphone_config_load_dict_to_section()

void linphone_config_load_dict_to_section | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const LinphoneDictionary * | dict )

Loads a dictionary into a section of the LinphoneConfig.

If the section doesn't exist it is created. Overwrites existing keys, creates non-existing keys.

Parameters

  config | The LinphoneConfig object
  section | The section to dump as dictionary
  dict | the dictionnary to load into the section LinphoneDictionary can't be wrapped

## linphone_config_load_from_xml_file()

const char * linphone_config_load_from_xml_file | ( | LinphoneConfig * | config,
|  | const char * | filename )

Reads a xml config file and fill the LinphoneConfig with the read config dynamic values.

Parameters

  config | The LinphoneConfig object to fill with the content of the file
  filename | The filename of the config file to read to fill the LinphoneConfig

## linphone_config_load_from_xml_string()

LinphoneStatus linphone_config_load_from_xml_string | ( | LinphoneConfig * | config,
|  | const char * | buffer )

Reads a xml config string and fill the LinphoneConfig with the read config dynamic values.

Parameters

  config | The LinphoneConfig object to fill with the content of the file
  buffer | The string of the config file to fill the LinphoneConfig

Returns
  0 in case of success

## linphone_config_new()

LinphoneConfig * linphone_config_new | ( | const char * | filename | ) |

Instantiates a LinphoneConfig object from a user config file.

The caller of this constructor owns a reference. linphone_config_unref() must be called when this object is no longer needed.

Parameters

  filename | the filename of the config file to read to fill the instantiated LinphoneConfig

See also
  linphone_config_new_with_factory()

Returns
  a LinphoneConfig object

## linphone_config_new_for_shared_core()

LinphoneConfig * linphone_config_new_for_shared_core | ( | const char * | app_group_id,
|  | const char * | config_filename,
|  | const char * | factory_config_filename )

Instantiates a LinphoneConfig object from a user config file name, group id and a factory config file.

The "group id" is the string that identify the "App group" capability of the iOS application. App group gives access to a shared file system where all the configuration files for shared core are stored. Both iOS application and iOS app extension that need shared core must activate the "App group" capability with the SAME "group id" in the project settings. The caller of this constructor owns a reference. linphone_config_unref() must be called when this object is no longer needed.

Parameters

  app_group_id | used to compute the path of the config file in the file system shared by the shared Cores
  config_filename | the filename of the user config file to read to fill the instantiated LinphoneConfig
  factory_config_filename | the filename of the factory config file to read to fill the instantiated LinphoneConfig

See also
  linphone_config_new()

Returns
  a LinphoneConfig object

The user config file is read first to fill the LinphoneConfig and then the factory config file is read. Therefore the configuration parameters defined in the user config file will be overwritten by the parameters defined in the factory config file.

## linphone_config_new_from_buffer()

LinphoneConfig * linphone_config_new_from_buffer | ( | const char * | buffer | ) |

Instantiates a LinphoneConfig object from a user provided buffer.

The caller of this constructor owns a reference. linphone_config_unref() must be called when this object is no longer needed.

Parameters

  buffer | the buffer from which the LinphoneConfig will be retrieved. We expect the buffer to be null-terminated.

See also
  linphone_config_new_with_factory()
  linphone_config_new()

Returns
  a LinphoneConfig object

## linphone_config_new_with_factory()

LinphoneConfig * linphone_config_new_with_factory | ( | const char * | config_filename,
|  | const char * | factory_config_filename )

Instantiates a LinphoneConfig object from a user config file and a factory config file.

The caller of this constructor owns a reference. linphone_config_unref() must be called when this object is no longer needed.

Parameters

  config_filename | the filename of the user config file to read to fill the instantiated LinphoneConfig
  factory_config_filename | the filename of the factory config file to read to fill the instantiated LinphoneConfig

See also
  linphone_config_new()

Returns
  a LinphoneConfig object

The user config file is read first to fill the LinphoneConfig and then the factory config file is read. Therefore the configuration parameters defined in the user config file will be overwritten by the parameters defined in the factory config file.

## linphone_config_read_file()

LinphoneStatus linphone_config_read_file | ( | LinphoneConfig * | config,
|  | const char * | filename )

Reads a user config file and fill the LinphoneConfig with the read config values.

Parameters

  config | The LinphoneConfig object to fill with the content of the file
  filename | The filename of the config file to read to fill the LinphoneConfig

## linphone_config_read_relative_file()

LinphoneStatus linphone_config_read_relative_file | ( | const LinphoneConfig * | config,
|  | const char * | filename,
|  | char * | data,
|  | size_t | max_length )

Read a string from a file placed beside the Linphone configuration file.

Parameters

  config | LinphoneConfig instance used as a reference
  filename | Name of the file where data will be read from. The name is relative to the place of the config file
  data | Buffer where read string will be stored
  max_length | Length of the buffer

Returns
  0 on success, -1 on failure

## linphone_config_ref()

LinphoneConfig * linphone_config_ref | ( | LinphoneConfig * | config | ) |

increment reference count

Parameters

  config | The LinphoneConfig object

Returns
  the same LinphoneConfig object

## linphone_config_relative_file_exists()

bool_t linphone_config_relative_file_exists | ( | const LinphoneConfig * | config,
|  | const char * | filename )

Check if given file name exists relatively to the current location.

Parameters

  config | The LinphoneConfig object
  filename | The file name to check if exists

Returns
  TRUE if file exists relative to the to the current location

## linphone_config_reload()

void linphone_config_reload | ( | LinphoneConfig * | config | ) |

Reload the config from the file.

Parameters

  config | The LinphoneConfig object

## linphone_config_section_to_dict()

LinphoneDictionary * linphone_config_section_to_dict | ( | const LinphoneConfig * | config,
|  | const char * | section )

Converts a config section into a dictionary.

Parameters

  config | The LinphoneConfig object
  section | The section to dump as dictionary

Returns
  a dictionary with all the keys from a section, or NULL if the section doesn't exist. LinphoneDictionary can't be wrapped

## linphone_config_set_bool()

void linphone_config_set_bool | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | bool_t | value )

Sets a boolean config item.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  value | the value to set

## linphone_config_set_float()

void linphone_config_set_float | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | float | value )

Sets a float config item.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  value | the value to set

## linphone_config_set_int()

void linphone_config_set_int | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int | value )

Sets an integer config item.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  value | the value to set

## linphone_config_set_int64()

void linphone_config_set_int64 | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int64_t | value )

Sets a 64 bits integer config item.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  value | the value to set

## linphone_config_set_int_hex()

void linphone_config_set_int_hex | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int | value )

Sets an integer config item, but store it as hexadecimal.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  value | the value to set

## linphone_config_set_overwrite_flag_for_entry()

void linphone_config_set_overwrite_flag_for_entry | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | bool_t | value )

Sets the overwrite flag for a config item (used when dumping config as xml)

Parameters

  config | The LinphoneConfig object
  section | The section from which to set the overwrite flag
  key | The name of the configuration item to set the overwrite flag from
  value | The overwrite flag value to set

## linphone_config_set_overwrite_flag_for_section()

void linphone_config_set_overwrite_flag_for_section | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | bool_t | value )

Sets the overwrite flag for a config section (used when dumping config as xml)

Parameters

  config | The LinphoneConfig object
  section | The section from which to set the overwrite flag
  value | The overwrite flag value to set

## linphone_config_set_range()

void linphone_config_set_range | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | int | min_value,
|  | int | max_value )

Sets a range config item.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  min_value | the min value to set
  max_value | the max value to set

## linphone_config_set_skip_flag_for_entry()

void linphone_config_set_skip_flag_for_entry | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | bool_t | value )

Sets the skip flag for a config item (used when dumping config as xml)

Parameters

  config | The LinphoneConfig object
  section | The section from which to set the skip flag
  key | The name of the configuration item to set the skip flag from
  value | The skip flag value to set

## linphone_config_set_skip_flag_for_section()

void linphone_config_set_skip_flag_for_section | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | bool_t | value )

Sets the skip flag for a config section (used when dumping config as xml)

Parameters

  config | The LinphoneConfig object
  section | The section from which to set the skip flag
  value | The skip flag value to set

## linphone_config_set_string()

void linphone_config_set_string | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | const char * | value )

Sets a string config item.

Parameters

  config | The LinphoneConfig object
  section | The section from which to retrieve a configuration item
  key | The name of the configuration item to retrieve
  value | The value to set

## linphone_config_set_string_list()

void linphone_config_set_string_list | ( | LinphoneConfig * | config,
|  | const char * | section,
|  | const char * | key,
|  | const bctbx_list_t * | value )

Sets a string list config item.

Parameters

  config | A LinphoneConfig object
  section | The name of the section to put the configuration item into
  key | The name of the configuration item to set
  value | The value to set.

## linphone_config_sync()

LinphoneStatus linphone_config_sync | ( | LinphoneConfig * | config | ) |

Writes the config file to disk.

Parameters

  config | The LinphoneConfig object

Returns
  0 if successful, -1 otherwise

## linphone_config_unref()

void linphone_config_unref | ( | LinphoneConfig * | config | ) |

Decrement reference count, which will eventually free the object.

Parameters

  config | The LinphoneConfig object

## linphone_config_write_relative_file()

void linphone_config_write_relative_file | ( | const LinphoneConfig * | config,
|  | const char * | filename,
|  | const char * | data )

Write a string in a file placed relatively with the Linphone configuration file.

Parameters

  config | LinphoneConfig instance used as a reference
  filename | Name of the file where to write data. The name is relative to the place of the config file
  data | String to write

## linphone_configuring_state_to_string()

const char * linphone_configuring_state_to_string | ( | LinphoneConfiguringState | state | ) |

Converts a LinphoneConfiguringState enum to a string.

Parameters

  state | LinphoneConfiguringState the value for which we want a string representation

Returns
  a string representation of the LinphoneConfiguringState

## linphone_content_add_content_type_parameter()

void linphone_content_add_content_type_parameter | ( | LinphoneContent * | content,
|  | const char * | name,
|  | const char * | value )

Adds a parameter to the ContentType header.

Parameters

  content | LinphoneContent object.
  name | the name of the parameter to add.
  value | the value of the parameter to add.

## linphone_content_add_custom_header()

void linphone_content_add_custom_header | ( | LinphoneContent * | content,
|  | const char * | header_name,
|  | const char * | header_value )

Adds a custom header in a content.

Parameters

  content | LinphoneContent object.
  header_name | The name of the header to add.
  header_value | The value of the header to add.

## linphone_content_export_plain_file()

char * linphone_content_export_plain_file | ( | const LinphoneContent * | content | ) |

Generates a temporary plain copy of the file and returns its paths The caller is responsible to then delete this temporary copy and the returned string.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The file path set for this content if it has been set, NULL otherwise.

## linphone_content_find_part_by_header()

LinphoneContent * linphone_content_find_part_by_header | ( | const LinphoneContent * | content,
|  | const char * | header_name,
|  | const char * | header_value )

Find a part from a multipart content looking for a part header with a specified value.

Parameters

  content | LinphoneContent object.
  header_name | The name of the header to look for.
  header_value | The value of the header to look for.

Returns
  A LinphoneContent object object the part if found, NULL otherwise.

## linphone_content_get_buffer()

const uint8_t * linphone_content_get_buffer | ( | const LinphoneContent * | content | ) |

Get the content data buffer, usually a string.

Parameters

  content | LinphoneContent object.

Returns
  The content data buffer.

## linphone_content_get_custom_header()

const char * linphone_content_get_custom_header | ( | const LinphoneContent * | content,
|  | const char * | header_name )

Get a custom header value of a content.

Parameters

  content | LinphoneContent object.
  header_name | The name of the header to get the value from.

Returns
  The value of the header if found, NULL otherwise.

## linphone_content_get_disposition()

const char * linphone_content_get_disposition | ( | const LinphoneContent * | content | ) |

Get the disposition of the Content, for example "recipient-list".

Parameters

  content | LinphoneContent object.

Returns
  The disposition of the Content.

## linphone_content_get_encoding()

const char * linphone_content_get_encoding | ( | const LinphoneContent * | content | ) |

Get the encoding of the data buffer, for example "gzip".

Parameters

  content | LinphoneContent object.

Returns
  The encoding of the data buffer.

## linphone_content_get_file_duration()

int linphone_content_get_file_duration | ( | LinphoneContent * | content | ) |

Gets the file duration in seconds, if information is available.

Parameters

  content | LinphoneContent object.

Returns
  The duration of the file in seconds or -1 if information isn't available.

## linphone_content_get_file_path()

const char * linphone_content_get_file_path | ( | const LinphoneContent * | content | ) |

Get the file transfer filepath set for this content (replace linphone_chat_message_get_file_transfer_filepath).

Parameters

  content | LinphoneContent object.

Returns
  The file path set for this content if it has been set, NULL otherwise.

## linphone_content_get_file_size()

size_t linphone_content_get_file_size | ( | const LinphoneContent * | content | ) |

Get the file size if content is either a FileContent or a FileTransferContent.

Parameters

  content | LinphoneContent object.

Returns
  The represented file size.

## linphone_content_get_key()

const char * linphone_content_get_key | ( | const LinphoneContent * | content | ) |

Get the key associated with a RCS file transfer message if encrypted.

Parameters

  content | LinphoneContent object.

Returns
  The key to encrypt/decrypt the file associated to this content.

## linphone_content_get_key_size()

size_t linphone_content_get_key_size | ( | const LinphoneContent * | content | ) |

Get the size of key associated with a RCS file transfer message if encrypted.

Parameters

  content | LinphoneContent object.

Returns
  The key size in bytes

## linphone_content_get_name()

const char * linphone_content_get_name | ( | const LinphoneContent * | content | ) |

Get the name associated with a RCS file transfer message.

It is used to store the original filename of the file to be downloaded from server.

Parameters

  content | LinphoneContent object.

Returns
  The name of the content.

## linphone_content_get_part()

LinphoneContent * linphone_content_get_part | ( | const LinphoneContent * | content,
|  | int | index )

Get a part from a multipart content according to its index.

Parameters

  content | LinphoneContent object.
  index | The index of the part to get.

Returns
  A LinphoneContent object holding the part if found, NULL otherwise.

## linphone_content_get_parts()

bctbx_list_t * linphone_content_get_parts | ( | const LinphoneContent * | content | ) |

Get all the parts from a multipart content.

Parameters

  content | LinphoneContent object.

Returns
  A object holding the part if found, NULL otherwise.

## linphone_content_get_plain_file_path()

MS2_DEPRECATED char * linphone_content_get_plain_file_path | ( | const LinphoneContent * | content | ) |

Generates a temporary plain copy of the file and returns its paths The caller is responsible to then delete this temporary copy and the returned string.

Parameters

  [in] | content | LinphoneContent object.

Returns
  The file path set for this content if it has been set, NULL otherwise.

Deprecated
  2022-01-07. Use linphone_content_export_plain_file() instead.

## linphone_content_get_size()

size_t linphone_content_get_size | ( | const LinphoneContent * | content | ) |

Get the content data buffer size, excluding null character despite null character is always set for convenience.

Parameters

  content | LinphoneContent object.

Returns
  The content data buffer size.

## linphone_content_get_string_buffer()

MS2_DEPRECATED const char * linphone_content_get_string_buffer | ( | const LinphoneContent * | content | ) |

Get the string content data buffer.

Parameters

  content | LinphoneContent object

Returns
  The string content data buffer.

Deprecated
  2020-07-01. Use linphone_content_get_utf8_text() instead.

## linphone_content_get_subtype()

const char * linphone_content_get_subtype | ( | const LinphoneContent * | content | ) |

Get the mime subtype of the content data.

Parameters

  content | LinphoneContent object.

Returns
  The mime subtype of the content data, for example "html".

## linphone_content_get_type()

const char * linphone_content_get_type | ( | const LinphoneContent * | content | ) |

Get the mime type of the content data.

Parameters

  content | LinphoneContent object.

Returns
  The mime type of the content data, for example "application".

## linphone_content_get_user_data()

void * linphone_content_get_user_data | ( | const LinphoneContent * | content | ) |

Retrieve the user pointer associated with the content.

Parameters

  content | LinphoneContent object.

Returns
  The user pointer associated with the content.

## linphone_content_get_utf8_text()

const char * linphone_content_get_utf8_text | ( | const LinphoneContent * | content | ) |

Get the string content data buffer.

Introduced in 01/07/2020

Parameters

  content | LinphoneContent object.

Returns
  The string content data buffer in UTF8.

## linphone_content_is_file()

bool_t linphone_content_is_file | ( | const LinphoneContent * | content | ) |

Tells whether or not this content contains a file.

Parameters

  content | LinphoneContent object.

Returns
  TRUE if this content contains a file, FALSE otherwise.

## linphone_content_is_file_encrypted()

bool_t linphone_content_is_file_encrypted | ( | const LinphoneContent * | content | ) |

Tells whether or not this content contains an encrypted file.

Returns
  True is this content contains a file and this file is encrypted, false otherwise.

## linphone_content_is_file_transfer()

bool_t linphone_content_is_file_transfer | ( | const LinphoneContent * | content | ) |

Tells whether or not this content is a file transfer.

Parameters

  content | LinphoneContent object.

Returns
  TRUE if this content is a file transfer, FALSE otherwise.

## linphone_content_is_icalendar()

bool_t linphone_content_is_icalendar | ( | const LinphoneContent * | content | ) |

Tells whether or not this content contains an icalendar by checking it's content type.

Parameters

  content | LinphoneContent object.

Returns
  TRUE if this content type is 'text/calendar;conference-event=yes', FALSE otherwise.

## linphone_content_is_multipart()

bool_t linphone_content_is_multipart | ( | const LinphoneContent * | content | ) |

Tell whether a content is a multipart content.

Parameters

  content | LinphoneContent object.

Returns
  A boolean value telling whether the content is multipart or not.

## linphone_content_is_text()

bool_t linphone_content_is_text | ( | const LinphoneContent * | content | ) |

Tells whether or not this content contains text.

Parameters

  content | LinphoneContent object.

Returns
  TRUE if this content contains plain text, FALSE otherwise.

## linphone_content_is_voice_recording()

bool_t linphone_content_is_voice_recording | ( | const LinphoneContent * | content | ) |

Tells whether or not this content contains a voice recording by checking it's content type.

Parameters

  content | LinphoneContent object.

Returns
  TRUE if this content type is 'audio/wav;voice-recording=yes', FALSE otherwise.

## linphone_content_ref()

LinphoneContent * linphone_content_ref | ( | LinphoneContent * | content | ) |

Acquire a reference to the content.

Parameters

  content | LinphoneContent object.

Returns
  The same LinphoneContent object.

## linphone_content_set_buffer()

void linphone_content_set_buffer | ( | LinphoneContent * | content,
|  | const uint8_t * | buffer,
|  | size_t | size )

Set the content data buffer, usually a string.

Parameters

  content | LinphoneContent object.
  buffer | The content data buffer.
  size | The size of the content data buffer.

## linphone_content_set_disposition()

void linphone_content_set_disposition | ( | LinphoneContent * | content,
|  | const char * | disposition )

Set the disposition of the Content, for example "recipient-list".

Parameters

  content | LinphoneContent object.
  disposition | The disposition of the Content.

## linphone_content_set_encoding()

void linphone_content_set_encoding | ( | LinphoneContent * | content,
|  | const char * | encoding )

Set the encoding of the data buffer, for example "gzip".

Parameters

  content | LinphoneContent object.
  encoding | The encoding of the data buffer.

## linphone_content_set_file_path()

void linphone_content_set_file_path | ( | LinphoneContent * | content,
|  | const char * | file_path )

Set the file transfer filepath for this content (replace linphone_chat_message_set_file_transfer_filepath).

Parameters

  content | LinphoneContent object.
  file_path | the file transfer filepath.

## linphone_content_set_key()

void linphone_content_set_key | ( | LinphoneContent * | content,
|  | const char * | key,
|  | const size_t | key_length )

Set the key associated with a RCS file transfer message if encrypted.

Parameters

  content | LinphoneContent object.
  key | The key to be used to encrypt/decrypt file associated to this content.
  key_length | The lengh of the key.

## linphone_content_set_name()

void linphone_content_set_name | ( | LinphoneContent * | content,
|  | const char * | name )

Set the name associated with a RCS file transfer message.

It is used to store the original filename of the file to be downloaded from server.

Parameters

  content | LinphoneContent object.
  name | The name of the content.

## linphone_content_set_size()

void linphone_content_set_size | ( | LinphoneContent * | content,
|  | size_t | size )

Set the content data size, excluding null character despite null character is always set for convenience.

Parameters

  content | LinphoneContent object
  size | The content data buffer size.

## linphone_content_set_string_buffer()

MS2_DEPRECATED void linphone_content_set_string_buffer | ( | LinphoneContent * | content,
|  | const char * | buffer )

Set the string content data buffer.

Parameters

  content | LinphoneContent object.
  buffer | The string content data buffer in UTF8.

Deprecated
  2020-07-01. Use linphone_content_set_utf8_text() instead.

## linphone_content_set_subtype()

void linphone_content_set_subtype | ( | LinphoneContent * | content,
|  | const char * | subtype )

Set the mime subtype of the content data.

Parameters

  content | LinphoneContent object.
  subtype | The mime subtype of the content data, for example "html".

## linphone_content_set_type()

void linphone_content_set_type | ( | LinphoneContent * | content,
|  | const char * | type )

Set the mime type of the content data.

Parameters

  content | LinphoneContent object.
  type | The mime type of the content data, for example "application".

## linphone_content_set_user_data()

void linphone_content_set_user_data | ( | LinphoneContent * | content,
|  | void * | user_data )

Assign a user pointer to the content.

Parameters

  content | LinphoneContent object.
  user_data | The user pointer to associate with the content.

## linphone_content_set_utf8_text()

void linphone_content_set_utf8_text | ( | LinphoneContent * | content,
|  | const char * | buffer )

Get the string content data buffer.

Introduced in 01/07/2020

Parameters

  content | LinphoneContent object.
  buffer | The string content data buffer in UTF8.

## linphone_content_unref()

void linphone_content_unref | ( | LinphoneContent * | content | ) |

Release reference to the content.

Parameters

  content | LinphoneContent object.

## linphone_core_auto_iterate_enabled()

bool_t linphone_core_auto_iterate_enabled | ( | const LinphoneCore * | core | ) |

Gets whether auto iterate is enabled or not (Android & iOS only).

Parameters

  core | The LinphoneCore

Returns
  TRUE if linphone_core_iterate() is scheduled automatically, FALSE otherwise

## linphone_core_check_for_update()

void linphone_core_check_for_update | ( | LinphoneCore * | core,
|  | const char * | current_version )

Checks if a new version of the application is available.

Parameters

  core | LinphoneCore object
  current_version | The current version of the application

## linphone_core_create_config()

LinphoneConfig * linphone_core_create_config | ( | LinphoneCore * | core,
|  | const char * | filename )

Create a LinphoneConfig object from a user config file.

Parameters

  core | LinphoneCore object
  filename | The filename of the config file to read to fill the instantiated LinphoneConfig

Returns
  a LinphoneConfig object.

## linphone_core_create_content()

LinphoneContent * linphone_core_create_content | ( | LinphoneCore * | core | ) |

Create a content with default values from Linphone core.

Parameters

  core | LinphoneCore object

Returns
  LinphoneContent object with default values set

## linphone_core_create_info_message()

LinphoneInfoMessage * linphone_core_create_info_message | ( | LinphoneCore * | core | ) |

Creates an empty info message.

Parameters

  core | the LinphoneCore

Returns
  a new LinphoneInfoMessage.

The info message can later be filled with information using linphone_info_message_add_header() or linphone_info_message_set_content(), and finally sent with linphone_core_send_info_message().

## linphone_core_create_local_player()

LinphonePlayer * linphone_core_create_local_player | ( | LinphoneCore * | core,
|  | const char * | sound_card_name,
|  | const char * | video_display_name,
|  | void * | window_id )

Create an independent media file player.

This player support WAVE and MATROSKA formats.

Parameters

  core | A LinphoneCore object
  sound_card_name | Playback sound card. If NULL, the ringer sound card set in LinphoneCore will be used
  video_display_name | Video display. If NULL, the video display set in LinphoneCore will be used
  window_id | Id of the drawing window. Depend of video out

Returns
  A pointer on the new instance. NULL if failed.

## linphone_core_create_lp_config()

MS2_DEPRECATED LinphoneConfig * linphone_core_create_lp_config | ( | LinphoneCore * | core,
|  | const char * | filename )

Create a LpConfig object from a user config file.

Parameters

  core | LinphoneCore object
  filename | The filename of the config file to read to fill the instantiated LpConfig

Deprecated
  12/01/2017 Use linphone_core_create_config() instead.

## linphone_core_create_magic_search()

LinphoneMagicSearch * linphone_core_create_magic_search | ( | LinphoneCore * | core | ) |

Create a LinphoneMagicSearch object.

Parameters

  core | LinphoneCore object

Returns
  The created LinphoneMagicSearch object

## linphone_core_create_recorder()

LinphoneRecorder * linphone_core_create_recorder | ( | LinphoneCore * | core,
|  | LinphoneRecorderParams * | params )

Create a media file recorder.

This recorder support WAVE and MATROSKA formats.

Parameters

  core | A LinphoneCore object.
  params | The LinphoneRecorderParams that will contains all recorder parameters.

Returns
  A pointer on the new instance. NULL if failed.

## linphone_core_create_recorder_params()

LinphoneRecorderParams * linphone_core_create_recorder_params | ( | const LinphoneCore * | core | ) |

Create a recorder params that will hold parameters.

This recorder support WAVE and MATROSKA formats.

Parameters

  core | A LinphoneCore object

Returns
  A pointer on the newly created instance.

## linphone_core_create_xml_rpc_session()

LinphoneXmlRpcSession * linphone_core_create_xml_rpc_session | ( | LinphoneCore * | core,
|  | const char * | url )

Create a LinphoneXmlRpcSession for a given url.

Parameters

  core | The LinphoneCore used for the XML-RPC communication
  url | The URL to the XML-RPC server. Must be NON NULL.

Returns
  The new LinphoneXmlRpcSession object.

## linphone_core_did_register_for_remote_push()

void linphone_core_did_register_for_remote_push | ( | LinphoneCore * | core,
|  | void * | device_token )

Sets device_token when application didRegisterForRemoteNotificationsWithDeviceToken (IOS only).

Parameters

  core | The LinphoneCore
  device_token | format (NSData *).

## linphone_core_did_register_for_remote_push_with_stringified_token()

void linphone_core_did_register_for_remote_push_with_stringified_token | ( | LinphoneCore * | core,
|  | const char * | device_token_str )

Sets device_token when application didRegisterForRemoteNotificationsWithDeviceToken (IOS only).

Parameters

  core | The LinphoneCore
  device_token_str | string extracted from the Data objectf received in didRegisterForRemoteNotificationsWithDeviceToken ios function. Append ":remote" after data formating..

## linphone_core_enable_auto_iterate()

void linphone_core_enable_auto_iterate | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable the automatic schedule of linphone_core_iterate() method on Android & iOS.

If enabled, linphone_core_iterate() will be called on the main thread every 20ms automatically. If disabled, it is the application that must do this job.

Parameters

  core | The LinphoneCore
  enable | TRUE to enable auto iterate, FALSE to disable

## linphone_core_enable_lime_x3dh()

void linphone_core_enable_lime_x3dh | ( | LinphoneCore * | core,
|  | bool_t | enable )

Tells to LinphoneCore to use LIME X3DH.

Parameters

  core | LinphoneCore object
  enable | A boolean value telling whether to enable or disable LIME X3DH

## linphone_core_enable_push_notification()

void linphone_core_enable_push_notification | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable push notifications on Android & iOS.

If enabled, it will try to get the push token add configure each account with push_notification_allowed set to true with push parameters. IOS: will also instanciate a PushRegistry, so make sure that your app does not instanciate one too or there will be a conflict.

Parameters

  core | The LinphoneCore
  enable | TRUE to enable push notifications, FALSE to disable

## linphone_core_enable_vibration_on_incoming_call()

void linphone_core_enable_vibration_on_incoming_call | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable vibration will incoming call is ringing (Android only).

Parameters

  core | The LinphoneCore
  enable | TRUE to enable the vibration on incoming call, FALSE otherwise

## linphone_core_ensure_registered()

void linphone_core_ensure_registered | ( | LinphoneCore * | core | ) |

Call this method when you receive a push notification (if you handle push notifications manually).

It will ensure the proxy configs are correctly registered to the proxy server, so the call or the message will be correctly delivered.

Parameters

  core | The LinphoneCore

Deprecated
  09/03/2022 See linphone_core_process_push_notification() instead.

## linphone_core_enter_background()

void linphone_core_enter_background | ( | LinphoneCore * | core | ) |

This method is called by the application to notify the linphone core library when it enters background mode.

Parameters

  core | the LinphoneCore

## linphone_core_enter_foreground()

void linphone_core_enter_foreground | ( | LinphoneCore * | core | ) |

This method is called by the application to notify the linphone core library when it enters foreground mode.

Parameters

  core | the LinphoneCore

## linphone_core_get_auto_iterate_background_schedule()

int linphone_core_get_auto_iterate_background_schedule | ( | const LinphoneCore * | core | ) |

Gets the timer used to schedule the call to core.iterate() method when in background (Android only).

This is only used when linphone_core_auto_iterate_enabled() returns TRUE.

Parameters

  core | The LinphoneCore

Returns
  The timing in milliseconds used to schedule the call while in background (default is 500ms).

## linphone_core_get_auto_iterate_foreground_schedule()

int linphone_core_get_auto_iterate_foreground_schedule | ( | const LinphoneCore * | core | ) |

Gets the timer used to schedule the call to core.iterate() method when in foreground (Android only).

This is only used when linphone_core_auto_iterate_enabled() returns TRUE.

Parameters

  core | The LinphoneCore

Returns
  The timing in milliseconds used to schedule the call while in foreground (default is 20ms).

## linphone_core_get_config()

LinphoneConfig * linphone_core_get_config | ( | const LinphoneCore * | core | ) |

Returns the config object used to manage the storage (config) file.

Parameters

  core | LinphoneCore object The application can use the LinphoneConfig object to insert its own private sections and pairs of key=value in the configuration file.

Returns
  a LinphoneConfig object.

## linphone_core_get_file_transfer_server()

const char * linphone_core_get_file_transfer_server | ( | LinphoneCore * | core | ) |

Get the globaly set http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.

Url may be like: "https://file.linphone.org/upload.php".

Parameters

  core | LinphoneCore from which to get the server_url

Returns
  URL of the file server.

## linphone_core_get_global_state()

LinphoneGlobalState linphone_core_get_global_state | ( | const LinphoneCore * | core | ) |

Returns the global state of core.

Parameters

  core | LinphoneCore object

Returns
  a LinphoneGlobalState enum.

## linphone_core_get_lime_x3dh_server_url()

MS2_DEPRECATED const char * linphone_core_get_lime_x3dh_server_url | ( | LinphoneCore * | core | ) |

Get the x3dh server url.

Parameters

  core | LinphoneCore object

Returns
  The x3dh server url.

Deprecated
  26/08/2022 Use linphone_account_params_get_lime_server_url() instead.

## linphone_core_get_new_chat_room_from_conf_addr()

LinphoneChatRoom * linphone_core_get_new_chat_room_from_conf_addr | ( | LinphoneCore * | core,
|  | const char * | chat_room_addr )

Get the chat room we have been added into using the chat_room_addr included in the push notification body This will start the core given in parameter, iterate until the new chat room is received and return it.

By default, after 25 seconds the function returns because iOS kills the app extension after 30 seconds.

Parameters

  core | The LinphoneCore
  chat_room_addr | The sip address of the chat room

Returns
  The LinphoneChatRoom object.

## linphone_core_get_new_message_from_callid()

LinphonePushNotificationMessage * linphone_core_get_new_message_from_callid | ( | LinphoneCore * | core,
|  | const char * | call_id )

Get the chat message with the call_id included in the push notification body This will start the core given in parameter, iterate until the message is received and return it.

By default, after 25 seconds the function returns because iOS kills the app extension after 30 seconds.

Parameters

  core | The LinphoneCore
  call_id | The callId of the Message SIP transaction

Returns
  The LinphoneChatMessage object.

## linphone_core_get_unread_chat_message_count()

int linphone_core_get_unread_chat_message_count | ( | const LinphoneCore * | core | ) |

Return the global unread chat message count.

Parameters

  core | LinphoneCore object.

Returns
  The global unread chat message count.

## linphone_core_get_unread_chat_message_count_from_active_locals()

int linphone_core_get_unread_chat_message_count_from_active_locals | ( | const LinphoneCore * | core | ) |

Return the unread chat message count for all active local address.

(Primary contact + proxy configs.)

Parameters

  core | LinphoneCore object.

Returns
  The unread chat message count.

## linphone_core_get_unread_chat_message_count_from_local()

int linphone_core_get_unread_chat_message_count_from_local | ( | const LinphoneCore * | core,
|  | const LinphoneAddress * | address )

Return the unread chat message count for a given local address.

Parameters

  core | LinphoneCore object.
  address | LinphoneAddress object.

Returns
  The unread chat message count.

## linphone_core_has_builtin_echo_canceller()

bool_t linphone_core_has_builtin_echo_canceller | ( | LinphoneCore * | core | ) |

Check whether the device has a hardware echo canceller.

Parameters

  core | The LinphoneCore object.

Returns
  TRUE if it does, FALSE otherwise

## linphone_core_has_crappy_opengl()

bool_t linphone_core_has_crappy_opengl | ( | LinphoneCore * | core | ) |

Check whether the device is flagged has crappy opengl.

Parameters

  core | The LinphoneCore object.

Returns
  TRUE if crappy opengl flag is set, FALSE otherwise

## linphone_core_interpret_url()

LinphoneAddress * linphone_core_interpret_url | ( | LinphoneCore * | core,
|  | const char * | url )

Constructs a LinphoneAddress from the given string if possible.

In case of just a username, characters will be unescaped. If a phone number is detected, it will be flattened. sip: or sips: prefix will be added if not present. Finally, @domain will be added if not present using default proxy config.

See also
  linphone_proxy_config_normalize_sip_uri() for documentation.

Parameters

  core | The core
  url | the url to parse

Returns
  the LinphoneAddress matching the url or NULL in case of failure.

Deprecated
  on 18/07/2022, use linphone_core_interpret_url_2() instead.

## linphone_core_interpret_url_2()

LinphoneAddress * linphone_core_interpret_url_2 | ( | LinphoneCore * | core,
|  | const char * | url,
|  | bool_t | apply_international_prefix )

Constructs a LinphoneAddress from the given string if possible.

In case of just a username, characters will be unescaped. If a phone number is detected, it will be flattened. sip: or sips: prefix will be added if not present. Finally, @domain will be added if not present using default proxy config.

See also
  linphone_proxy_config_normalize_sip_uri() for documentation.

Parameters

  core | The core
  url | the url to parse
  apply_international_prefix | whether or not to try to format url as phone number using default account prefix if it set (and if url is a number).

Returns
  the LinphoneAddress matching the url or NULL in case of failure.

## linphone_core_is_auto_iterate_enabled()

bool_t linphone_core_is_auto_iterate_enabled | ( | const LinphoneCore * | core | ) |

Gets whether auto iterate is enabled or not (Android & iOS only).

Parameters

  core | The LinphoneCore

Returns
  TRUE if linphone_core_iterate() is scheduled automatically, FALSE otherwise

Deprecated
  16/12/2021 Use linphone_core_auto_iterate_enabled() instead.

## linphone_core_is_echo_canceller_calibration_required()

bool_t linphone_core_is_echo_canceller_calibration_required | ( | LinphoneCore * | core | ) |

Check whether the device is echo canceller calibration is required.

Parameters

  core | The LinphoneCore object.

Returns
  TRUE if it is required, FALSE otherwise

## linphone_core_is_push_notification_available()

bool_t linphone_core_is_push_notification_available | ( | LinphoneCore * | core | ) |

Gets whether push notifications are available or not (Android & iOS only).

Parameters

  core | The LinphoneCore

Returns
  TRUE if push notifications are available, FALSE otherwise

## linphone_core_is_push_notification_enabled()

bool_t linphone_core_is_push_notification_enabled | ( | LinphoneCore * | core | ) |

Gets whether push notifications are enabled or not (Android & iOS only).

If not, the app will have to handle all the push-related settings for each accounts

Parameters

  core | The LinphoneCore

Returns
  TRUE if push notifications are enabled, FALSE otherwise

Deprecated
  16/12/2021 Use linphone_core_push_notification_enabled() instead.

## linphone_core_is_vibration_on_incoming_call_enabled()

bool_t linphone_core_is_vibration_on_incoming_call_enabled | ( | LinphoneCore * | core | ) |

Gets whether the device will vibrate while an incoming call is ringing (Android only).

Parameters

  core | The LinphoneCore

Returns
  TRUE if the device will vibrate (if possible), FALSE otherwise

Deprecated
  16/12/2021 Use linphone_core_vibration_on_incoming_call_enabled() instead.

## linphone_core_ldap_available()

bool_t linphone_core_ldap_available | ( | LinphoneCore * | core | ) |

Tells if LDAP is available.

Parameters

  core | LinphoneCore object

Returns
  TRUE if LDAP is available, FALSE otherwise

## linphone_core_lime_x3dh_available()

bool_t linphone_core_lime_x3dh_available | ( | const LinphoneCore * | core | ) |

Tells if LIME X3DH is available.

Parameters

  core | LinphoneCore object

## linphone_core_lime_x3dh_enabled()

bool_t linphone_core_lime_x3dh_enabled | ( | const LinphoneCore * | core | ) |

Tells wether LIME X3DH is enabled or not.

Parameters

  core | LinphoneCore object

Returns
  The current lime state

## linphone_core_load_config_from_xml()

void linphone_core_load_config_from_xml | ( | LinphoneCore * | core,
|  | const char * | xml_uri )

Update current config with the content of a xml config file.

Parameters

  core | The LinphoneCore to update
  xml_uri | the path to the xml file

## linphone_core_play_local()

LinphoneStatus linphone_core_play_local | ( | LinphoneCore * | core,
|  | const char * | audiofile )

Plays an audio file to the local user.

This function works at any time, during calls, or when no calls are running. It doesn't request the underlying audio system to support multiple playback streams.

Parameters

  core | LinphoneCore object
  audiofile | The path to an audio file in wav PCM 16 bit format

Returns
  0 on success, -1 on error

## linphone_core_process_push_notification()

void linphone_core_process_push_notification | ( | LinphoneCore * | core,
|  | const char * | call_id )

Call this method when you receive a push notification (if you handle push notifications manually).

It will ensure the proxy configs are correctly registered to the proxy server, so the call or the message will be correctly delivered.

Parameters

  core | The LinphoneCore
  call_id | the Call-ID of the MESSAGE or INVITE for which the push was received and to wait for.

## linphone_core_push_notification_enabled()

bool_t linphone_core_push_notification_enabled | ( | LinphoneCore * | core | ) |

Gets whether push notifications are enabled or not (Android & iOS only).

If not, the app will have to handle all the push-related settings for each accounts

Parameters

  core | The LinphoneCore

Returns
  TRUE if push notifications are enabled, FALSE otherwise

## linphone_core_push_notification_received()

void linphone_core_push_notification_received | ( | LinphoneCore * | core,
|  | const char * | payload,
|  | const char * | call_id )

This method is called by Android & iOS platform helpers to notify the Core of a received push notification.

It will simply call Core->pushNotificationReceived() like linphone_core_process_push_notification().

Parameters

  core | The LinphoneCore
  payload | the payload of the push notification if any.
  call_id | the Call-ID of the MESSAGE or INVITE for which the push was received and to wait for.

## linphone_core_push_notification_received_2()

void linphone_core_push_notification_received_2 | ( | LinphoneCore * | core,
|  | const char * | payload,
|  | const char * | call_id,
|  | bool_t | is_core_starting )

This method is called by Android & iOS platform helpers to notify the Core of a received push notification.

It will simply call Core->pushNotificationReceived() like linphone_core_process_push_notification().

Parameters

  core | The LinphoneCore
  payload | the payload of the push notification if any.
  call_id | the Call-ID of the MESSAGE or INVITE for which the push was received and to wait for.
  is_core_starting | if TRUE the Core will skill network tasks we usually do when a push is received to ensure the sockets are alive.

## linphone_core_set_auto_iterate_background_schedule()

void linphone_core_set_auto_iterate_background_schedule | ( | LinphoneCore * | core,
|  | int | schedule )

Sets the timer used to schedule the call to core.iterate() method when in background (Android only).

Parameters

  core | The LinphoneCore
  schedule | The timing in milliseconds used to schedule the call while in background.

## linphone_core_set_auto_iterate_enabled()

void linphone_core_set_auto_iterate_enabled | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable the automatic schedule of linphone_core_iterate() method on Android & iOS.

If enabled, linphone_core_iterate() will be called on the main thread every 20ms automatically. If disabled, it is the application that must do this job.

Parameters

  core | The LinphoneCore
  enable | TRUE to enable auto iterate, FALSE to disable

Deprecated
  16/12/2021 Use linphone_core_enable_auto_iterate() instead.

## linphone_core_set_auto_iterate_foreground_schedule()

void linphone_core_set_auto_iterate_foreground_schedule | ( | LinphoneCore * | core,
|  | int | schedule )

Sets the timer used to schedule the call to core.iterate() method when in foreground (Android only).

Parameters

  core | The LinphoneCore
  schedule | The timing in milliseconds used to schedule the call while in foreground.

## linphone_core_set_file_transfer_server()

void linphone_core_set_file_transfer_server | ( | LinphoneCore * | core,
|  | const char * | server_url )

Globaly set an http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.

Url may be like: "https://file.linphone.org/upload.php". This value can also be set for a dedicated account using linphone_proxy_config_set_file_transfer_server().

Parameters

  core | LinphoneCore to be modified
  server_url | URL of the file server.

## linphone_core_set_lime_x3dh_server_url()

MS2_DEPRECATED void linphone_core_set_lime_x3dh_server_url | ( | LinphoneCore * | core,
|  | const char * | url )

Set the x3dh server url.

If empty, this function will disable LIME X3DH from core. Otherwise, or if different from the existing value, this will (re-)initialize the LIME X3DH engine.

Parameters

  core | LinphoneCore object
  url | The x3dh server url.

Deprecated
  26/08/2022 Use linphone_account_params_set_lime_server_url() instead.

## linphone_core_set_push_notification_enabled()

void linphone_core_set_push_notification_enabled | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable or disable push notifications on Android & iOS.

If enabled, it will try to get the push token add configure each account with push_notification_allowed set to true with push parameters. IOS: will also instanciate a PushRegistry, so make sure that your app does not instanciate one too or there will be a conflict.

Parameters

  core | The LinphoneCore
  enable | TRUE to enable push notifications, FALSE to disable

Deprecated
  16/12/2021 Use linphone_core_enable_push_notification() instead.

## linphone_core_set_user_agent()

void linphone_core_set_user_agent | ( | LinphoneCore * | core,
|  | const char * | name,
|  | const char * | version )

Set the user agent string used in SIP messages.

Set the user agent string used in SIP messages as "[ua_name]/[version]". No slash character will be printed if NULL is given to "version". If NULL is given to "ua_name" and "version" both, the User-agent header will be empty.

This function should be called just after linphone_factory_create_core() ideally.

Parameters

  core | The core.
  name | Name of the user agent.
  version | Version of the user agent.

## linphone_core_set_vibration_on_incoming_call_enabled()

void linphone_core_set_vibration_on_incoming_call_enabled | ( | LinphoneCore * | core,
|  | bool_t | enable )

Enable vibration will incoming call is ringing (Android only).

Parameters

  core | The LinphoneCore
  enable | TRUE to enable the vibration on incoming call, FALSE otherwise

Deprecated
  16/12/2021 Use linphone_core_enable_vibration_on_incoming_call() instead.

## linphone_core_start_echo_calibration()

MS2_DEPRECATED int linphone_core_start_echo_calibration | ( | LinphoneCore * | lc,
|  | LinphoneEcCalibrationCallback | cb,
|  | LinphoneEcCalibrationAudioInit | audio_init_cb,
|  | LinphoneEcCalibrationAudioUninit | audio_uninit_cb,
|  | void * | cb_data )

Starts an echo calibration of the sound devices, in order to find adequate settings for the echo canceler automatically.

Deprecated

  16/10/2017 Use linphone_core_start_echo_canceller_calibration() instead. To set the callbacks create or get an already instantiated LinphoneCoreCbs and call linphone_core_cbs_set_ec_calibration_result(), linphone_core_cbs_set_ec_calibration_audio_init() and #linphone_core_cbs_set_ec_callibration_audio_uninit(). Deprecated since 2017-10-16.

## linphone_core_start_echo_canceller_calibration()

LinphoneStatus linphone_core_start_echo_canceller_calibration | ( | LinphoneCore * | core | ) |

Starts an echo calibration of the sound devices, in order to find adequate settings for the echo canceler automatically.

Parameters

  core | LinphoneCore object.

Returns
  LinphoneStatus whether calibration has started or not.

## linphone_core_start_echo_tester()

LinphoneStatus linphone_core_start_echo_tester | ( | LinphoneCore * | core,
|  | unsigned int | rate )

Start the simulation of call to test the latency with an external device.

Parameters

  core | The LinphoneCore object.
  rate | Sound sample rate.

Returns
  -1 in case of failure, 1 otherwise.

## linphone_core_stop_echo_tester()

LinphoneStatus linphone_core_stop_echo_tester | ( | LinphoneCore * | core | ) |

Stop the simulation of call.

Parameters

  core | The LinphoneCore object.

## linphone_core_take_preview_snapshot()

LinphoneStatus linphone_core_take_preview_snapshot | ( | LinphoneCore * | core,
|  | const char * | file )

Take a photo of currently from capture device and write it into a jpeg file.

Note that the snapshot is asynchronous, an application shall not assume that the file is created when the function returns.

Parameters

  core | the linphone core
  file | a path where to write the jpeg content.

Returns
  0 if successful, -1 otherwise (typically if jpeg format is not supported).

## linphone_core_vcard_supported()

bool_t linphone_core_vcard_supported | ( | void |  | ) |

Tells whether VCARD support is builtin.

Returns
  TRUE if VCARD is supported, FALSE otherwise.

## linphone_core_vibration_on_incoming_call_enabled()

bool_t linphone_core_vibration_on_incoming_call_enabled | ( | LinphoneCore * | core | ) |

Gets whether the device will vibrate while an incoming call is ringing (Android only).

Parameters

  core | The LinphoneCore

Returns
  TRUE if the device will vibrate (if possible), FALSE otherwise

## linphone_core_video_supported()

bool_t linphone_core_video_supported | ( | LinphoneCore * | core | ) |

Test if video is supported.

Parameters

  core | the LinphoneCore

Returns
  TRUE if the library was built with video support, FALSE otherwise

## linphone_dial_plan_by_ccc()

const LinphoneDialPlan * linphone_dial_plan_by_ccc | ( | const char * | ccc | ) |

Find best match for given CCC.

Parameters

  ccc | The country calling code

Returns
  the matching dial plan, or a generic one if none found

## linphone_dial_plan_by_ccc_as_int()

const LinphoneDialPlan * linphone_dial_plan_by_ccc_as_int | ( | int | ccc | ) |

Find best match for given CCC.

Parameters

  ccc | the country calling code

Returns
  the matching dial plan, or a generic one if none found

## linphone_dial_plan_get_all()

MS2_DEPRECATED const LinphoneDialPlan * linphone_dial_plan_get_all | ( | void |  | ) |

Return NULL-terminated array of all known dial plans.

Deprecated
  16/10/2017 use linphone_dial_plan_get_all_list instead, this method will always return NULL

## linphone_dial_plan_get_all_list()

bctbx_list_t * linphone_dial_plan_get_all_list | ( | void |  | ) |

Returns a list of all known dial plans.

Returns
  The list of all known dial plans.

## linphone_dial_plan_get_country()

const char * linphone_dial_plan_get_country | ( | const LinphoneDialPlan * | dial_plan | ) |

Returns the country name of the dialplan.

Parameters

  dial_plan | the LinphoneDialPlan object

Returns
  the country name

## linphone_dial_plan_get_country_calling_code()

const char * linphone_dial_plan_get_country_calling_code | ( | const LinphoneDialPlan * | dial_plan | ) |

Returns the country calling code of the dialplan.

Parameters

  dial_plan | the LinphoneDialPlan object

Returns
  the country calling code

## linphone_dial_plan_get_flag()

const char * linphone_dial_plan_get_flag | ( | const LinphoneDialPlan * | dial_plan | ) |

Returns the flag of the teritory as unicode characters.

Parameters

  dial_plan | the LinphoneDialPlan object

Returns
  the flag as unicode characters

## linphone_dial_plan_get_international_call_prefix()

const char * linphone_dial_plan_get_international_call_prefix | ( | const LinphoneDialPlan * | dial_plan | ) |

Returns the international call prefix of the dialplan.

Parameters

  dial_plan | the LinphoneDialPlan object

Returns
  the international call prefix

## linphone_dial_plan_get_iso_country_code()

const char * linphone_dial_plan_get_iso_country_code | ( | const LinphoneDialPlan * | dial_plan | ) |

Returns the iso country code of the dialplan.

Parameters

  dial_plan | the LinphoneDialPlan object

Returns
  the iso country code

## linphone_dial_plan_get_national_number_length()

int linphone_dial_plan_get_national_number_length | ( | const LinphoneDialPlan * | dial_plan | ) |

Returns the national number length of the dialplan.

Parameters

  dial_plan | the LinphoneDialPlan object

Returns
  the national number length

## linphone_dial_plan_is_generic()

bool_t linphone_dial_plan_is_generic | ( | const LinphoneDialPlan * | ccc | ) |

Return if given plan is generic.

Parameters

  ccc | the country calling code

Returns
  TRUE if generic, FALSE otherwise

## linphone_dial_plan_lookup_ccc_from_e164()

int linphone_dial_plan_lookup_ccc_from_e164 | ( | const char * | e164 | ) |

Function to get call country code from an e164 number, ex: +33952650121 will return 33.

Parameters

  e164 | phone number

Returns
  call country code or -1 if not found

## linphone_dial_plan_lookup_ccc_from_iso()

int linphone_dial_plan_lookup_ccc_from_iso | ( | const char * | iso | ) |

Function to get call country code from ISO 3166-1 alpha-2 code, ex: FR returns 33.

Parameters

  iso | country code alpha2

Returns
  call country code or -1 if not found

## linphone_dial_plan_ref()

LinphoneDialPlan * linphone_dial_plan_ref | ( | LinphoneDialPlan * | dial_plan | ) |

Increases the reference counter of LinphoneDialPlan objects.

Parameters

  dial_plan | the LinphoneDialPlan object

Returns
  the same LinphoneDialPlan object

## linphone_dial_plan_unref()

void linphone_dial_plan_unref | ( | LinphoneDialPlan * | dial_plan | ) |

Decreases the reference counter of LinphoneDialPlan objects.

Parameters

  dial_plan | the LinphoneDialPlan object

## linphone_error_code_is_retry_after()

bool_t linphone_error_code_is_retry_after | ( | int | error | ) |

Check whether an error code is in Retry-After field.

Parameters

  error | An error code

Returns
  TRUE if it is in Retry-After field

## linphone_error_code_to_reason()

LinphoneReason linphone_error_code_to_reason | ( | int | error | ) |

Converts an error code to a LinphoneReason.

Parameters

  error | An error code

Returns
  The LinphoneReason corresponding to the specified error code

## linphone_error_info_get_phrase()

const char * linphone_error_info_get_phrase | ( | const LinphoneErrorInfo * | error_info | ) |

Get textual phrase from the error info.

This is the text that is provided by the peer in the protocol (SIP).

Parameters

  error_info | LinphoneErrorInfo object

Returns
  The error phrase

## linphone_error_info_get_protocol()

const char * linphone_error_info_get_protocol | ( | const LinphoneErrorInfo * | error_info | ) |

Get protocol from the error info.

Parameters

  error_info | LinphoneErrorInfo object

Returns
  The protocol.

## linphone_error_info_get_protocol_code()

int linphone_error_info_get_protocol_code | ( | const LinphoneErrorInfo * | error_info | ) |

Get the status code from the low level protocol (ex a SIP status code).

Parameters

  error_info | LinphoneErrorInfo object

Returns
  The status code

## linphone_error_info_get_reason()

LinphoneReason linphone_error_info_get_reason | ( | const LinphoneErrorInfo * | error_info | ) |

Get reason code from the error info.

Parameters

  error_info | LinphoneErrorInfo object

Returns
  A LinphoneReason object

## linphone_error_info_get_retry_after()

int linphone_error_info_get_retry_after | ( | const LinphoneErrorInfo * | error_info | ) |

Get Retry-After delay second from the error info.

Parameters

  error_info | LinphoneErrorInfo object

Returns
  The Retry-After delay second

## linphone_error_info_get_sub_error_info()

LinphoneErrorInfo * linphone_error_info_get_sub_error_info | ( | const LinphoneErrorInfo * | error_info | ) |

Get pointer to chained LinphoneErrorInfo set in sub_ei.

It corresponds to a Reason header in a received SIP response.

Parameters

  error_info | LinphoneErrorInfo object

Returns
  LinphoneErrorInfo pointer defined in the ei object.

## linphone_error_info_get_warnings()

const char * linphone_error_info_get_warnings | ( | const LinphoneErrorInfo * | error_info | ) |

Provides additional information regarding the failure.

With SIP protocol, the content of "Warning" headers are returned.

Parameters

  error_info | LinphoneErrorInfo object

Returns
  More details about the failure.

## linphone_error_info_new()

LinphoneErrorInfo * linphone_error_info_new | ( | void |  | ) |

Create an empty LinphoneErrorInfo object.

The LinphoneErrorInfo object carries these fields:

- a LinphoneReason enum member giving overall signification of the error reported.
- the "protocol" name in which the protocol reason code has meaning, for example SIP or Q.850
- the "protocol code", an integer referencing the kind of error reported
- the "phrase", a text phrase describing the error
- the "warning", the content of warning headers if any
- a sub "LinphoneErrorInfo" may be provided if a SIP response includes a Reason header (RFC3326).
  Returns
    a new LinphoneErrorInfo object

## linphone_error_info_ref()

LinphoneErrorInfo * linphone_error_info_ref | ( | LinphoneErrorInfo * | error_info | ) |

Increment refcount.

Parameters

  error_info | LinphoneErrorInfo object

Returns
  the same LinphoneErrorInfo object

## linphone_error_info_set()

void linphone_error_info_set | ( | LinphoneErrorInfo * | error_info,
|  | const char * | protocol,
|  | LinphoneReason | reason,
|  | int | code,
|  | const char * | status,
|  | const char * | warning )

Assign information to a LinphoneErrorInfo object.

Parameters

  error_info | LinphoneErrorInfo object
  protocol | protocol name
  reason | reason from LinphoneReason enum
  code | protocol code
  status | description of the reason
  warning | warning message

## linphone_error_info_set_phrase()

void linphone_error_info_set_phrase | ( | LinphoneErrorInfo * | error_info,
|  | const char * | phrase )

Assign phrase to a LinphoneErrorInfo object.

Parameters

  error_info | LinphoneErrorInfo object
  phrase | the phrase explaining the error

## linphone_error_info_set_protocol()

void linphone_error_info_set_protocol | ( | LinphoneErrorInfo * | error_info,
|  | const char * | protocol )

Assign protocol name to a LinphoneErrorInfo object.

Parameters

  error_info | LinphoneErrorInfo object
  protocol | the protocol name

## linphone_error_info_set_protocol_code()

void linphone_error_info_set_protocol_code | ( | LinphoneErrorInfo * | error_info,
|  | int | code )

Assign protocol code to a LinphoneErrorInfo object.

Parameters

  error_info | LinphoneErrorInfo object
  code | the protocol code

## linphone_error_info_set_reason()

void linphone_error_info_set_reason | ( | LinphoneErrorInfo * | error_info,
|  | LinphoneReason | reason )

Assign reason LinphoneReason to a LinphoneErrorInfo object.

Parameters

  error_info | LinphoneErrorInfo object
  reason | reason from LinphoneReason enum

## linphone_error_info_set_retry_after()

void linphone_error_info_set_retry_after | ( | LinphoneErrorInfo * | error_info,
|  | int | retry_after )

Assign retry-after value to a LinphoneErrorInfo object.

Parameters

  error_info | LinphoneErrorInfo object
  retry_after | the retry-after value

## linphone_error_info_set_sub_error_info()

void linphone_error_info_set_sub_error_info | ( | LinphoneErrorInfo * | error_info,
|  | LinphoneErrorInfo * | appended_error_info )

Set the sub_ei in LinphoneErrorInfo to another LinphoneErrorInfo.

Used when a reason header is to be added in a SIP response. The first level LinphoneErrorInfo defines the SIP response code and phrase, the second (sub) #LinphoneErroInfo defining the content of the Reason header.

Parameters

  error_info | LinphoneErrorInfo object to which the other LinphoneErrorInfo will be appended as ei->sub_ei.
  appended_error_info | LinphoneErrorInfo to append

## linphone_error_info_set_warnings()

void linphone_error_info_set_warnings | ( | LinphoneErrorInfo * | error_info,
|  | const char * | warnings )

Assign warnings to a LinphoneErrorInfo object.

Parameters

  error_info | LinphoneErrorInfo object
  warnings | the warnings

## linphone_error_info_unref()

void linphone_error_info_unref | ( | LinphoneErrorInfo * | error_info | ) |

Decrement refcount and possibly free the object.

Parameters

  error_info | LinphoneErrorInfo object

## linphone_factory_get_cache_dir()

const char * linphone_factory_get_cache_dir | ( | LinphoneFactory * | factory,
|  | void * | context )

Get the cache path.

Parameters

  factory | the LinphoneFactory
  context | used to compute path. Can be NULL. JavaPlatformHelper on Android and char *appGroupId on iOS with shared core.

Returns
  The cache path

## linphone_factory_get_config_dir()

const char * linphone_factory_get_config_dir | ( | LinphoneFactory * | factory,
|  | void * | context )

Get the config path.

Parameters

  factory | the LinphoneFactory
  context | used to compute path. Can be NULL. JavaPlatformHelper on Android and char *appGroupId on iOS with shared core.

Returns
  The config path

## linphone_factory_get_data_dir()

const char * linphone_factory_get_data_dir | ( | LinphoneFactory * | factory,
|  | void * | context )

Get the data path.

Parameters

  factory | the LinphoneFactory
  context | used to compute path. Can be NULL. JavaPlatformHelper on Android and char *appGroupId on iOS with shared core.

Returns
  The data path

## linphone_factory_get_download_dir()

const char * linphone_factory_get_download_dir | ( | LinphoneFactory * | factory,
|  | void * | context )

Get the download path.

Parameters

  factory | the LinphoneFactory
  context | used to compute path. Can be NULL. JavaPlatformHelper on Android and char *appGroupId on iOS with shared core.

Returns
  The download path

## linphone_factory_is_cache_dir_set()

bool_t linphone_factory_is_cache_dir_set | ( | const LinphoneFactory * | factory | ) |

Test if cache dir has been set.

Parameters

  factory | the LinphoneFactory

Returns
  TRUE if cache dir has been set.

## linphone_factory_is_config_dir_set()

bool_t linphone_factory_is_config_dir_set | ( | const LinphoneFactory * | factory | ) |

Test if config dir has been set.

Parameters

  factory | the LinphoneFactory

Returns
  TRUE if config dir has been set.

## linphone_factory_is_data_dir_set()

bool_t linphone_factory_is_data_dir_set | ( | const LinphoneFactory * | factory | ) |

Test if data dir has been set.

Parameters

  factory | the LinphoneFactory

Returns
  TRUE if data dir has been set.

## linphone_factory_is_download_dir_set()

bool_t linphone_factory_is_download_dir_set | ( | const LinphoneFactory * | factory | ) |

Test if download dir has been set.

Parameters

  factory | the LinphoneFactory

Returns
  TRUE if download dir has been set.

## linphone_headers_add()

void linphone_headers_add | ( | LinphoneHeaders * | headers,
|  | const char * | name,
|  | const char * | value )

Add given header name and corresponding value.

Parameters

  headers | the LinphoneHeaders object
  name | the header's name
  value | the header's value

## linphone_headers_get_value()

const char * linphone_headers_get_value | ( | LinphoneHeaders * | headers,
|  | const char * | header_name )

Search for a given header name and return its value.

Parameters

  headers | the LinphoneHeaders object
  header_name | the header's name

Returns
  the header's value or NULL if not found.

## linphone_headers_remove()

void linphone_headers_remove | ( | LinphoneHeaders * | headers,
|  | const char * | name )

Add given header name and corresponding value.

Parameters

  headers | the LinphoneHeaders object
  name | the header's name

## linphone_im_encryption_engine_cbs_get_generate_file_transfer_key()

LinphoneImEncryptionEngineCbsGenerateFileTransferKeyCb linphone_im_encryption_engine_cbs_get_generate_file_transfer_key | ( | LinphoneImEncryptionEngineCbs * | cbs | ) |

Gets the callback that will generate the key to encrypt the file before uploading it.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object

Returns
  the callback

## linphone_im_encryption_engine_cbs_get_is_encryption_enabled_for_file_transfer()

LinphoneImEncryptionEngineCbsIsEncryptionEnabledForFileTransferCb linphone_im_encryption_engine_cbs_get_is_encryption_enabled_for_file_transfer | ( | LinphoneImEncryptionEngineCbs * | cbs | ) |

Gets the callback telling whether or not to encrypt the files.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object

Returns
  the callback

## linphone_im_encryption_engine_cbs_get_process_downloading_file()

LinphoneImEncryptionEngineCbsDownloadingFileCb linphone_im_encryption_engine_cbs_get_process_downloading_file | ( | LinphoneImEncryptionEngineCbs * | cbs | ) |

Gets the callback that will decrypt the files while downloading them.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object

Returns
  the callback

## linphone_im_encryption_engine_cbs_get_process_incoming_message()

LinphoneImEncryptionEngineCbsIncomingMessageCb linphone_im_encryption_engine_cbs_get_process_incoming_message | ( | LinphoneImEncryptionEngineCbs * | cbs | ) |

Gets the callback that will decrypt the chat messages upon reception.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object

Returns
  the callback

## linphone_im_encryption_engine_cbs_get_process_outgoing_message()

LinphoneImEncryptionEngineCbsOutgoingMessageCb linphone_im_encryption_engine_cbs_get_process_outgoing_message | ( | LinphoneImEncryptionEngineCbs * | cbs | ) |

Gets the callback that will encrypt the chat messages before sending them.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object

Returns
  the callback

## linphone_im_encryption_engine_cbs_get_process_uploading_file()

LinphoneImEncryptionEngineCbsUploadingFileCb linphone_im_encryption_engine_cbs_get_process_uploading_file | ( | LinphoneImEncryptionEngineCbs * | cbs | ) |

Gets the callback that will will encrypt the files while uploading them.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object

Returns
  the callback

## linphone_im_encryption_engine_cbs_get_user_data()

void * linphone_im_encryption_engine_cbs_get_user_data | ( | const LinphoneImEncryptionEngineCbs * | cbs | ) |

Gets the user data in the LinphoneImEncryptionEngineCbs object.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs

Returns
  the user data

## linphone_im_encryption_engine_cbs_ref()

LinphoneImEncryptionEngineCbs * linphone_im_encryption_engine_cbs_ref | ( | LinphoneImEncryptionEngineCbs * | cbs | ) |

Acquire a reference to the LinphoneImEncryptionEngineCbs.

Parameters

  cbs | LinphoneImEncryptionEngineCbs object.

Returns
  The same LinphoneImEncryptionEngineCbs object.

## linphone_im_encryption_engine_cbs_set_generate_file_transfer_key()

void linphone_im_encryption_engine_cbs_set_generate_file_transfer_key | ( | LinphoneImEncryptionEngineCbs * | cbs,
|  | LinphoneImEncryptionEngineCbsGenerateFileTransferKeyCb | cb )

Sets the callback that will generate the key to encrypt the file before uploading it.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object
  cb | the callback to call

## linphone_im_encryption_engine_cbs_set_is_encryption_enabled_for_file_transfer()

void linphone_im_encryption_engine_cbs_set_is_encryption_enabled_for_file_transfer | ( | LinphoneImEncryptionEngineCbs * | cbs,
|  | LinphoneImEncryptionEngineCbsIsEncryptionEnabledForFileTransferCb | cb )

Sets the callback telling whether or not to encrypt the files.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object
  cb | the callback to call

## linphone_im_encryption_engine_cbs_set_process_downloading_file()

void linphone_im_encryption_engine_cbs_set_process_downloading_file | ( | LinphoneImEncryptionEngineCbs * | cbs,
|  | LinphoneImEncryptionEngineCbsDownloadingFileCb | cb )

Sets the callback that will decrypt the files while downloading them.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object
  cb | the callback to call

## linphone_im_encryption_engine_cbs_set_process_incoming_message()

void linphone_im_encryption_engine_cbs_set_process_incoming_message | ( | LinphoneImEncryptionEngineCbs * | cbs,
|  | LinphoneImEncryptionEngineCbsIncomingMessageCb | cb )

Sets the callback that will decrypt the chat messages upon reception.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object
  cb | the callback to call

## linphone_im_encryption_engine_cbs_set_process_outgoing_message()

void linphone_im_encryption_engine_cbs_set_process_outgoing_message | ( | LinphoneImEncryptionEngineCbs * | cbs,
|  | LinphoneImEncryptionEngineCbsOutgoingMessageCb | cb )

Sets the callback that will encrypt the chat messages before sending them.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object
  cb | the callback to call

## linphone_im_encryption_engine_cbs_set_process_uploading_file()

void linphone_im_encryption_engine_cbs_set_process_uploading_file | ( | LinphoneImEncryptionEngineCbs * | cbs,
|  | LinphoneImEncryptionEngineCbsUploadingFileCb | cb )

Sets the callback that will encrypt the files while uploading them.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object
  cb | the callback to call

## linphone_im_encryption_engine_cbs_set_user_data()

void linphone_im_encryption_engine_cbs_set_user_data | ( | LinphoneImEncryptionEngineCbs * | cbs,
|  | void * | data )

Sets the user data in the LinphoneImEncryptionEngineCbs object.

Parameters

  cbs | the LinphoneImEncryptionEngineCbs object
  data | the user data

## linphone_im_encryption_engine_cbs_unref()

void linphone_im_encryption_engine_cbs_unref | ( | LinphoneImEncryptionEngineCbs * | cbs | ) |

Release reference to the LinphoneImEncryptionEngineCbs.

Parameters

  cbs | LinphoneImEncryptionEngineCbs object.

## linphone_im_encryption_engine_get_callbacks()

LinphoneImEncryptionEngineCbs * linphone_im_encryption_engine_get_callbacks | ( | const LinphoneImEncryptionEngine * | imee | ) |

Gets the LinphoneImEncryptionEngineCbs object that holds the callbacks.

Parameters

  imee | the LinphoneImEncryptionEngine object

Returns
  the LinphoneImEncryptionEngineCbs object

## linphone_im_encryption_engine_get_core()

LinphoneCore * linphone_im_encryption_engine_get_core | ( | LinphoneImEncryptionEngine * | imee | ) |

Gets the LinphoneCore object that created the IM encryption engine.

Parameters

  imee | LinphoneImEncryptionEngine object

Returns
  The LinphoneCore object that created the IM encryption engine

## linphone_im_encryption_engine_get_user_data()

void * linphone_im_encryption_engine_get_user_data | ( | const LinphoneImEncryptionEngine * | imee | ) |

Gets the user data in the LinphoneImEncryptionEngine object.

Parameters

  imee | the LinphoneImEncryptionEngine

Returns
  the user data

## linphone_im_encryption_engine_new()

LinphoneImEncryptionEngine * linphone_im_encryption_engine_new | ( | void |  | ) |

Create the IM encryption engine.

Returns
  The created the IM encryption engine

## linphone_im_encryption_engine_ref()

LinphoneImEncryptionEngine * linphone_im_encryption_engine_ref | ( | LinphoneImEncryptionEngine * | imee | ) |

Acquire a reference to the LinphoneImEncryptionEngine.

Parameters

  imee | LinphoneImEncryptionEngine object.

Returns
  The same LinphoneImEncryptionEngine object.

## linphone_im_encryption_engine_set_user_data()

void linphone_im_encryption_engine_set_user_data | ( | LinphoneImEncryptionEngine * | imee,
|  | void * | data )

Sets the user data in the LinphoneImEncryptionEngine object.

Parameters

  imee | the LinphoneImEncryptionEngine object
  data | the user data

## linphone_im_encryption_engine_unref()

void linphone_im_encryption_engine_unref | ( | LinphoneImEncryptionEngine * | imee | ) |

Release reference to the LinphoneImEncryptionEngine.

Parameters

  imee | LinphoneImEncryptionEngine object.

## linphone_info_message_add_header()

void linphone_info_message_add_header | ( | LinphoneInfoMessage * | info_message,
|  | const char * | name,
|  | const char * | value )

Add a header to an info message to be sent.

Parameters

  info_message | the LinphoneInfoMessage object
  name | the header'name
  value | the header's value

## linphone_info_message_get_content()

const LinphoneContent * linphone_info_message_get_content | ( | const LinphoneInfoMessage * | info_message | ) |

Returns the info message's content as a LinphoneContent structure.

Parameters

  info_message | the LinphoneInfoMessage object

Returns
  the LinphoneContent object.

## linphone_info_message_get_header()

const char * linphone_info_message_get_header | ( | const LinphoneInfoMessage * | info_message,
|  | const char * | name )

Obtain a header value from a received info message.

Parameters

  info_message | the LinphoneInfoMessage object
  name | the header'name

Returns
  the corresponding header's value, or NULL if not exists.

## linphone_info_message_ref()

LinphoneInfoMessage * linphone_info_message_ref | ( | LinphoneInfoMessage * | info_message | ) |

Take a reference on a LinphoneInfoMessage.

Parameters

  info_message | the LinphoneInfoMessage object

Returns
  the same LinphoneInfoMessage object

## linphone_info_message_set_content()

void linphone_info_message_set_content | ( | LinphoneInfoMessage * | info_message,
|  | const LinphoneContent * | content )

Assign a content to the info message.

All fields of the LinphoneContent are copied, thus the application can destroy/modify/recycloe the content object freely ater the function returns.

Parameters

  info_message | the LinphoneInfoMessage object
  content | the content described as a LinphoneContent structure.

## linphone_info_message_unref()

void linphone_info_message_unref | ( | LinphoneInfoMessage * | info_message | ) |

Release a reference on a LinphoneInfoMessage.

Parameters

  info_message | the linphone info message

## linphone_magic_search_add_callbacks()

void linphone_magic_search_add_callbacks | ( | LinphoneMagicSearch * | magic_search,
|  | LinphoneMagicSearchCbs * | cbs )

Add a listener in order to be notified of LinphoneMagicSearch events.

Parameters

  magic_search | LinphoneMagicSearch object to monitor.
  cbs | A LinphoneMagicSearchCbs object holding the callbacks you need.

## linphone_magic_search_cbs_get_ldap_have_more_results()

LinphoneMagicSearchCbsLdapHaveMoreResultsCb linphone_magic_search_cbs_get_ldap_have_more_results | ( | const LinphoneMagicSearchCbs * | cbs | ) |

Get the ldap callback on having more results.

Parameters

  cbs | LinphoneMagicSearchCbs object.

Returns
  The ldap callback on having more results.

## linphone_magic_search_cbs_get_search_results_received()

LinphoneMagicSearchCbsSearchResultsReceivedCb linphone_magic_search_cbs_get_search_results_received | ( | const LinphoneMagicSearchCbs * | cbs | ) |

Get the received results callback.

Parameters

  cbs | LinphoneMagicSearchCbs object.

Returns
  The current result received callback.

## linphone_magic_search_cbs_get_user_data()

void * linphone_magic_search_cbs_get_user_data | ( | const LinphoneMagicSearchCbs * | cbs | ) |

Retrieve the user pointer associated with the chat message callbacks object.

Parameters

  cbs | The LinphoneMagicSearchCbs object

Returns
  The user pointer associated with the chat message callbacks object.

## linphone_magic_search_cbs_ref()

LinphoneMagicSearchCbs * linphone_magic_search_cbs_ref | ( | LinphoneMagicSearchCbs * | cbs | ) |

Acquire a reference to the chat message callbacks object.

Parameters

  cbs | The LinphoneMagicSearchCbs object

Returns
  The same chat message callbacks object

## linphone_magic_search_cbs_set_ldap_have_more_results()

void linphone_magic_search_cbs_set_ldap_have_more_results | ( | LinphoneMagicSearchCbs * | cbs,
|  | LinphoneMagicSearchCbsLdapHaveMoreResultsCb | cb )

Set the ldap callback on having more results.

Parameters

  cbs | LinphoneMagicSearchCbs object.
  cb | The ldap callback on having more results.

## linphone_magic_search_cbs_set_search_results_received()

void linphone_magic_search_cbs_set_search_results_received | ( | LinphoneMagicSearchCbs * | cbs,
|  | LinphoneMagicSearchCbsSearchResultsReceivedCb | cb )

Set the received results callback.

Parameters

  cbs | LinphoneMagicSearchCbs object.
  cb | The received results callback to be used.

## linphone_magic_search_cbs_set_user_data()

void linphone_magic_search_cbs_set_user_data | ( | LinphoneMagicSearchCbs * | cbs,
|  | void * | user_data )

Assign a user pointer to the chat message callbacks object.

Parameters

  cbs | The LinphoneMagicSearchCbs object
  user_data | The user pointer to associate with the chat message callbacks object.

## linphone_magic_search_cbs_unref()

void linphone_magic_search_cbs_unref | ( | LinphoneMagicSearchCbs * | cbs | ) |

Release reference to the chat message callbacks object.

Parameters

  cbs | The LinphoneMagicSearchCbs object

## linphone_magic_search_get_contact_list_from_filter()

MS2_DEPRECATED bctbx_list_t * linphone_magic_search_get_contact_list_from_filter | ( | LinphoneMagicSearch * | magic_search,
|  | const char * | filter,
|  | const char * | domain )

Create a sorted list of SearchResult from SipUri, Contact name, Contact displayname, Contact phone number, which match with a filter word The last item list will be an address formed with "filter" if a proxy config exist During the first search, a cache is created and used for the next search Use linphone_magic_search_reset_search_cache() to begin a new search.

Parameters

  magic_search | a LinphoneMagicSearch object
  filter | word we search

  domain

  domain which we want to search only
  - NULL or "" for searching in all contact
  - "*" for searching in contact with sip SipUri
  - "yourdomain" for searching in contact from "yourdomain" domain

Returns
  sorted list of

Deprecated
  22/03/2022 Use linphone_magic_search_get_contacts() instead.

## linphone_magic_search_get_contact_list_from_filter_async()

MS2_DEPRECATED void linphone_magic_search_get_contact_list_from_filter_async | ( | LinphoneMagicSearch * | magic_search,
|  | const char * | filter,
|  | const char * | domain )

Create a sorted list of SearchResult asynchronous from SipUri, Contact name, Contact displayname, Contact phone number, which match with a filter word The last item list will be an address formed with "filter" if a proxy config exist During the first search, a cache is created and used for the next search Use linphone_magic_search_reset_search_cache() to begin a new search.

Parameters

  magic_search | a LinphoneMagicSearch object
  filter | word we search
  domain | domain which we want to search only NULL or "" for searching in all contact "*" for searching in contact with sip SipUri "yourdomain" for searching in contact from "yourdomain" domain

Deprecated
  22/03/2022 Use linphone_magic_search_get_contacts_async() instead.

## linphone_magic_search_get_contacts()

MS2_DEPRECATED bctbx_list_t * linphone_magic_search_get_contacts | ( | LinphoneMagicSearch * | magic_search,
|  | const char * | filter,
|  | const char * | domain,
|  | int | sourceFlags )

Create a sorted list of SearchResult which match with a filter word, from SipUri in this order : Contact's display name, address username, address domain and phone number.

The last item list will be an address formed with "filter" if a proxy config exist and requested in sourceFlags During the first search, a cache is created and used for the next search Use linphone_magic_search_reset_search_cache() to begin a new search

Parameters

  magic_search | a LinphoneMagicSearch object
  filter | word we search

  domain

  domain which we want to search only
  - NULL or "" for searching in all contact
  - "*" for searching in contact with sip SipUri
  - "yourdomain" for searching in contact from "yourdomain" domain

  sourceFlags | Flags that specify where to search : LinphoneMagicSearchSource

Returns
  sorted list of

Deprecated
  08/04/2022 Use linphone_magic_search_get_contacts_list() instead.

## linphone_magic_search_get_contacts_async()

MS2_DEPRECATED void linphone_magic_search_get_contacts_async | ( | LinphoneMagicSearch * | magic_search,
|  | const char * | filter,
|  | const char * | domain,
|  | int | sourceFlags )

This is the asynchronous version of linphone_magic_search_get_contacts().

Create a sorted list of SearchResult which match with a filter word, from SipUri in this order : Contact's display name, address username, address domain and phone number. The last item list will be an address formed with "filter" if a proxy config exist and requested in sourceFlags During the first search, a cache is created and used for the next search Use linphone_magic_search_reset_search_cache() to begin a new search

Parameters

  magic_search | a LinphoneMagicSearch object
  filter | word we search

  domain

  domain which we want to search only
  - NULL or "" for searching in all contact
  - "*" for searching in contact with sip SipUri
  - "yourdomain" for searching in contact from "yourdomain" domain

  sourceFlags | Flags that specify where to search : LinphoneMagicSearchSource

Deprecated
  08/04/2022 Use linphone_magic_search_get_contacts_list_async() instead.

## linphone_magic_search_get_contacts_list()

bctbx_list_t * linphone_magic_search_get_contacts_list | ( | LinphoneMagicSearch * | magic_search,
|  | const char * | filter,
|  | const char * | domain,
|  | int | sourceFlags,
|  | LinphoneMagicSearchAggregation | aggregation )

Create a sorted list of SearchResult which match with a filter word, from SipUri in this order : Contact's display name, address username, address domain and phone number.

The last item list will be an address formed with "filter" if a proxy config exist and requested in sourceFlags During the first search, a cache is created and used for the next search Use linphone_magic_search_reset_search_cache() to begin a new search

Parameters

  magic_search | a LinphoneMagicSearch object
  filter | word we search

  domain

  domain which we want to search only
  - NULL or "" for searching in all contact
  - "*" for searching in contact with sip SipUri
  - "yourdomain" for searching in contact from "yourdomain" domain

  sourceFlags | Flags that specify where to search : LinphoneMagicSearchSource
  aggregation | a LinphoneMagicSearchAggregation mode to indicate how to merge results

Returns
  sorted list of

## linphone_magic_search_get_contacts_list_async()

void linphone_magic_search_get_contacts_list_async | ( | LinphoneMagicSearch * | magic_search,
|  | const char * | filter,
|  | const char * | domain,
|  | int | sourceFlags,
|  | LinphoneMagicSearchAggregation | aggregation )

This is the asynchronous version of linphone_magic_search_get_contacts().

Create a sorted list of SearchResult which match with a filter word, from SipUri in this order : Contact's display name, address username, address domain and phone number. The last item list will be an address formed with "filter" if a proxy config exist and requested in sourceFlags During the first search, a cache is created and used for the next search Use linphone_magic_search_reset_search_cache() to begin a new search

Parameters

  magic_search | a LinphoneMagicSearch object
  filter | word we search

  domain

  domain which we want to search only
  - NULL or "" for searching in all contact
  - "*" for searching in contact with sip SipUri
  - "yourdomain" for searching in contact from "yourdomain" domain

  sourceFlags | Flags that specify where to search : LinphoneMagicSearchSource
  aggregation | a LinphoneMagicSearchAggregation mode to indicate how to merge results

## linphone_magic_search_get_current_callbacks()

LinphoneMagicSearchCbs * linphone_magic_search_get_current_callbacks | ( | const LinphoneMagicSearch * | magic_search | ) |

Gets the current LinphoneMagicSearchCbs.

This is meant only to be called from a callback to be able to get the user_data associated with the LinphoneMagicSearchCbs that is calling the callback.

Parameters

  magic_search | LinphoneMagicSearch object

Returns
  The LinphoneMagicSearchCbs that has called the last callback.

## linphone_magic_search_get_delimiter()

const char * linphone_magic_search_get_delimiter | ( | const LinphoneMagicSearch * | magic_search | ) |

Get the delimiter used for the search.

Parameters

  magic_search | a LinphoneMagicSearch object

Returns
  the delimiter used to find matched filter word

## linphone_magic_search_get_last_search()

bctbx_list_t * linphone_magic_search_get_last_search | ( | const LinphoneMagicSearch * | magic_search | ) |

Parameters

  magic_search | a LinphoneMagicSearch object

Returns
  sorted list of

## linphone_magic_search_get_limited_search()

bool_t linphone_magic_search_get_limited_search | ( | const LinphoneMagicSearch * | magic_search | ) |

Return whether or not the search is limited.

Parameters

  magic_search | a LinphoneMagicSearch object

Returns
  TRUE if the search is limited, FALSE otherwise

## linphone_magic_search_get_max_weight()

unsigned int linphone_magic_search_get_max_weight | ( | const LinphoneMagicSearch * | magic_search | ) |

Get the maximum value used to calculate the weight in search.

Parameters

  magic_search | a LinphoneMagicSearch object

Returns
  the maximum value used to calculate the weight in search

## linphone_magic_search_get_min_weight()

unsigned int linphone_magic_search_get_min_weight | ( | const LinphoneMagicSearch * | magic_search | ) |

Get the minimum value used to calculate the weight in search.

Parameters

  magic_search | a LinphoneMagicSearch object

Returns
  the minimum value used to calculate the weight in search

## linphone_magic_search_get_search_limit()

unsigned int linphone_magic_search_get_search_limit | ( | const LinphoneMagicSearch * | magic_search | ) |

Get the number of maximum search result the search will return.

Parameters

  magic_search | a LinphoneMagicSearch object

Returns
  the number of the maximum LinphoneSearchResult which will be returned

## linphone_magic_search_get_use_delimiter()

bool_t linphone_magic_search_get_use_delimiter | ( | LinphoneMagicSearch * | magic_search | ) |

Returns whether the delimiter is being used for the search.

Parameters

  magic_search | a LinphoneMagicSearch object

Returns
  if the delimiter search is used

## linphone_magic_search_new()

LinphoneMagicSearch * linphone_magic_search_new | ( | LinphoneCore * | core | ) |

Constructs a LinphoneMagicSearch object.

Parameters

  core | a LinphoneCore object

Returns
  a LinphoneMagicSearch object

## linphone_magic_search_ref()

LinphoneMagicSearch * linphone_magic_search_ref | ( | LinphoneMagicSearch * | magic_search | ) |

Increment reference count of LinphoneMagicSearch object.

Parameters

  magic_search | a LinphoneMagicSearch object

Returns
  the same LinphoneMagicSearch object

## linphone_magic_search_remove_callbacks()

void linphone_magic_search_remove_callbacks | ( | LinphoneMagicSearch * | magic_search,
|  | LinphoneMagicSearchCbs * | cbs )

Remove a listener from a LinphoneMagicSearch.

Parameters

  magic_search | LinphoneMagicSearch object
  cbs | LinphoneMagicSearchCbs object to remove.

## linphone_magic_search_reset_search_cache()

void linphone_magic_search_reset_search_cache | ( | LinphoneMagicSearch * | magic_search | ) |

Reset the cache to begin a new search.

Parameters

  magic_search | a LinphoneMagicSearch object

## linphone_magic_search_set_delimiter()

void linphone_magic_search_set_delimiter | ( | LinphoneMagicSearch * | magic_search,
|  | const char * | delimiter )

Set the delimiter used to find matched filter word.

Parameters

  magic_search | a LinphoneMagicSearch object
  delimiter | delimiter (example "-_.,")

## linphone_magic_search_set_limited_search()

void linphone_magic_search_set_limited_search | ( | LinphoneMagicSearch * | magic_search,
|  | bool_t | limited )

Enable or disable the limited search.

Parameters

  magic_search | a LinphoneMagicSearch object
  limited | TRUE to limit the search, FALSE otherwise

## linphone_magic_search_set_max_weight()

void linphone_magic_search_set_max_weight | ( | LinphoneMagicSearch * | magic_search,
|  | unsigned int | weight )

Set the maximum value used to calculate the weight in search.

Parameters

  magic_search | a LinphoneMagicSearch object
  weight | maximum weight

## linphone_magic_search_set_min_weight()

void linphone_magic_search_set_min_weight | ( | LinphoneMagicSearch * | magic_search,
|  | unsigned int | weight )

Set the minimum value used to calculate the weight in search.

Parameters

  magic_search | a LinphoneMagicSearch object
  weight | minimum weight

## linphone_magic_search_set_search_limit()

void linphone_magic_search_set_search_limit | ( | LinphoneMagicSearch * | magic_search,
|  | unsigned int | limit )

Set the number of the maximum SearchResult which will be returned.

Parameters

  magic_search | a LinphoneMagicSearch object
  limit | the maximum number of LinphoneSearchResult the search will return

## linphone_magic_search_set_use_delimiter()

void linphone_magic_search_set_use_delimiter | ( | LinphoneMagicSearch * | magic_search,
|  | bool_t | enable )

Enable or disable the delimiter in search.

Parameters

  magic_search | a LinphoneMagicSearch object
  enable | TRUE to use the delimiter, FALSE otherwise

## linphone_magic_search_unref()

void linphone_magic_search_unref | ( | LinphoneMagicSearch * | magic_search | ) |

Decrement reference count of LinphoneMagicSearch object.

When dropped to zero, memory is freed.

Parameters

  magic_search | a LinphoneMagicSearch object

## linphone_participant_device_add_callbacks()

void linphone_participant_device_add_callbacks | ( | LinphoneParticipantDevice * | participant_device,
|  | LinphoneParticipantDeviceCbs * | cbs )

Add a listener in order to be notified of LinphoneParticipantDevice events.

Once an event is received, registred LinphoneParticipantDeviceCbs are invoked sequencially.

Parameters

  participant_device | LinphoneParticipantDevice object.
  cbs | A LinphoneParticipantDeviceCbs object holding the callbacks you need. A reference is taken by the LinphoneParticipantDevice until you invoke linphone_participant_device_remove_callbacks().

## linphone_participant_device_create_native_video_window_id()

void * linphone_participant_device_create_native_video_window_id | ( | const LinphoneParticipantDevice * | participant_device | ) |

Create a window ID and return it.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  the window ID of the device

## linphone_participant_device_get_address()

const LinphoneAddress * linphone_participant_device_get_address | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get the address of a participant's device.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  The LinphoneAddress of the participant's device

## linphone_participant_device_get_current_callbacks()

LinphoneParticipantDeviceCbs * linphone_participant_device_get_current_callbacks | ( | const LinphoneParticipantDevice * | participant_device | ) |

Gets the current LinphoneParticipantDeviceCbs.

Parameters

  participant_device | LinphoneParticipantDevice object.

Returns
  The LinphoneParticipantDeviceCbs that has called the last callback.

## linphone_participant_device_get_disconnection_method()

LinphoneParticipantDeviceDisconnectionMethod linphone_participant_device_get_disconnection_method | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get the disconnection method.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  disconnection method LinphoneParticipantDeviceDisconnectionMethod

## linphone_participant_device_get_disconnection_reason()

const char * linphone_participant_device_get_disconnection_reason | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get the disconnection reason.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  disconnection reason

## linphone_participant_device_get_is_muted()

bool_t linphone_participant_device_get_is_muted | ( | const LinphoneParticipantDevice * | participant_device | ) |

Return whether the participant device is muted or not.

Parameters

  participant_device | The LinphoneParticipantDeviceCbs object

Returns
  TRUE if the participant device is muted, FALSE otherwise.

## linphone_participant_device_get_is_speaking()

bool_t linphone_participant_device_get_is_speaking | ( | const LinphoneParticipantDevice * | participant_device | ) |

Return whether the participant device is speaking or not.

Parameters

  participant_device | The LinphoneParticipantDeviceCbs object

Returns
  TRUE if the participant device is speaking, FALSE otherwise.

## linphone_participant_device_get_joining_method()

LinphoneParticipantDeviceJoiningMethod linphone_participant_device_get_joining_method | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get the joining method or it the device is the focus owner.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  joining method or focus owner LinphoneParticipantDeviceJoiningMethod

## linphone_participant_device_get_name()

const char * linphone_participant_device_get_name | ( | const LinphoneParticipantDevice * | participant_device | ) |

Return the name of the device or NULL.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  the name of the device or NULL.

## linphone_participant_device_get_native_video_window_id()

void * linphone_participant_device_get_native_video_window_id | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get window ID.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  the window ID of the device

## linphone_participant_device_get_security_level()

LinphoneChatRoomSecurityLevel linphone_participant_device_get_security_level | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get the security level of a participant's device.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  The LinphoneChatRoomSecurityLevel of the device

## linphone_participant_device_get_ssrc()

uint32_t linphone_participant_device_get_ssrc | ( | const LinphoneParticipantDevice * | participant_device,
|  | const LinphoneStreamType | stream_type )

Get the audio stream SSRC of the device.

Parameters

  participant_device | A LinphoneParticipantDevice object
  stream_type | A LinphoneStreamType

Returns
  the audio stream SSRC of the device

## linphone_participant_device_get_state()

LinphoneParticipantDeviceState linphone_participant_device_get_state | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get the state of a participant device.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  The LinphoneParticipantDeviceState of the device

## linphone_participant_device_get_stream_availability()

bool_t linphone_participant_device_get_stream_availability | ( | const LinphoneParticipantDevice * | participant_device,
|  | const LinphoneStreamType | stream_type )

Get the stream availability of the device.

The availability information represents whether a given stream type is currently available to be presented in the conference for a LinphoneParticipantDevice

Parameters

  participant_device | A LinphoneParticipantDevice object
  stream_type | A LinphoneStreamType

Returns
  TRUE if the stream of type stream_type is available for device, FALSE otherwise

## linphone_participant_device_get_stream_capability()

LinphoneMediaDirection linphone_participant_device_get_stream_capability | ( | const LinphoneParticipantDevice * | participant_device,
|  | const LinphoneStreamType | stream_type )

Get the stream capability of the device.

The capability information represents the capability for the #ParticipantDevice to handle a given stream type (audio, video or text).

Parameters

  participant_device | A LinphoneParticipantDevice object
  stream_type | A LinphoneStreamType

Returns
  the capability of stream of type stream_type of the device LinphoneMediaDirection

## linphone_participant_device_get_time_of_disconnection()

time_t linphone_participant_device_get_time_of_disconnection | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get the timestamp the device left a conference.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  time of disconnection a conference as returned by time(nullptr). For UNIX based systems it is the number of seconds since 00:00hours of the 1st of January 1970

## linphone_participant_device_get_time_of_joining()

time_t linphone_participant_device_get_time_of_joining | ( | const LinphoneParticipantDevice * | participant_device | ) |

Get the timestamp the device joined a conference.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  time of joining a conference as returned by time(nullptr). For UNIX based systems it is the number of seconds since 00:00hours of the 1st of January 1970

## linphone_participant_device_get_user_data()

void * linphone_participant_device_get_user_data | ( | const LinphoneParticipantDevice * | participant_device | ) |

Retrieve the user pointer associated with the participant's device.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  The user pointer associated with the participant's device.

## linphone_participant_device_identity_get_address()

const LinphoneAddress * linphone_participant_device_identity_get_address | ( | const LinphoneParticipantDeviceIdentity * | device_identity | ) |

Get the address of the participant device.

Parameters

  device_identity | the LinphoneParticipantDeviceIdentity

Returns
  the address.

## linphone_participant_device_identity_get_capability_descriptor()

MS2_DEPRECATED const char * linphone_participant_device_identity_get_capability_descriptor | ( | const LinphoneParticipantDeviceIdentity * | device_identity | ) |

Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Parameters

  device_identity | the LinphoneParticipantDeviceIdentity object

Returns
  the capability descriptor string.

Deprecated
  12/06/2023 Use linphone_participant_device_identity_get_capability_descriptor_list() instead

## linphone_participant_device_identity_get_capability_descriptor_list()

const bctbx_list_t * linphone_participant_device_identity_get_capability_descriptor_list | ( | const LinphoneParticipantDeviceIdentity * | device_identity | ) |

Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Parameters

  device_identity | the LinphoneParticipantDeviceIdentity object

Returns
  the capability descriptor list.

## linphone_participant_device_identity_new()

LinphoneParticipantDeviceIdentity * linphone_participant_device_identity_new | ( | const LinphoneAddress * | address,
|  | const char * | name )

Constructs a LinphoneParticipantDeviceIdentity object.

Parameters

  address | a LinphoneAddress of the participant device
  name | the name of the participant device

Returns
  a new LinphoneParticipantDeviceIdentity

## linphone_participant_device_identity_ref()

LinphoneParticipantDeviceIdentity * linphone_participant_device_identity_ref | ( | LinphoneParticipantDeviceIdentity * | device_identity | ) |

Increment reference count of LinphoneParticipantDeviceIdentity object.

Parameters

  device_identity | the LinphoneParticipantDeviceIdentity object

Returns
  the same LinphoneParticipantDeviceIdentity object

## linphone_participant_device_identity_set_capability_descriptor()

MS2_DEPRECATED void linphone_participant_device_identity_set_capability_descriptor | ( | LinphoneParticipantDeviceIdentity * | device_identity,
|  | const char * | capability_descriptor )

Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Parameters

  device_identity | the LinphoneParticipantDeviceIdentity object
  capability_descriptor | the capability descriptor string.

Deprecated
  12/06/2023 Use linphone_participant_device_identity_set_capability_descriptor_2() instead

## linphone_participant_device_identity_set_capability_descriptor_2()

void linphone_participant_device_identity_set_capability_descriptor_2 | ( | LinphoneParticipantDeviceIdentity * | device_identity,
|  | const bctbx_list_t * | capability_descriptor_list )

Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Parameters

  device_identity | the LinphoneParticipantDeviceIdentity object
  capability_descriptor_list | the capability descriptor list.

## linphone_participant_device_identity_unref()

void linphone_participant_device_identity_unref | ( | LinphoneParticipantDeviceIdentity * | device_identity | ) |

Decrement reference count of LinphoneParticipantDeviceIdentity object.

When dropped to zero, memory is freed.

Parameters

  device_identity | the LinphoneParticipantDeviceIdentity object

## linphone_participant_device_is_in_conference()

bool_t linphone_participant_device_is_in_conference | ( | const LinphoneParticipantDevice * | participant_device | ) |

Return whether the participant device is in a conference or not.

Parameters

  participant_device | A LinphoneParticipantDevice object

Returns
  a boolean to state whether the device is in a conference

## linphone_participant_device_ref()

LinphoneParticipantDevice * linphone_participant_device_ref | ( | LinphoneParticipantDevice * | participant_device | ) |

Increment reference count of LinphoneParticipantDevice object.

Parameters

  participant_device | the LinphoneParticipantDevice object

Returns
  the same LinphoneParticipantDevice object

## linphone_participant_device_remove_callbacks()

void linphone_participant_device_remove_callbacks | ( | LinphoneParticipantDevice * | participant_device,
|  | LinphoneParticipantDeviceCbs * | cbs )

Remove a listener from a LinphoneParticipantDevice.

Parameters

  participant_device | LinphoneParticipantDevice object.
  cbs | LinphoneParticipantDeviceCbs object to remove.

## linphone_participant_device_set_native_video_window_id()

void linphone_participant_device_set_native_video_window_id | ( | LinphoneParticipantDevice * | participant_device,
|  | void * | window_id )

Set window ID for a device.

Parameters

  participant_device | A LinphoneParticipantDevice object
  window_id | the window ID of the device

## linphone_participant_device_set_user_data()

void linphone_participant_device_set_user_data | ( | LinphoneParticipantDevice * | participant_device,
|  | void * | user_data )

Assign a user pointer to the participant's device.

Parameters

  participant_device | A LinphoneParticipantDevice object
  user_data | The user pointer to associate with the participant's device.

## linphone_participant_device_unref()

void linphone_participant_device_unref | ( | LinphoneParticipantDevice * | participant_device | ) |

Decrement reference count of LinphoneParticipantDevice object.

Parameters

  participant_device | the LinphoneParticipantDevice object

## linphone_participant_find_device()

LinphoneParticipantDevice * linphone_participant_find_device | ( | const LinphoneParticipant * | participant,
|  | const LinphoneAddress * | address )

Find a device in the list of devices from a chat room's participant.

Parameters

  participant | A LinphoneParticipant object
  address | A LinphoneAddress object

Returns
  a LinphoneParticipantDevice or NULL if not found.

## linphone_participant_find_device_2()

LinphoneParticipantDevice * linphone_participant_find_device_2 | ( | const LinphoneParticipant * | participant,
|  | const LinphoneCall * | call )

Find a device in the list of devices from a chat room's participant.

Parameters

  participant | A LinphoneParticipant object
  call | A LinphoneCall object

Returns
  a LinphoneParticipantDevice or NULL if not found.

## linphone_participant_get_address()

const LinphoneAddress * linphone_participant_get_address | ( | const LinphoneParticipant * | participant | ) |

Get the address of a conference participant.

Parameters

  participant | A LinphoneParticipant object

Returns
  The LinphoneAddress of the participant

## linphone_participant_get_creation_time()

time_t linphone_participant_get_creation_time | ( | const LinphoneParticipant * | participant | ) |

Get the timestamp of the creation of the participant.

Parameters

  participant | A LinphoneParticipant object

Returns
  time of creation of the participant as returned by time(nullptr). For UNIX based systems it is the number of seconds since 00:00hours of the 1st of January 1970

## linphone_participant_get_devices()

bctbx_list_t * linphone_participant_get_devices | ( | const LinphoneParticipant * | participant | ) |

Gets the list of devices from a chat room's participant.

Parameters

  participant | A LinphoneParticipant object

Returns
  List of devices.

## linphone_participant_get_role()

LinphoneParticipantRole linphone_participant_get_role | ( | const LinphoneParticipant * | participant | ) |

Get the role of the participant within the conference.

Parameters

  participant | A LinphoneParticipant object

Returns
  role within the conference LinphoneParticipantRole

## linphone_participant_get_security_level()

LinphoneChatRoomSecurityLevel linphone_participant_get_security_level | ( | const LinphoneParticipant * | participant | ) |

Get the security level of a participant.

Parameters

  participant | A LinphoneParticipant object

Returns
  The LinphoneChatRoomSecurityLevel of the participant

## linphone_participant_get_user_data()

void * linphone_participant_get_user_data | ( | const LinphoneParticipant * | participant | ) |

Retrieve the user pointer associated with the conference participant.

Parameters

  participant | A LinphoneParticipant object

Returns
  The user pointer associated with the participant.

## linphone_participant_imdn_state_get_participant()

const LinphoneParticipant * linphone_participant_imdn_state_get_participant | ( | const LinphoneParticipantImdnState * | state | ) |

Get the participant concerned by a LinphoneParticipantImdnState.

Parameters

  state | A LinphoneParticipantImdnState object

Returns
  The LinphoneParticipant concerned by the LinphoneParticipantImdnState

## linphone_participant_imdn_state_get_state()

LinphoneChatMessageState linphone_participant_imdn_state_get_state | ( | const LinphoneParticipantImdnState * | state | ) |

Get the chat message state the participant is in.

Parameters

  state | A LinphoneParticipantImdnState object

Returns
  The LinphoneChatMessageState the participant is in

## linphone_participant_imdn_state_get_state_change_time()

time_t linphone_participant_imdn_state_get_state_change_time | ( | const LinphoneParticipantImdnState * | state | ) |

Get the timestamp at which a participant has reached the state described by a LinphoneParticipantImdnState.

Parameters

  state | A LinphoneParticipantImdnState object

Returns
  The timestamp at which the participant has reached the state described in the LinphoneParticipantImdnState

## linphone_participant_imdn_state_get_user_data()

void * linphone_participant_imdn_state_get_user_data | ( | const LinphoneParticipantImdnState * | state | ) |

Retrieve the user pointer associated with a LinphoneParticipantImdnState.

Parameters

  state | A LinphoneParticipantImdnState object

Returns
  The user pointer associated with the LinphoneParticipantImdnState.

## linphone_participant_imdn_state_ref()

LinphoneParticipantImdnState * linphone_participant_imdn_state_ref | ( | LinphoneParticipantImdnState * | state | ) |

Increment reference count of LinphoneParticipantImdnState object.

Parameters

  state | the LinphoneParticipantImdnState object

Returns
  the same LinphoneParticipantImdnState object

## linphone_participant_imdn_state_set_user_data()

void linphone_participant_imdn_state_set_user_data | ( | LinphoneParticipantImdnState * | state,
|  | void * | user_data )

Assign a user pointer to a LinphoneParticipantImdnState.

Parameters

  state | A LinphoneParticipantImdnState object
  user_data | The user pointer to associate with the LinphoneParticipantImdnState.

## linphone_participant_imdn_state_unref()

void linphone_participant_imdn_state_unref | ( | LinphoneParticipantImdnState * | state | ) |

Decrement reference count of LinphoneParticipantImdnState object.

Parameters

  state | the LinphoneParticipantImdnState object

## linphone_participant_is_admin()

bool_t linphone_participant_is_admin | ( | const LinphoneParticipant * | participant | ) |

Tells whether a conference participant is an administrator of the conference.

Parameters

  participant | A LinphoneParticipant object

Returns
  A boolean value telling whether the participant is an administrator

## linphone_participant_is_focus()

bool_t linphone_participant_is_focus | ( | const LinphoneParticipant * | participant | ) |

Tells whether a conference participant is the focus of the conference.

Parameters

  participant | A LinphoneParticipant object

Returns
  A boolean value telling whether the participant is a focus of a conference

## linphone_participant_ref()

LinphoneParticipant * linphone_participant_ref | ( | LinphoneParticipant * | participant | ) |

Increment reference count of LinphoneParticipant object.

Parameters

  participant | a LinphoneParticipant object

Returns
  the same LinphoneParticipant object

## linphone_participant_set_user_data()

void linphone_participant_set_user_data | ( | LinphoneParticipant * | participant,
|  | void * | user_data )

Assign a user pointer to the conference participant.

Parameters

  participant | A LinphoneParticipant object
  user_data | The user pointer to associate with the participant.

## linphone_participant_unref()

void linphone_participant_unref | ( | LinphoneParticipant * | participant | ) |

Decrement reference count of LinphoneParticipant object.

Parameters

  participant | a LinphoneParticipant object

## linphone_push_notification_config_clone()

LinphonePushNotificationConfig * linphone_push_notification_config_clone | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Instantiate a new push notification parameters with values from source.

Parameters

  push_cfg | The LinphonePushNotificationConfig object to be cloned.

Returns
  The newly created LinphonePushNotificationConfig object.

## linphone_push_notification_config_get_bundle_identifier()

const char * linphone_push_notification_config_get_bundle_identifier | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the app's bundle identifier for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The app's bundle identifier if set, NULL otherwise.

## linphone_push_notification_config_get_call_snd()

const char * linphone_push_notification_config_get_call_snd | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the call_snd for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The call_snd, default value "notes_of_the_optimistic.caf".

## linphone_push_notification_config_get_call_str()

const char * linphone_push_notification_config_get_call_str | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the call_str for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The call_str, default value "IC_MSG".

## linphone_push_notification_config_get_group_chat_str()

const char * linphone_push_notification_config_get_group_chat_str | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the groupchat_str for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The groupchat_str, default value "GC_MSG".

## linphone_push_notification_config_get_msg_snd()

const char * linphone_push_notification_config_get_msg_snd | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the msg_snd for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The msg_snd, default value "msg.caf".

## linphone_push_notification_config_get_msg_str()

const char * linphone_push_notification_config_get_msg_str | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the msg_str for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The msg_str, default value "IM_MSG".

## linphone_push_notification_config_get_param()

const char * linphone_push_notification_config_get_param | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the param for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The param if set, NULL otherwise.

## linphone_push_notification_config_get_prid()

const char * linphone_push_notification_config_get_prid | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the prid for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The prid if set, NULL otherwise.

## linphone_push_notification_config_get_provider()

const char * linphone_push_notification_config_get_provider | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the provider for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The provider if set, NULL otherwise.

## linphone_push_notification_config_get_remote_token()

const char * linphone_push_notification_config_get_remote_token | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the remote token for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The remote token if set, NULL otherwise.

## linphone_push_notification_config_get_team_id()

const char * linphone_push_notification_config_get_team_id | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the team id for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The team id if set, NULL otherwise.

## linphone_push_notification_config_get_voip_token()

const char * linphone_push_notification_config_get_voip_token | ( | const LinphonePushNotificationConfig * | push_cfg | ) |

Gets the voip token for "contact uri parameter".

Parameters

  push_cfg | The LinphonePushNotificationConfig object

Returns
  The voip token if set, NULL otherwise.

## linphone_push_notification_config_is_equal()

bool_t linphone_push_notification_config_is_equal | ( | const LinphonePushNotificationConfig * | push_cfg,
|  | const LinphonePushNotificationConfig * | other_config )

Checks if two Push Notification Configurations are identical.

Parameters

  push_cfg | The LinphonePushNotificationConfig object to be compared.
  other_config | The LinphonePushNotificationConfig object to compare to.

Returns
  True only if the two configurations are identical.

## linphone_push_notification_config_ref()

LinphonePushNotificationConfig * linphone_push_notification_config_ref | ( | LinphonePushNotificationConfig * | push_cfg | ) |

Take a reference on a LinphonePushNotificationConfig.

Parameters

  push_cfg | the LinphonePushNotificationConfig object

Returns
  the same LinphonePushNotificationConfig object

## linphone_push_notification_config_set_bundle_identifier()

void linphone_push_notification_config_set_bundle_identifier | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | bundle_identifier )

Sets the bundle_identifier for "contact uri parameter".

It's not necessary if param is set. See linphone_push_notification_config_set_param().

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  bundle_identifier | The new bundle_identifier set for push notification config.

## linphone_push_notification_config_set_call_snd()

void linphone_push_notification_config_set_call_snd | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | call_snd )

Sets the call_snd for "contact uri parameter", specific for remote push notification.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  call_snd | The new call_snd set for push notification config.

## linphone_push_notification_config_set_call_str()

void linphone_push_notification_config_set_call_str | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | call_str )

Sets the call_str for "contact uri parameter", specific for remote push notification.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  call_str | The new call_str set for push notification config.

## linphone_push_notification_config_set_group_chat_str()

void linphone_push_notification_config_set_group_chat_str | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | group_chat_str )

Sets the group_chat_str for "contact uri parameter", specific for remote push notification.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  group_chat_str | The new group_chat_str set for push notification config.

## linphone_push_notification_config_set_msg_snd()

void linphone_push_notification_config_set_msg_snd | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | msg_snd )

Sets the msg_snd for "contact uri parameter", specific for remote push notification.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  msg_snd | The new msg_snd set for push notification config.

## linphone_push_notification_config_set_msg_str()

void linphone_push_notification_config_set_msg_str | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | msg_str )

Sets the msg_str for "contact uri parameter", specific for remote push notification.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  msg_str | The new msg_str set for push notification config.

## linphone_push_notification_config_set_param()

void linphone_push_notification_config_set_param | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | param )

Sets the param for "contact uri parameter".

If it's not set, "team_id.bundle_identifier.services" will be used.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  param | The new param set for push notification config.

## linphone_push_notification_config_set_prid()

void linphone_push_notification_config_set_prid | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | prid )

Sets the prid for "contact uri parameter".

If it's not set, "voip_token&remote_token" will be used.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  prid | The new prid set for push notification config.

## linphone_push_notification_config_set_provider()

void linphone_push_notification_config_set_provider | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | provider )

Sets the provider for "contact uri parameter".

If not set, the default value will be used for "contact uri parameter", "firebase" for android or "apns" for ios.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  provider | The new provider set for push notification config.

## linphone_push_notification_config_set_remote_push_interval()

void linphone_push_notification_config_set_remote_push_interval | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | remote_push_interval )

Specifies the interval in seconds between to subsequent remote push notifications when remote push notifications are used to notify a call invite to clients that haven't published any token for VoIP and background push notifications.

In that case, several PNs are sent subsequently until the call is picked up, declined or canceled. This parameter sets a value for 'pn-call-remote-push-interval' Contact header inside SIP REGISTER requests. A value of zero will cause the deactivation of push notification repetitions and the sending of the final notification. Thus, only the first push notification will be sent. If specified the value must be in [0;30] If not specified 'pn-call-remote-push-interval' will not be added to Contact header.

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  remote_push_interval | The new remote push interval set for push notification config.

## linphone_push_notification_config_set_remote_token()

void linphone_push_notification_config_set_remote_token | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | remote_token )

Sets the remote_token for "contact uri parameter", specific for remote push notification.

It's not necessary if prid is set. See linphone_push_notification_config_set_prid().

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  remote_token | The new remote_token set for push notification config.

## linphone_push_notification_config_set_team_id()

void linphone_push_notification_config_set_team_id | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | team_id )

Sets the team id for "contact uri parameter".

It's not necessary if param is set. See linphone_push_notification_config_set_param().

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  team_id | The new team id set for push notification config.

## linphone_push_notification_config_set_voip_token()

void linphone_push_notification_config_set_voip_token | ( | LinphonePushNotificationConfig * | push_cfg,
|  | const char * | voip_token )

Sets the voip_token for "contact uri parameter", specific for voip push notification.

It's not necessary if prid is set. See linphone_push_notification_config_set_prid().

Parameters

  push_cfg | The LinphonePushNotificationConfig object
  voip_token | The new voip_token set for push notification config.

## linphone_push_notification_config_unref()

void linphone_push_notification_config_unref | ( | LinphonePushNotificationConfig * | push_cfg | ) |

Release a LinphonePushNotificationConfig.

Parameters

  push_cfg | the LinphonePushNotificationConfig object

## linphone_push_notification_message_get_call_id()

const char * linphone_push_notification_message_get_call_id | ( | const LinphonePushNotificationMessage * | message | ) |

Gets the call id.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  The call id.

## linphone_push_notification_message_get_from_addr()

const LinphoneAddress * linphone_push_notification_message_get_from_addr | ( | const LinphonePushNotificationMessage * | message | ) |

Gets the from address.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  The from LinphoneAddress.

## linphone_push_notification_message_get_local_addr()

const LinphoneAddress * linphone_push_notification_message_get_local_addr | ( | const LinphonePushNotificationMessage * | message | ) |

Gets the local address.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  The local LinphoneAddress.

## linphone_push_notification_message_get_peer_addr()

const LinphoneAddress * linphone_push_notification_message_get_peer_addr | ( | const LinphonePushNotificationMessage * | message | ) |

Gets the peer address.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  The peer LinphoneAddress.

## linphone_push_notification_message_get_reaction_content()

const char * linphone_push_notification_message_get_reaction_content | ( | const LinphonePushNotificationMessage * | message | ) |

Gets the reaction content.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  The reaction content or NULL.

## linphone_push_notification_message_get_subject()

const char * linphone_push_notification_message_get_subject | ( | const LinphonePushNotificationMessage * | message | ) |

Gets the subject.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  The subject or NULL.

## linphone_push_notification_message_get_text_content()

const char * linphone_push_notification_message_get_text_content | ( | const LinphonePushNotificationMessage * | message | ) |

Gets the text content.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  The text content or NULL.

## linphone_push_notification_message_is_conference_invitation_cancellation()

bool_t linphone_push_notification_message_is_conference_invitation_cancellation | ( | const LinphonePushNotificationMessage * | message | ) |

Tells whether or not this message contains a conference invitation cancellation.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  TRUE if this message carries a conference invitation cancellation, FALSE otherwise.

## linphone_push_notification_message_is_conference_invitation_new()

bool_t linphone_push_notification_message_is_conference_invitation_new | ( | const LinphonePushNotificationMessage * | message | ) |

Tells whether or not this message contains a new conference invitation.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  TRUE if this message carries a new conference invitation, FALSE otherwise.

## linphone_push_notification_message_is_conference_invitation_update()

bool_t linphone_push_notification_message_is_conference_invitation_update | ( | const LinphonePushNotificationMessage * | message | ) |

Tells whether or not this message contains a conference invitation update.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  TRUE if this message carries a conference invitation update, FALSE otherwise.

## linphone_push_notification_message_is_icalendar()

bool_t linphone_push_notification_message_is_icalendar | ( | const LinphonePushNotificationMessage * | message | ) |

Tells whether or not this message contains an icalendar by checking it's content type.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  TRUE if this content type is 'text/calendar;conference-event=yes', FALSE otherwise.

## linphone_push_notification_message_is_text()

bool_t linphone_push_notification_message_is_text | ( | const LinphonePushNotificationMessage * | message | ) |

Returns wether it is a text message or not.

Parameters

  message | The LinphonePushNotificationMessage object

Returns
  TRUE if it is a text message, FALSE otherwise.

## linphone_push_notification_message_ref()

LinphonePushNotificationMessage * linphone_push_notification_message_ref | ( | LinphonePushNotificationMessage * | message | ) |

Take a reference on a LinphonePushNotificationMessage.

Parameters

  message | the LinphonePushNotificationMessage object

Returns
  the same LinphonePushNotificationMessage object

## linphone_push_notification_message_unref()

void linphone_push_notification_message_unref | ( | LinphonePushNotificationMessage * | message | ) |

Release a LinphonePushNotificationMessage.

Parameters

  message | the LinphonePushNotificationMessage object

## linphone_range_get_max()

int linphone_range_get_max | ( | const LinphoneRange * | range | ) |

Gets the higher value of the range.

Parameters

  range | a LinphoneRange

Returns
  The higher value

## linphone_range_get_min()

int linphone_range_get_min | ( | const LinphoneRange * | range | ) |

Gets the lower value of the range.

Parameters

  range | a LinphoneRange

Returns
  The lower value

## linphone_range_get_user_data()

void * linphone_range_get_user_data | ( | const LinphoneRange * | range | ) |

Gets the user data in the LinphoneRange object.

Parameters

  range | the LinphoneRange

Returns
  the user data.

## linphone_range_ref()

LinphoneRange * linphone_range_ref | ( | LinphoneRange * | range | ) |

Increment refcount.

Parameters

  range | LinphoneRange object

Returns
  the same LinphoneRange object

## linphone_range_set_max()

void linphone_range_set_max | ( | LinphoneRange * | range,
|  | int | max )

Sets the higher value of the range.

Parameters

  range | a LinphoneRange
  max | the value to set

## linphone_range_set_min()

void linphone_range_set_min | ( | LinphoneRange * | range,
|  | int | min )

Sets the lower value of the range.

Parameters

  range | a LinphoneRange
  min | the value to set

## linphone_range_set_user_data()

void linphone_range_set_user_data | ( | LinphoneRange * | range,
|  | void * | user_data )

Sets the user data in the LinphoneRange object.

Parameters

  range | the LinphoneRange object
  user_data | the user data

## linphone_range_unref()

void linphone_range_unref | ( | LinphoneRange * | range | ) |

Decrement refcount and possibly free the object.

Parameters

  range | LinphoneRange object

## linphone_reason_to_error_code()

int linphone_reason_to_error_code | ( | LinphoneReason | reason | ) |

Converts a LinphoneReason to an error code.

Parameters

  reason | A LinphoneReason

Returns
  The error code corresponding to the specified LinphoneReason

## linphone_reason_to_string()

const char * linphone_reason_to_string | ( | LinphoneReason | error | ) |

Converts a LinphoneReason enum to a string.

Parameters

  error | A LinphoneReason

Returns
  The string representation of the specified LinphoneReason

## linphone_search_result_get_address()

const LinphoneAddress * linphone_search_result_get_address | ( | const LinphoneSearchResult * | search_result | ) |

Gets the address of the search result if any.

Parameters

  search_result | the LinphoneSearchResult object

Returns
  The associed LinphoneAddress or NULL.

## linphone_search_result_get_capabilities()

int linphone_search_result_get_capabilities | ( | const LinphoneSearchResult * | search_result | ) |

Returns the capabilities mask of the search result.

Parameters

  search_result | the LinphoneSearchResult object

Returns
  the capabilities mask associated to the search result

## linphone_search_result_get_friend()

LinphoneFriend * linphone_search_result_get_friend | ( | const LinphoneSearchResult * | search_result | ) |

Gets the friend of the search result if any.

Parameters

  search_result | the LinphoneSearchResult object

Returns
  The associated LinphoneFriend or NULL.

## linphone_search_result_get_phone_number()

const char * linphone_search_result_get_phone_number | ( | const LinphoneSearchResult * | search_result | ) |

Gets the phone number of the search result if any.

Parameters

  search_result | the LinphoneSearchResult object

Returns
  The associed phone number or NULL.

## linphone_search_result_get_source_flags()

int linphone_search_result_get_source_flags | ( | const LinphoneSearchResult * | search_result | ) |

Gets source flags of the search result.

Parameters

  search_result | the LinphoneSearchResult object

Returns
  the source flags from LinphoneMagicSearchSource

## linphone_search_result_get_weight()

unsigned int linphone_search_result_get_weight | ( | const LinphoneSearchResult * | search_result | ) |

Gets the weight of the search result.

Parameters

  search_result | the LinphoneSearchResult object

Returns
  the result weight

## linphone_search_result_has_capability()

bool_t linphone_search_result_has_capability | ( | const LinphoneSearchResult * | search_result,
|  | const LinphoneFriendCapability | capability )

Returns whether or not the search result has the given capability.

Parameters

  search_result | the LinphoneSearchResult object
  capability | the LinphoneFriendCapability to check

Returns
  TRUE if it has the capability, FALSE otherwise.

## linphone_search_result_ref()

LinphoneSearchResult * linphone_search_result_ref | ( | LinphoneSearchResult * | search_result | ) |

Increment reference count of LinphoneSearchResult object.

Parameters

  search_result | the LinphoneSearchResult object

Returns
  the same LinphoneSearchResult object

## linphone_search_result_unref()

void linphone_search_result_unref | ( | LinphoneSearchResult * | search_result | ) |

Decrement reference count of LinphoneSearchResult object.

When dropped to zero, memory is freed.

Parameters

  search_result | the LinphoneSearchResult object

## linphone_transport_parse()

LinphoneTransportType linphone_transport_parse | ( | const char * | transport | ) |

Converts a lowercase string to a LinphoneTransportType enum.

Parameters

  transport | the transport to parse.

Returns
  LinphoneTransportType matching input, or #LinphoneTransportUdp if nothing is found

## linphone_transport_to_string()

const char * linphone_transport_to_string | ( | LinphoneTransportType | transport | ) |

Converts a LinphoneTransportType enum to a lowercase string.

Parameters

  transport | a LinphoneTransportType to convert to string

Returns
  the string representation of the LinphoneTransportType

## linphone_xml_rpc_request_add_callbacks()

void linphone_xml_rpc_request_add_callbacks | ( | LinphoneXmlRpcRequest * | request,
|  | LinphoneXmlRpcRequestCbs * | cbs )

Add the current LinphoneXmlRpcRequestCbs object to a LinphoneXmlRpcRequest.

Parameters

  request | LinphoneXmlRpcRequest object
  cbs | The LinphoneXmlRpcRequestCbs object to add to the LinphoneXmlRpcRequest.

## linphone_xml_rpc_request_add_int_arg()

void linphone_xml_rpc_request_add_int_arg | ( | LinphoneXmlRpcRequest * | request,
|  | int | value )

Add an integer argument to an XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object.
  value | The integer value of the added argument.

## linphone_xml_rpc_request_add_string_arg()

void linphone_xml_rpc_request_add_string_arg | ( | LinphoneXmlRpcRequest * | request,
|  | const char * | value )

Add a string argument to an XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object.
  value | The string value of the added argument.

## linphone_xml_rpc_request_cbs_get_response()

LinphoneXmlRpcRequestCbsResponseCb linphone_xml_rpc_request_cbs_get_response | ( | const LinphoneXmlRpcRequestCbs * | cbs | ) |

Get the response callback.

Parameters

  cbs | LinphoneXmlRpcRequestCbs object.

Returns
  The current response callback.

## linphone_xml_rpc_request_cbs_get_user_data()

void * linphone_xml_rpc_request_cbs_get_user_data | ( | const LinphoneXmlRpcRequestCbs * | cbs | ) |

Retrieve the user pointer associated with a LinphoneXmlRpcRequestCbs object.

Parameters

  cbs | LinphoneXmlRpcRequestCbs object.

Returns
  The user pointer associated with the LinphoneXmlRpcRequestCbs object.

## linphone_xml_rpc_request_cbs_ref()

LinphoneXmlRpcRequestCbs * linphone_xml_rpc_request_cbs_ref | ( | LinphoneXmlRpcRequestCbs * | cbs | ) |

Acquire a reference to a LinphoneXmlRpcRequestCbs object.

Parameters

  cbs | LinphoneXmlRpcRequestCbs object.

Returns
  The same LinphoneXmlRpcRequestCbs object.

## linphone_xml_rpc_request_cbs_set_response()

void linphone_xml_rpc_request_cbs_set_response | ( | LinphoneXmlRpcRequestCbs * | cbs,
|  | LinphoneXmlRpcRequestCbsResponseCb | cb )

Set the response callback.

Parameters

  cbs | LinphoneXmlRpcRequestCbs object.
  cb | The response callback to be used.

## linphone_xml_rpc_request_cbs_set_user_data()

void linphone_xml_rpc_request_cbs_set_user_data | ( | LinphoneXmlRpcRequestCbs * | cbs,
|  | void * | user_data )

Assign a user pointer to a LinphoneXmlRpcRequestCbs object.

Parameters

  cbs | LinphoneXmlRpcRequestCbs object.
  user_data | The user pointer to associate with the LinphoneXmlRpcRequestCbs object.

## linphone_xml_rpc_request_cbs_unref()

void linphone_xml_rpc_request_cbs_unref | ( | LinphoneXmlRpcRequestCbs * | cbs | ) |

Release a reference to a LinphoneXmlRpcRequestCbs object.

Parameters

  cbs | LinphoneXmlRpcRequestCbs object.

## linphone_xml_rpc_request_get_callbacks()

MS2_DEPRECATED LinphoneXmlRpcRequestCbs * linphone_xml_rpc_request_get_callbacks | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the LinphoneXmlRpcRequestCbs object associated with a LinphoneXmlRpcRequest.

Parameters

  request | LinphoneXmlRpcRequest object

Returns
  The LinphoneXmlRpcRequestCbs object associated with the LinphoneXmlRpcRequest.

Deprecated
  19/02/2019 use add_callbacks / remove_callbacks instead

## linphone_xml_rpc_request_get_content()

const char * linphone_xml_rpc_request_get_content | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the content of the XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  The string representation of the content of the XML-RPC request.

## linphone_xml_rpc_request_get_current_callbacks()

LinphoneXmlRpcRequestCbs * linphone_xml_rpc_request_get_current_callbacks | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the current LinphoneXmlRpcRequestCbs object associated with a LinphoneXmlRpcRequest.

Parameters

  request | LinphoneXmlRpcRequest object

Returns
  The current LinphoneXmlRpcRequestCbs object associated with the LinphoneXmlRpcRequest.

## linphone_xml_rpc_request_get_int_response()

int linphone_xml_rpc_request_get_int_response | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning an integer response.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  The integer response to the XML-RPC request.

## linphone_xml_rpc_request_get_list_response()

const bctbx_list_t * linphone_xml_rpc_request_get_list_response | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning a string response.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  A list of all string responses in the XML-RPC request.

## linphone_xml_rpc_request_get_raw_response()

const char * linphone_xml_rpc_request_get_raw_response | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the raw response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning http body as string.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  The string response to the XML-RPC request.

## linphone_xml_rpc_request_get_status()

LinphoneXmlRpcStatus linphone_xml_rpc_request_get_status | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the status of the XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  The LinphoneXmlRpcStatus of the XML-RPC request.

## linphone_xml_rpc_request_get_string_response()

const char * linphone_xml_rpc_request_get_string_response | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning a string response.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  The string response to the XML-RPC request.

## linphone_xml_rpc_request_get_string_struct_response()

const bctbx_map_t * linphone_xml_rpc_request_get_string_struct_response | ( | const LinphoneXmlRpcRequest * | request | ) |

Get the response to an XML-RPC request sent with linphone_xml_rpc_session_send_request() and returning a struct response.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  The struct response to the XML-RPC request.

## linphone_xml_rpc_request_get_user_data()

void * linphone_xml_rpc_request_get_user_data | ( | const LinphoneXmlRpcRequest * | request | ) |

Retrieve the user pointer associated with the XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  The user pointer associated with the XML-RPC request.

## linphone_xml_rpc_request_new()

LinphoneXmlRpcRequest * linphone_xml_rpc_request_new | ( | LinphoneXmlRpcArgType | return_type,
|  | const char * | method )

Create a new LinphoneXmlRpcRequest object.

Parameters

  return_type | The expected XML-RPC response type as LinphoneXmlRpcArgType.
  method | The XML-RPC method to call.

Returns
  A new LinphoneXmlRpcRequest object.

## linphone_xml_rpc_request_ref()

LinphoneXmlRpcRequest * linphone_xml_rpc_request_ref | ( | LinphoneXmlRpcRequest * | request | ) |

Acquire a reference to the XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object.

Returns
  The same LinphoneXmlRpcRequest object.

## linphone_xml_rpc_request_remove_callbacks()

void linphone_xml_rpc_request_remove_callbacks | ( | LinphoneXmlRpcRequest * | request,
|  | LinphoneXmlRpcRequestCbs * | cbs )

Remove the current LinphoneXmlRpcRequestCbs object from a LinphoneXmlRpcRequest.

Parameters

  request | LinphoneXmlRpcRequest object
  cbs | The LinphoneXmlRpcRequestCbs object to remove from the LinphoneXmlRpcRequest.

## linphone_xml_rpc_request_set_user_data()

void linphone_xml_rpc_request_set_user_data | ( | LinphoneXmlRpcRequest * | request,
|  | void * | user_data )

Assign a user pointer to the XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object.
  user_data | The user pointer to associate with the XML-RPC request.

## linphone_xml_rpc_request_unref()

void linphone_xml_rpc_request_unref | ( | LinphoneXmlRpcRequest * | request | ) |

Release reference to the XML-RPC request.

Parameters

  request | LinphoneXmlRpcRequest object.

## linphone_xml_rpc_session_create_request()

LinphoneXmlRpcRequest * linphone_xml_rpc_session_create_request | ( | LinphoneXmlRpcSession * | session,
|  | LinphoneXmlRpcArgType | return_type,
|  | const char * | method )

Creates a LinphoneXmlRpcRequest from a LinphoneXmlRpcSession.

Parameters

  session | the LinphoneXmlRpcSession
  return_type | the return type of the request as a LinphoneXmlRpcArgType
  method | the function name to call

Returns
  a LinphoneXmlRpcRequest object

## linphone_xml_rpc_session_get_user_data()

void * linphone_xml_rpc_session_get_user_data | ( | const LinphoneXmlRpcSession * | session | ) |

Retrieve the user pointer associated with the XML-RPC session.

Parameters

  session | LinphoneXmlRpcSession object.

Returns
  The user pointer associated with the XML-RPC session.

## linphone_xml_rpc_session_new()

LinphoneXmlRpcSession * linphone_xml_rpc_session_new | ( | LinphoneCore * | core,
|  | const char * | url )

Create a new LinphoneXmlRpcSession object.

Parameters

  core | The LinphoneCore object used to send the XML-RPC requests.
  url | The URL of the XML-RPC server to send the XML-RPC requests to.

Returns
  A new LinphoneXmlRpcSession object.

## linphone_xml_rpc_session_ref()

LinphoneXmlRpcSession * linphone_xml_rpc_session_ref | ( | LinphoneXmlRpcSession * | session | ) |

Acquire a reference to the XML-RPC session.

Parameters

  session | LinphoneXmlRpcSession object.

Returns
  The same LinphoneXmlRpcSession object.

## linphone_xml_rpc_session_release()

void linphone_xml_rpc_session_release | ( | LinphoneXmlRpcSession * | session | ) |

Stop and unref an XML rpc session.

Pending requests will be aborted.

Parameters

  session | LinphoneXmlRpcSession object.

## linphone_xml_rpc_session_send_request()

void linphone_xml_rpc_session_send_request | ( | LinphoneXmlRpcSession * | session,
|  | LinphoneXmlRpcRequest * | request )

Send an XML-RPC request.

Parameters

  session | LinphoneXmlRpcSession object.
  request | The LinphoneXmlRpcRequest to be sent.

## linphone_xml_rpc_session_set_user_data()

void linphone_xml_rpc_session_set_user_data | ( | LinphoneXmlRpcSession * | session,
|  | void * | user_data )

Assign a user pointer to the XML-RPC session.

Parameters

  session | LinphoneXmlRpcSession object.
  user_data | The user pointer to associate with the XML-RPC session.

## linphone_xml_rpc_session_unref()

void linphone_xml_rpc_session_unref | ( | LinphoneXmlRpcSession * | session | ) |

Release reference to the XML-RPC session.

Parameters

  session | LinphoneXmlRpcSession object.

Warning
  This will not stop pending xml-rpc requests. Use linphone_xml_rpc_session_release() instead if this is intended.